2020-03-11  madlohe  <swolf@nagios.com>

	* NEWS, NP-VERSION-GEN, configure.ac: Prep for 2.3.3

2020-03-03  madlohe  <swolf@nagios.com>

	* NEWS: Update changelog

	* NEWS: Update changelog

	* plugins/check_http.c: (Handles #535) check_http: Ensure that trailing
	null byte is copied to full_page_new (gets overwritten each loop
	iteration)

2020-03-02  madlohe  <swolf@nagios.com>

	* plugins/check_http.c: Content-Length is not required - don't check it
	if it wasn't included in the headers.

2020-02-26  madlohe  <swolf@nagios.com>

	* plugins/check_http.c: check_http: fixed missing parens in second set
	of calls to my_recv (was causing issues with regexp in larger web pages)

2020-02-26  Benjamin Urban  <github@bennis-server.de>

	* configure.ac: Fix typo in check for required perl modules for
	check_ssl_validity

2020-02-24  madlohe  <swolf@nagios.com>

	* plugins-root/check_icmp.c: Should fix #530 - 'ip' should be set even
	if not debugging

2020-02-20  madlohe  <swolf@nagios.com>

	* NEWS, NP-VERSION-GEN, configure.ac: Prep for 2.3.2

2020-02-19  madlohe  <swolf@nagios.com>

	* NEWS: Sort changelog entries for 2.3.2

2020-02-18  madlohe  <swolf@nagios.com>

	* NEWS: Update changelog

	* NEWS: Update changelog

	* NEWS: Update changelog

2020-02-17  madlohe  <swolf@nagios.com>

	* NEWS: Update Changelog

	* NEWS: Update changelog

	* NEWS, plugins/check_disk.c: Resolves #518 - all calculations are now
	done with binary units (as it was in 2.2.x).

	The code for unit calculation in check_disk.c looks a little silly now, but this preserves backward compatibility for the largest number of users. Anyone who started using the plugin before 2.3.x sees behavior unchanged, and anyone who chose binary units in 2.3.0+ keeps their new behavior.

2020-02-10  madlohe  <swolf@nagios.com>

	* plugins/check_ntp_peer.c, plugins/check_ntp_time.c: Set LC_NUMERIC to
	POSIX for check_ntp plugins

2020-02-07  madlohe  <swolf@nagios.com>

	* NEWS, plugins-scripts/check_mailq.pl: Fix #522 - minutes and seconds
	are not recognized properly in nullmailer SMTP queue.

2020-02-06  madlohe  <swolf@nagios.com>

	* plugins/check_procs.c: Fix #523 (typo in check_procs helptext)

2020-02-04  madlohe  <swolf@nagios.com>

	* plugins-root/check_icmp.c: Prevent this_status from getting stuck when
	iterating through hosts. Resolves #520

2020-01-31  madlohe  <swolf@nagios.com>

	* plugins-root/Makefile.am: Still failing some builds - try putting
	-lssl -lcrypto after libnagios

	* plugins-root/Makefile.am: Prevent -lssl from showing up in Makefile
	dependencies

	* plugins/check_http.c: Resolve #507 - stop reading when Content-Length
	matches the amount of content received

	Prior to this commit, check_http relied on read() returning 0 or erroring in order to
	exit the loop. This commit keeps the same behavior, but once headers have been received,
	it also reads the Content-Length and compares it to the number of bytes received after
	the start of the body.

2020-01-30  madlohe  <swolf@nagios.com>

	* NEWS: Update Changelog

2020-01-30  Isaac A. White  <iwhite@nagios.com>

	* plugins/check_http.c: Update host_name if port specified.

	If a port is specified this fails. The host_name needs to be updated since the socket/connect calls require an IP/DNS string with the port specified separately to be valid.

2020-01-14  madlohe  <swolf@nagios.com>

	* NEWS, plugins-root/check_icmp.c: Fix nagios-plugins#510 - perfdata
	tags should remain the same even if packet loss is at 100%

2020-01-08  Barak Shohat  <barak@bazzisoft.com>

	* plugins/check_ping.c: bugfix: Remove redundant debug print from
	check_ping

2019-12-19  madlohe  <swolf@nagios.com>

	* NEWS, perlmods/Module-Build-0.4007.tar.gz: (see #505) Fix
	Module::Build on newer versions of perl

	This commit manually changes the sources in a dependency rather
	than updating the dependency. This isn't ideal, but I'm not sure
	what impact updating Module::Build could have on the rest of the
	dependencies/older systems running nagios-plugins, whereas this
	change seemed relatively safe.

2019-12-10  Barak Shohat  <barak@bazzisoft.com>

	* plugins/check_dns.c: check_dns: Improved error messaging for
	"connection timed out" and "connection refused" cases.

	* configure.ac: Revert commit b7ee01a257d0bee30b3ef4d579ad56533f389e70
	(Fix for issue #139) which incorrectly modifies timeout behaviour of
	check_ping plugin.
	See also:
	https://github.com/nagios-plugins/nagios-plugins/issues/139
	https://github.com/nagios-plugins/nagios-plugins/issues/323

2019-12-09  madlohe  <swolf@nagios.com>

	* NP-VERSION-GEN, configure.ac: Prep for 2.3.1

2019-12-05  madlohe  <swolf@nagios.com>

	* NEWS: Update NEWS with backwards compatibility notice

	* NEWS, plugins-root/check_icmp.c: (#480) Fix ordering of check_icmp's
	performance data

2019-12-04  Sebastian Wolf  <swolf@nagios.com>

	* NEWS: Add release date for 2.3.0 to NEWS

2019-12-04  madlohe  <swolf@nagios.com>

	* plugins/sslutils.c: fix compilation error for debian 10

	* NP-VERSION-GEN, configure.ac: Change version number

	* AUTHORS, THANKS.in: Update AUTHORS/THANKS files

2019-11-21  madlohe  <swolf@nagios.com>

	* po/Makefile.in.in: po/Makefile: echo line should match actual command,
	build should pass even if .gmo files aren't being built

2019-11-20  orangejuicy  <orangejuicyhub@gmail.com>

	* plugins-scripts/check_oracle.sh: Fix check_oracle for RHEL6

	https://bugzilla.redhat.com/show_bug.cgi?id=1752383

2019-11-17  Barak Shohat  <barak@bazzisoft.com>

	* plugins/check_dns.c: Fix incorrect error message when nslookup returns
	an error status

2019-10-21  madlohe  <swolf@nagios.com>

	* plugins/check_disk.c: check_disk: Resolves #491 (and reverts
	c6d5d5e2e88e004d10ab03fe5cf70a322dbf974c) in such a way that the
	resulting code doesn't look like a mistake. -L is intended as a superset
	of -l according to the helptext of the plugin.

2019-10-17  madlohe  <swolf@nagios.com>

	* NEWS: Remove reference to check_disk's -s option, which was removed in
	favor of -H

	* plugins/check_disk.c: Fix segfault when --inode-perfdata used without
	inode thresholds

2019-10-14  madlohe  <swolf@nagios.com>

	* plugins-scripts/check_log.sh, tools/mini_epn.c: Remove inaccurate
	last-modified counters.

2019-10-14  Sebastian Wolf  <swolf@nagios.com>

	* THANKS.in: Update THANKS.in

2019-10-12  Ben RUBSON  <6764151+benrubson@users.noreply.github.com>

	* plugins-root/check_icmp.c: Update check_icmp.c

	Correct thresholds output

2019-10-10  madlohe  <swolf@nagios.com>

	* NEWS, plugins-scripts/check_ntp.pl: Resolve #453 - $jitter and
	$stratum will not be referenced unless ntpq was used to retrieve those
	attributes

	* NEWS: Update changelog for recent pull requests

2019-10-09  madlohe  <swolf@nagios.com>

	* plugins-scripts/check_ssl_validity.pl: Add caching of OCSP responses

2019-10-08  madlohe  <swolf@nagios.com>

	* plugins/check_ntp.c, plugins/check_ntp_peer.c,
	plugins/check_ntp_time.c: check_ntp and friends: change calls to
	perfdata() to preserve complete threshold in output

	* plugins-root/check_icmp.c: check_icmp: resolve #404 by fixing hosts_ok
	calculation

	* plugins-root/check_icmp.c: check_icmp Resolve #451 by moving call to
	bind() after call to socket()

2019-10-07  madlohe  <swolf@nagios.com>

	* THANKS.in, configure.ac, plugins-root/pst3.c: Resolve #446 -
	check_procs crash due to buffer overflow on solaris

2019-10-04  Sebastian Wolf  <swolf@nagios.com>

	* NEWS: Add changelog line for #430 / #481

2019-10-04  madlohe  <swolf@nagios.com>

	* plugins/check_load.c: Fix syntax errors, off-by-1

	* THANKS.in, plugins/check_http.c: Fix issue referenced in #484 -
	literal 'server_type' is strcpy'd instead of the variable

2019-10-03  madlohe  <swolf@nagios.com>

	* configure.ac, plugins-scripts/check_ssl_validity.pl:
	check_ssl_validity: add options for OCSP checking (WIP)

2019-09-30  madlohe  <swolf@nagios.com>

	* .gitignore, configure.ac, plugins-scripts/Makefile.am,
	plugins-scripts/check_ssl_validity.pl: Add check_ssl_validity to build
	system, minor qol changes

2019-09-26  madlohe  <swolf@nagios.com>

	* plugins-scripts/check_ssl_validity.pl: Initial import of the plugin
	provided in #72 - added comments for licensing at the top, removed
	debugging comments

2019-09-25  madlohe  <swolf@nagios.com>

	* THANKS.in, plugins-scripts/check_disk_smb.pl: check_disk_smb:
	Optionally import utf8::all (see #479)

2019-09-24  madlohe  <swolf@nagios.com>

	* plugins/check_load.c: Removed dead code (HAVE_PROC_LOADAVG is no
	longer referenced outside of this plugin, see commit
	fe856aa957978504137c1d425815d4ed8a22be40)

	* plugins/check_load.c: Fix check_load on Mac OSX (#430)

	* plugins-scripts/check_disk_smb.pl: Fix check_disk_smb for perl
	environments which don't have the utf8 package

2019-09-19  Sebastian Wolf  <swolf@nagios.com>

	* THANKS.in: Update THANKS.in

2019-09-19  madlohe  <swolf@nagios.com>

	* plugins/check_disk.c: Resolve #455

	* .gitignore, po/de.po, po/fr.po: Update gitignore, .po files

	* NEWS: Update NEWS with recent pull requests

	* THANKS.in: Update THANKS file

	* plugins/check_mrtgtraf.c: Remove unnecessary newline

	* NEWS, plugins/check_ntp.c, plugins/check_ntp_time.c: Add option to
	delay check_ntp, check_ntp_time between packets (default 2s). I wasn't
	able to cherry-pick the commits from monitoring-plugins#1605, but these
	changes are equivalent to that PR for this project.

2019-08-02  Konstantin Shalygin  <k0ste@k0ste.ru>

	* plugins-scripts/check_disk_smb.pl: check_disk_smb.pl: added utf
	support & blacklisting characters instead of expanding the whitelist

2019-09-16  madlohe  <swolf@nagios.com>

	* plugins/check_disk.c: Remove some debugging output from check_disk.c
	(see #472)

2019-09-14  Lee Clemens  <java@leeclemens.net>

	* plugins/check_disk.c: Remove extraneous output

	Fixes: #472

2019-08-30  Arkadiusz Miśkiewicz  <arekm@maven.pl>

	* plugins/check_smtp.c: Add support for SNI in check_smtp.

	Add support for SSL/TLS hostname extension support (SNI) for check_smtp
	plugin.

2019-08-28  azthec  <a.godspeed@gmail.com>

	* plugins/check_procs.c: Added performance data to the --metric options.

2019-08-25  gino0631  <giedrius.noreikis@gmail.com>

	* plugins/check_ups.c: Battery runtime left check

2019-08-19  madlohe  <swolf@nagios.com>

	* plugins/check_ntp.c: check_ntp: add --allow-zero-stratum flag to
	resolve several commenters' issues on #329

	* plugins/check_mrtgtraf.c: Handle #265 without relying on RRD datastore
	information being populated

	* plugins-python/check_ncpa.in: Update check_ncpa to match Nagios XI's
	version

	* plugins-scripts/check_oracle.sh: check_oracle: make sure pgrep is
	getting the count

2019-08-16  madlohe  <swolf@nagios.com>

	* NEWS: Update changelog

2019-08-13  madlohe  <swolf@nagios.com>

	* NEWS: update changelog

	* NEWS: update changelog

	* NEWS: update changelog

	* plugins/check_disk.c: add --inode-perfdata

	* plugins/check_http.c: check_http: cause plugin to fail early if SNI is
	specified without a hostname

	* .gitignore: Add backups of .po files to gitignore

2019-08-12  madlohe  <swolf@nagios.com>

	* plugins/check_disk.c: check_disk: fix missing timeout handler

	* plugins/check_snmp.c: check_snmp: add --strict flag

2019-08-10  Sebastian Wolf  <swolf@nagios.com>

	* plugins/check_ups.c: check_ups: Update helptext

	See the review for #413.

2019-08-08  Sebastian Wolf  <swolf@nagios.com>

	* README: Remove reference to INSTALL file from README

2019-08-07  madlohe  <swolf@nagios.com>

	* plugins/check_disk.c, plugins/utils.c: check_disk: add
	--combined-thresholds to resolve #267

2019-08-08  madlohe  <swolf@nagios.com>

	* NEWS: Update changelog

	* plugins/check_pgsql.c: check_pgsql: Resolve #264 by adding
	--print-query as an option

	* plugins/check_pgsql.c: check_pgsql: change wording on --password
	option

2019-08-07  madlohe  <swolf@nagios.com>

	* NEWS: Update changelog

	* plugins-scripts/check_file_age.pl: When using file globs, make sure
	perfdata labels are unique

2019-08-07  Sebastian Wolf  <swolf@nagios.com>

	* THANKS.in: Update THANKS.in

	* NEWS: Update NEWS

2019-08-07  madlohe  <swolf@nagios.com>

	* plugins/check_ups.c: add --extended-units to check_ups

	* plugins/check_snmp.c: check_snmp: Fix segfault when multiple arguments
	passed to -o and the first is timeticks. Revert semicolon insertion on
	arguments passed to -o

2019-08-05  madlohe  <swolf@nagios.com>

	* plugins-scripts/check_file_age.pl: change check_file_age to use long
	plugin output; make sure check_file_age uses the 'worst' result instead
	of the most recent one, make sure check_file_age doesn't exit on the
	first file-not-found

2019-08-02  madlohe  <swolf@nagios.com>

	* lib/tests/Makefile.am: Allow testing library to compile (related:
	https://github.com/nagios-plugins/nagios-plugins/commit/af4f3723508c25d8c96cff2d7f5dc5d0762c1a71)

2019-08-01  madlohe  <swolf@nagios.com>

	* .gitignore, gl/Makefile.am~, gl/alloca.in.h~, gl/arpa_inet.in.h~,
	gl/asnprintf.c~, gl/asprintf.c~, gl/base64.c~, gl/base64.h~,
	gl/basename-lgpl.c~, gl/basename.c~, gl/btowc.c~, gl/config.charset~,
	gl/dirname-lgpl.c~, gl/dirname.c~, gl/dirname.h~, gl/dosname.h~,
	gl/errno.in.h~, gl/error.c~, gl/error.h~, gl/exitfail.c~,
	gl/exitfail.h~, gl/fd-hook.c~, gl/fd-hook.h~, gl/float+.h~, gl/float.c~,
	gl/float.in.h~, gl/floor.c~, gl/floorf.c~, gl/fsusage.c~, gl/fsusage.h~,
	gl/full-read.c~, gl/full-read.h~, gl/full-write.c~, gl/gai_strerror.c~,
	gl/getaddrinfo.c~, gl/gethostname.c~, gl/getloadavg.c~, gl/getopt.c~,
	gl/getopt.in.h~, gl/getopt1.c~, gl/getopt_int.h~, gl/gettext.h~,
	gl/idpriv-droptemp.c~, gl/idpriv.h~, gl/inet_ntop.c~, gl/intprops.h~,
	gl/itold.c~, gl/langinfo.in.h~, gl/localcharset.c~, gl/localcharset.h~,
	gl/locale.in.h~, gl/localeconv.c~, gl/malloc.c~, gl/malloca.c~,
	gl/malloca.h~, gl/math.in.h~, gl/mbrtowc.c~, gl/mbsinit.c~,
	gl/mbtowc-impl.h~, gl/mbtowc.c~, gl/memchr.c~, gl/mktime.c~,
	gl/mountlist.c~, gl/mountlist.h~, gl/msvc-inval.c~, gl/msvc-inval.h~,
	gl/msvc-nothrow.c~, gl/msvc-nothrow.h~, gl/netdb.in.h~,
	gl/netinet_in.in.h~, gl/nl_langinfo.c~, gl/printf-args.c~,
	gl/printf-args.h~, gl/printf-parse.c~, gl/printf-parse.h~, gl/read.c~,
	gl/ref-add.sin~, gl/ref-del.sin~, gl/regcomp.c~, gl/regex.c~,
	gl/regex.h~, gl/regex_internal.c~, gl/regex_internal.h~, gl/regexec.c~,
	gl/safe-read.c~, gl/safe-read.h~, gl/setenv.c~, gl/sha1.c~, gl/sha1.h~,
	gl/size_max.h~, gl/snprintf.c~, gl/sockets.c~, gl/sockets.h~,
	gl/stdalign.in.h~, gl/stdbool.in.h~, gl/stddef.in.h~, gl/stdint.in.h~,
	gl/stdio.in.h~, gl/stdlib.in.h~, gl/str-two-way.h~, gl/strcasecmp.c~,
	gl/strcasestr.c~, gl/streq.h~, gl/strerror-override.c~,
	gl/strerror-override.h~, gl/strerror.c~, gl/string.in.h~,
	gl/strings.in.h~, gl/stripslash.c~, gl/strncasecmp.c~, gl/strndup.c~,
	gl/strnlen.c~, gl/strsep.c~, gl/strstr.c~, gl/sys_socket.in.h~,
	gl/sys_types.in.h~, gl/sys_uio.in.h~, gl/time.in.h~, gl/time_r.c~,
	gl/timegm.c~, gl/unistd.in.h~, gl/unsetenv.c~, gl/vasnprintf.c~,
	gl/vasnprintf.h~, gl/vasprintf.c~, gl/verify.h~, gl/vsnprintf.c~,
	gl/w32sock.h~, gl/wchar.in.h~, gl/wcrtomb.c~, gl/wctype.in.h~,
	gl/xalloc-die.c~, gl/xalloc-oversized.h~, gl/xalloc.h~, gl/xmalloc.c~,
	gl/xsize.h~, gl/xstrndup.c~, gl/xstrndup.h~: remove backed-up files, add
	to gitignore

	* plugins/check_disk.c: Fix compilation error

	* plugins/check_disk.c: add help text for human readable output, add in
	'fake filesystem' skipping as an option

	* plugins-root/Makefile.am, plugins/Makefile.am: [hack] Allow linking to
	SSL libs for all plugins

	* plugins/check_http.c: Allow multiple spaces between HTTP protocol
	version and status code

2019-07-31  madlohe  <swolf@nagios.com>

	* plugins/check_http.c: check_http: Add URL to plugin output in most
	cases

	* plugins/check_http.c: Fix check_http after faulty merge

	* .gitignore: add remove_perfdata plugin to gitignore

	* plugins/check_http.c: Not all of #327 was added by
	https://github.com/nagios-plugins/nagios-plugins/commit/39943763033a16d49d4c85ab3187b51df87f8ad8

	* CHANGELOG.md, NEWS: NEWS is required by GNU automake. Turn
	CHANGELOG.md into a link to news

2019-07-30  madlohe  <swolf@nagios.com>

	* CHANGELOG.md: Rename NEWS to CHANGELOG.md (Handles #396)

	* NEWS, THANKS.in: Sort/reword/add credits to NEWS file, sort THANKS
	file

	* NEWS, THANKS.in: Update NEWS, THANKS.in for recent pull requests

	* plugins/check_dns.c: tabs -> spaces

2019-07-29  madlohe  <swolf@nagios.com>

	* NEWS: Update changelog

	* THANKS.in: Add Nick Fox to contributors list

	* NEWS: forgot to include NEWS in previous commit

	* THANKS.in, po/fr.po: Update french translation, changelog; add roger
	niesten to contributors file

	* THANKS.in: add 2005wind to contributors list for #402

	* plugins/check_http.c: forgot to check for tabs vs spaces in merge

	* plugins/check_http.c: tabs -> spaces (correcting cherry-picked code)

	* THANKS.in: add pieska to THANKS file

2019-06-16  Iain Bryson  <bryson.iain@gmail.com>

	* plugins/check_ldap.c, plugins/sslutils.c: [hack] fix SSL issues.

2019-07-25  madlohe  <swolf@nagios.com>

	* plugins/check_mysql_query.c: Add an option to specify character set in
	check_mysql_query

2019-07-24  Rick van der Zwet  <info@rickvanderzwet.nl>

	* plugins/check_http.c: Fix deadloop if header not matched

	If end-delimiter of header if not found within the page the loop will never
	stop. Only to be terminated by the timeout alarm trigger.

	Technically the response is received, yet it might not be valid.

2019-06-26  Iain Bryson  <bryson.iain@gmail.com>

	* plugins/check_disk.c: Fix header length issue

2019-06-25  slsca  <38093451+slsca@users.noreply.github.com>

	* plugins/check_http.c: fix error message when -e <response> fails

2019-06-24  Iain Bryson  <bryson.iain@gmail.com>

	* plugins/check_disk.c: Fix minimum column width and Type column
	alignment

2019-06-23  Iain Bryson  <bryson.iain@gmail.com>

	* plugins/check_disk.c: Make column separator 3 spaces.

2019-06-20  Iain Bryson  <bryson.iain@gmail.com>

	* plugins/check_disk.c: Fix issue on Centos

2019-06-19  Iain Bryson  <bryson.iain@gmail.com>

	* plugins/check_disk.c: Fix formatting issues

2019-06-16  Iain Bryson  <bryson.iain@gmail.com>

	* plugins/check_disk.c: Add -H for human output, for #380

	* plugins/check_ldap.c, plugins/sslutils.c: [hack] fix SSL issues.

2019-05-30  madlohe  <swolf@nagios.com>

	* gl/Makefile.am, gl/Makefile.am~, gl/argmatch.c, gl/argmatch.h,
	gl/assure.h, gl/c-ctype.c, gl/c-ctype.h, gl/c-strcase.h,
	gl/c-strcasecmp.c, gl/c-strcaseeq.h, gl/c-strncasecmp.c, gl/human.c,
	gl/human.h, gl/inttypes.in.h, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-cache.m4~, gl/m4/gnulib-comp.m4, gl/m4/gnulib-comp.m4~,
	gl/m4/human.m4, gl/m4/inttypes.m4, gl/m4/quote.m4, gl/m4/quotearg.m4,
	gl/m4/strtoull.m4, gl/m4/strtoumax.m4, gl/m4/xstrtol.m4, gl/quote.h,
	gl/quotearg.c, gl/quotearg.h, gl/strtoimax.c, gl/strtol.c, gl/strtoul.c,
	gl/strtoull.c, gl/strtoumax.c, gl/xstrtol-error.c, gl/xstrtol.c,
	gl/xstrtol.h, gl/xstrtoul.c, gl/xstrtoumax.c: Add GNU human as
	dependency

	* build-aux/config.rpath, build-aux/snippet/arg-nonnull.h,
	build-aux/snippet/arg-nonnull.h~, build-aux/snippet/c++defs.h,
	build-aux/snippet/c++defs.h~, build-aux/snippet/warn-on-use.h,
	build-aux/snippet/warn-on-use.h~, gl/Makefile.am, gl/Makefile.am~,
	gl/alloca.in.h, gl/alloca.in.h~, gl/arpa_inet.in.h, gl/arpa_inet.in.h~,
	gl/asnprintf.c, gl/asnprintf.c~, gl/asprintf.c, gl/asprintf.c~,
	gl/base64.c, gl/base64.c~, gl/base64.h, gl/base64.h~,
	gl/basename-lgpl.c, gl/basename-lgpl.c~, gl/basename.c, gl/basename.c~,
	gl/btowc.c, gl/btowc.c~, gl/config.charset, gl/config.charset~,
	gl/dirname-lgpl.c, gl/dirname-lgpl.c~, gl/dirname.c, gl/dirname.c~,
	gl/dirname.h, gl/dirname.h~, gl/dosname.h, gl/dosname.h~, gl/errno.in.h,
	gl/errno.in.h~, gl/error.c, gl/error.c~, gl/error.h, gl/error.h~,
	gl/exitfail.c, gl/exitfail.c~, gl/exitfail.h, gl/exitfail.h~,
	gl/fd-hook.c, gl/fd-hook.c~, gl/fd-hook.h, gl/fd-hook.h~, gl/float+.h,
	gl/float+.h~, gl/float.c, gl/float.c~, gl/float.in.h, gl/float.in.h~,
	gl/floor.c, gl/floor.c~, gl/floorf.c, gl/floorf.c~, gl/fsusage.c,
	gl/fsusage.c~, gl/fsusage.h, gl/fsusage.h~, gl/full-read.c,
	gl/full-read.c~, gl/full-read.h, gl/full-read.h~, gl/full-write.c,
	gl/full-write.c~, gl/gai_strerror.c, gl/gai_strerror.c~,
	gl/getaddrinfo.c, gl/getaddrinfo.c~, gl/gethostname.c,
	gl/gethostname.c~, gl/getloadavg.c, gl/getloadavg.c~, gl/getopt.c,
	gl/getopt.c~, gl/getopt.in.h, gl/getopt.in.h~, gl/getopt1.c,
	gl/getopt1.c~, gl/getopt_int.h, gl/getopt_int.h~, gl/gettext.h,
	gl/gettext.h~, gl/gettimeofday.c, gl/gl_openssl.h, gl/glthread/lock.c,
	gl/glthread/lock.c~, gl/glthread/lock.h, gl/glthread/lock.h~,
	gl/glthread/threadlib.c, gl/glthread/threadlib.c~, gl/idpriv-droptemp.c,
	gl/idpriv-droptemp.c~, gl/idpriv.h, gl/idpriv.h~, gl/inet_ntop.c,
	gl/inet_ntop.c~, gl/intprops.h, gl/intprops.h~, gl/itold.c, gl/itold.c~,
	gl/langinfo.in.h, gl/langinfo.in.h~, gl/localcharset.c,
	gl/localcharset.c~, gl/localcharset.h, gl/localcharset.h~,
	gl/locale.in.h, gl/locale.in.h~, gl/localeconv.c, gl/localeconv.c~,
	gl/m4/00gnulib.m4, gl/m4/00gnulib.m4~, gl/m4/absolute-header.m4,
	gl/m4/alloca.m4, gl/m4/alloca.m4~, gl/m4/arpa_inet_h.m4,
	gl/m4/arpa_inet_h.m4~, gl/m4/base64.m4, gl/m4/base64.m4~,
	gl/m4/btowc.m4, gl/m4/btowc.m4~, gl/m4/codeset.m4, gl/m4/codeset.m4~,
	gl/m4/configmake.m4, gl/m4/configmake.m4~, gl/m4/dirname.m4,
	gl/m4/dirname.m4~, gl/m4/double-slash-root.m4,
	gl/m4/double-slash-root.m4~, gl/m4/eealloc.m4, gl/m4/eealloc.m4~,
	gl/m4/environ.m4, gl/m4/environ.m4~, gl/m4/errno_h.m4,
	gl/m4/errno_h.m4~, gl/m4/error.m4, gl/m4/error.m4~, gl/m4/exponentd.m4,
	gl/m4/exponentd.m4~, gl/m4/extensions.m4, gl/m4/extensions.m4~,
	gl/m4/extern-inline.m4, gl/m4/extern-inline.m4~, gl/m4/fcntl-o.m4,
	gl/m4/fcntl-o.m4~, gl/m4/float_h.m4, gl/m4/float_h.m4~, gl/m4/floorf.m4,
	gl/m4/floorf.m4~, gl/m4/fstypename.m4, gl/m4/fstypename.m4~,
	gl/m4/fsusage.m4, gl/m4/fsusage.m4~, gl/m4/getaddrinfo.m4,
	gl/m4/getaddrinfo.m4~, gl/m4/gethostname.m4, gl/m4/gethostname.m4~,
	gl/m4/getloadavg.m4, gl/m4/getloadavg.m4~, gl/m4/getopt.m4,
	gl/m4/getopt.m4~, gl/m4/gettext.m4, gl/m4/gettext.m4~,
	gl/m4/gettimeofday.m4, gl/m4/gl-openssl.m4, gl/m4/glibc2.m4,
	gl/m4/glibc2.m4~, gl/m4/glibc21.m4, gl/m4/glibc21.m4~,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-cache.m4~, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-common.m4~, gl/m4/gnulib-comp.m4, gl/m4/gnulib-comp.m4~,
	gl/m4/gnulib-tool.m4, gl/m4/gnulib-tool.m4~, gl/m4/hostent.m4,
	gl/m4/hostent.m4~, gl/m4/iconv.m4, gl/m4/iconv.m4~, gl/m4/idpriv.m4,
	gl/m4/idpriv.m4~, gl/m4/include_next.m4, gl/m4/include_next.m4~,
	gl/m4/inet_ntop.m4, gl/m4/inet_ntop.m4~, gl/m4/intdiv0.m4,
	gl/m4/intdiv0.m4~, gl/m4/intl.m4, gl/m4/intl.m4~, gl/m4/intldir.m4,
	gl/m4/intldir.m4~, gl/m4/intlmacosx.m4, gl/m4/intlmacosx.m4~,
	gl/m4/intmax.m4, gl/m4/intmax.m4~, gl/m4/intmax_t.m4,
	gl/m4/intmax_t.m4~, gl/m4/inttypes-pri.m4, gl/m4/inttypes-pri.m4~,
	gl/m4/inttypes_h.m4, gl/m4/inttypes_h.m4~, gl/m4/langinfo_h.m4,
	gl/m4/langinfo_h.m4~, gl/m4/largefile.m4, gl/m4/largefile.m4~,
	gl/m4/lcmessage.m4, gl/m4/lcmessage.m4~, gl/m4/lib-ld.m4,
	gl/m4/lib-ld.m4~, gl/m4/lib-link.m4, gl/m4/lib-link.m4~,
	gl/m4/lib-prefix.m4, gl/m4/lib-prefix.m4~, gl/m4/localcharset.m4,
	gl/m4/localcharset.m4~, gl/m4/locale-fr.m4, gl/m4/locale-fr.m4~,
	gl/m4/locale-ja.m4, gl/m4/locale-ja.m4~, gl/m4/locale-zh.m4,
	gl/m4/locale-zh.m4~, gl/m4/locale_h.m4, gl/m4/locale_h.m4~,
	gl/m4/localeconv.m4, gl/m4/localeconv.m4~, gl/m4/lock.m4,
	gl/m4/lock.m4~, gl/m4/longlong.m4, gl/m4/longlong.m4~,
	gl/m4/ls-mntd-fs.m4, gl/m4/ls-mntd-fs.m4~, gl/m4/malloc.m4,
	gl/m4/malloc.m4~, gl/m4/malloca.m4, gl/m4/malloca.m4~, gl/m4/math_h.m4,
	gl/m4/math_h.m4~, gl/m4/mbrtowc.m4, gl/m4/mbrtowc.m4~, gl/m4/mbsinit.m4,
	gl/m4/mbsinit.m4~, gl/m4/mbstate_t.m4, gl/m4/mbstate_t.m4~,
	gl/m4/mbtowc.m4, gl/m4/mbtowc.m4~, gl/m4/memchr.m4, gl/m4/memchr.m4~,
	gl/m4/mktime.m4, gl/m4/mktime.m4~, gl/m4/mmap-anon.m4,
	gl/m4/mmap-anon.m4~, gl/m4/mountlist.m4, gl/m4/mountlist.m4~,
	gl/m4/msvc-inval.m4, gl/m4/msvc-inval.m4~, gl/m4/msvc-nothrow.m4,
	gl/m4/msvc-nothrow.m4~, gl/m4/multiarch.m4, gl/m4/multiarch.m4~,
	gl/m4/netdb_h.m4, gl/m4/netdb_h.m4~, gl/m4/netinet_in_h.m4,
	gl/m4/netinet_in_h.m4~, gl/m4/nl_langinfo.m4, gl/m4/nl_langinfo.m4~,
	gl/m4/nls.m4, gl/m4/nls.m4~, gl/m4/nocrash.m4, gl/m4/nocrash.m4~,
	gl/m4/off_t.m4, gl/m4/off_t.m4~, gl/m4/onceonly.m4, gl/m4/onceonly.m4~,
	gl/m4/po.m4, gl/m4/po.m4~, gl/m4/printf-posix.m4,
	gl/m4/printf-posix.m4~, gl/m4/printf.m4, gl/m4/printf.m4~,
	gl/m4/progtest.m4, gl/m4/progtest.m4~, gl/m4/read.m4, gl/m4/read.m4~,
	gl/m4/regex.m4, gl/m4/regex.m4~, gl/m4/safe-read.m4,
	gl/m4/safe-read.m4~, gl/m4/servent.m4, gl/m4/servent.m4~,
	gl/m4/setenv.m4, gl/m4/setenv.m4~, gl/m4/sha1.m4, gl/m4/sha1.m4~,
	gl/m4/size_max.m4, gl/m4/size_max.m4~, gl/m4/snprintf.m4,
	gl/m4/snprintf.m4~, gl/m4/socketlib.m4, gl/m4/socketlib.m4~,
	gl/m4/sockets.m4, gl/m4/sockets.m4~, gl/m4/socklen.m4,
	gl/m4/socklen.m4~, gl/m4/sockpfaf.m4, gl/m4/sockpfaf.m4~,
	gl/m4/ssize_t.m4, gl/m4/ssize_t.m4~, gl/m4/stdalign.m4,
	gl/m4/stdalign.m4~, gl/m4/stdbool.m4, gl/m4/stdbool.m4~,
	gl/m4/stddef_h.m4, gl/m4/stddef_h.m4~, gl/m4/stdint.m4,
	gl/m4/stdint.m4~, gl/m4/stdint_h.m4, gl/m4/stdint_h.m4~,
	gl/m4/stdio_h.m4, gl/m4/stdio_h.m4~, gl/m4/stdlib_h.m4,
	gl/m4/stdlib_h.m4~, gl/m4/strcase.m4, gl/m4/strcase.m4~,
	gl/m4/strcasestr.m4, gl/m4/strcasestr.m4~, gl/m4/strerror.m4,
	gl/m4/strerror.m4~, gl/m4/string_h.m4, gl/m4/string_h.m4~,
	gl/m4/strings_h.m4, gl/m4/strings_h.m4~, gl/m4/strndup.m4,
	gl/m4/strndup.m4~, gl/m4/strnlen.m4, gl/m4/strnlen.m4~, gl/m4/strsep.m4,
	gl/m4/strsep.m4~, gl/m4/strstr.m4, gl/m4/strstr.m4~,
	gl/m4/sys_socket_h.m4, gl/m4/sys_socket_h.m4~, gl/m4/sys_time_h.m4,
	gl/m4/sys_types_h.m4, gl/m4/sys_types_h.m4~, gl/m4/sys_uio_h.m4,
	gl/m4/sys_uio_h.m4~, gl/m4/threadlib.m4, gl/m4/threadlib.m4~,
	gl/m4/time_h.m4, gl/m4/time_h.m4~, gl/m4/time_r.m4, gl/m4/time_r.m4~,
	gl/m4/timegm.m4, gl/m4/timegm.m4~, gl/m4/uintmax_t.m4,
	gl/m4/uintmax_t.m4~, gl/m4/unistd_h.m4, gl/m4/unistd_h.m4~,
	gl/m4/vasnprintf.m4, gl/m4/vasnprintf.m4~, gl/m4/vasprintf.m4,
	gl/m4/vasprintf.m4~, gl/m4/visibility.m4, gl/m4/visibility.m4~,
	gl/m4/vsnprintf.m4, gl/m4/vsnprintf.m4~, gl/m4/warn-on-use.m4,
	gl/m4/warn-on-use.m4~, gl/m4/wchar_h.m4, gl/m4/wchar_h.m4~,
	gl/m4/wchar_t.m4, gl/m4/wchar_t.m4~, gl/m4/wcrtomb.m4,
	gl/m4/wcrtomb.m4~, gl/m4/wctype_h.m4, gl/m4/wctype_h.m4~,
	gl/m4/wint_t.m4, gl/m4/wint_t.m4~, gl/m4/xalloc.m4, gl/m4/xalloc.m4~,
	gl/m4/xsize.m4, gl/m4/xsize.m4~, gl/m4/xstrndup.m4, gl/m4/xstrndup.m4~,
	gl/malloc.c, gl/malloc.c~, gl/malloca.c, gl/malloca.c~, gl/malloca.h,
	gl/malloca.h~, gl/math.in.h, gl/math.in.h~, gl/mbrtowc.c, gl/mbrtowc.c~,
	gl/mbsinit.c, gl/mbsinit.c~, gl/mbtowc-impl.h, gl/mbtowc-impl.h~,
	gl/mbtowc.c, gl/mbtowc.c~, gl/memchr.c, gl/memchr.c~, gl/mktime.c,
	gl/mktime.c~, gl/mountlist.c, gl/mountlist.c~, gl/mountlist.h,
	gl/mountlist.h~, gl/msvc-inval.c, gl/msvc-inval.c~, gl/msvc-inval.h,
	gl/msvc-inval.h~, gl/msvc-nothrow.c, gl/msvc-nothrow.c~,
	gl/msvc-nothrow.h, gl/msvc-nothrow.h~, gl/netdb.in.h, gl/netdb.in.h~,
	gl/netinet_in.in.h, gl/netinet_in.in.h~, gl/nl_langinfo.c,
	gl/nl_langinfo.c~, gl/printf-args.c, gl/printf-args.c~,
	gl/printf-args.h, gl/printf-args.h~, gl/printf-parse.c,
	gl/printf-parse.c~, gl/printf-parse.h, gl/printf-parse.h~, gl/read.c,
	gl/read.c~, gl/ref-add.sin, gl/ref-add.sin~, gl/ref-del.sin,
	gl/ref-del.sin~, gl/regcomp.c, gl/regcomp.c~, gl/regex.c, gl/regex.c~,
	gl/regex.h, gl/regex.h~, gl/regex_internal.c, gl/regex_internal.c~,
	gl/regex_internal.h, gl/regex_internal.h~, gl/regexec.c, gl/regexec.c~,
	gl/safe-read.c, gl/safe-read.c~, gl/safe-read.h, gl/safe-read.h~,
	gl/setenv.c, gl/setenv.c~, gl/sha1.c, gl/sha1.c~, gl/sha1.h, gl/sha1.h~,
	gl/size_max.h, gl/size_max.h~, gl/snprintf.c, gl/snprintf.c~,
	gl/sockets.c, gl/sockets.c~, gl/sockets.h, gl/sockets.h~,
	gl/stdalign.in.h, gl/stdalign.in.h~, gl/stdbool.in.h, gl/stdbool.in.h~,
	gl/stddef.in.h, gl/stddef.in.h~, gl/stdint.in.h, gl/stdint.in.h~,
	gl/stdio.in.h, gl/stdio.in.h~, gl/stdlib.in.h, gl/stdlib.in.h~,
	gl/str-two-way.h, gl/str-two-way.h~, gl/strcasecmp.c, gl/strcasecmp.c~,
	gl/strcasestr.c, gl/strcasestr.c~, gl/streq.h, gl/streq.h~,
	gl/strerror-override.c, gl/strerror-override.c~, gl/strerror-override.h,
	gl/strerror-override.h~, gl/strerror.c, gl/strerror.c~, gl/string.in.h,
	gl/string.in.h~, gl/strings.in.h, gl/strings.in.h~, gl/stripslash.c,
	gl/stripslash.c~, gl/strncasecmp.c, gl/strncasecmp.c~, gl/strndup.c,
	gl/strndup.c~, gl/strnlen.c, gl/strnlen.c~, gl/strsep.c, gl/strsep.c~,
	gl/strstr.c, gl/strstr.c~, gl/sys_socket.in.h, gl/sys_socket.in.h~,
	gl/sys_time.in.h, gl/sys_types.in.h, gl/sys_types.in.h~,
	gl/sys_uio.in.h, gl/sys_uio.in.h~, gl/time.in.h, gl/time.in.h~,
	gl/time_r.c, gl/time_r.c~, gl/timegm.c, gl/timegm.c~, gl/unistd.in.h,
	gl/unistd.in.h~, gl/unsetenv.c, gl/unsetenv.c~, gl/vasnprintf.c,
	gl/vasnprintf.c~, gl/vasnprintf.h, gl/vasnprintf.h~, gl/vasprintf.c,
	gl/vasprintf.c~, gl/verify.h, gl/verify.h~, gl/vsnprintf.c,
	gl/vsnprintf.c~, gl/w32sock.h, gl/w32sock.h~, gl/wchar.in.h,
	gl/wchar.in.h~, gl/wcrtomb.c, gl/wcrtomb.c~, gl/wctype.in.h,
	gl/wctype.in.h~, gl/xalloc-die.c, gl/xalloc-die.c~,
	gl/xalloc-oversized.h, gl/xalloc-oversized.h~, gl/xalloc.h,
	gl/xalloc.h~, gl/xmalloc.c, gl/xmalloc.c~, gl/xsize.h, gl/xsize.h~,
	gl/xstrndup.c, gl/xstrndup.c~, gl/xstrndup.h, gl/xstrndup.h~: Run
	gnulib-tool, using the version from EPEL 7 repos

2019-05-06  Vit Herman  <herman@avast.com>

	* plugins/check_radius.c: Check for null pointer when traversing list of
	interfaces

	ifa_addr field of stuct ifaddrs may containt NULL (see getifaddrs(3)),
	causing a crash. Since such list entries are of no use to us anyway,
	we just skip them.

2019-03-26  Sean Sax  <ssax@nagios.com>

	* plugins/check_dns.c: Fix for -a input exceeding 384 length, increased
	to 4096 for searching multiple 255 legth TXT records like DKIM.

2019-03-22  TechnoLord  <rahul.golam19@gmail.com>

	* plugins/sslutils.c: Enabling Post Handshake Authentication for
	Nagios-plugins

2018-12-13  Patrick Uiterwijk  <patrick@puiterwijk.org>

	* NEWS, plugins/check_smtp.c: check_smtp: Add option to prefix PROXY
	header

	This enables checks of SMTP servers that expect the haproxy
	PROXY protocol:  -o smtpd_upstream_proxy_protocol=haproxy.

2019-02-20  Francois Lallart  <fraff@free.fr>

	* plugins/check_procs.c: Improve documentation about --input-file

	* plugins/check_procs.c: Improve documentation about --input-file

2018-12-17  Peter Athaks  <athaks@gmail.com>

	* plugins-scripts/check_oracle.sh: check_oracle: Added support for
	Oracle 18c XE for --db

	PMON process of oracle 18c XE is neither prefixed by asm_ nor by ora_ but by xe_

2018-11-19  Rahul Golam  <rahul.golam19@gmail.com>

	* THANKS.in: Thanks File updated

	https://github.com/nagios-plugins/nagios-plugins/commit/ac6b67a1a863ca80f4026f86abd27495b76d3704

2018-10-10  rogerniesten  <r.niesten@maastrichtuniversity.nl>

	* plugins/check_disk.c: Issue #422: Corrected typo for unit GB

	* po/de.po, po/fr.po: Issue #422: minor correction on language files

	* plugins/check_disk.c: Issue #422: Reversed binary vs decimal units in
	previous commit. Now corrected

	* plugins/check_disk.c, po/de.po, po/fr.po, po/nagios-plugins.pot: Issue
	#422: Added support for binary units (KiB, MiB, GiB, TiB) for check_disk
	plugin (incl update of french and german translation)

2018-08-24  gino0631  <gino0631@users.noreply.github.com>

	* plugins/check_ups.c: Fix #345

2018-08-07  Karsten Weiss  <knweiss@gmail.com>

	* plugins/check_http.c: check_http: s/critcal/critical/

2018-07-19  2005wind  <2005wind@gmail.com>

	* plugins/check_http.c: fix use '-N' cause CRITICAL - Socket

2018-07-17  Nick Fox  <nick.fox@jobsite.co.uk>

	* plugins/check_procs.c: adding symbol to ranges in help output

2018-07-10  Box293  <troy@box293.com>

	* plugins/check_dns.c: Fixed issue with Bind 9.11.x onwards returning
	AAAA records using the same format as A records. The plugin now
	correctly detects the A or AAAA records that are returned. Fixed issue
	with Bind 9.11.x onwards performing a query for both A and AAAA records.
	The previous default behavior of nslookup was just A records, to ensure
	that exisitng users of this plugin do not get incorrect results the
	querytype defaults to A (if it has not already been specified). If an
	end user wants both A and AAAA then they need to use ANY.

2018-07-06  Sebastian Wolf  <wolfx587@umn.edu>

	* plugins/check_http.c: Add option to continue plugin after certificate
	check

2018-07-06  Marc Sánchez  <sanchezfauste@gmail.com>

	* plugins/check_apt.c: Adding accidentally removed print_help msg

	* plugins/check_apt.c: Correcting print usage

2018-07-06  Box293  <troy@box293.com>

	* plugins/check_snmp.c: Fixed --authpasswd in check_snmp help

2018-07-05  BornToBeRoot  <BornToBeRoot@users.noreply.github.com>

	* NEWS, THANKS.in: Changelog 2.2.2

2018-06-29  Box293  <troy@box293.com>

	* plugins-root/check_dhcp.c: Added list of servers that did not respond
	when requested using -s argument to the output.

2018-06-27  Box293  <troy@box293.com>

	* plugins/check_snmp.c: Fix check_snmp Timeticks not appearing as days
	in output. Also added a semicolon to separate multiple OIDs.

2018-06-25  BornToBeRoot  <BornToBeRoot@users.noreply.github.com>

	* plugins/check_dns.c: check_dns: make reverse (PTR) check case
	insensitive

2018-06-25  Box293  <troy@box293.com>

	* plugins-root/check_dhcp.c: work in progress

2018-06-24  Mario Trangoni  <mjtrangoni@gmail.com>

	* lib/utils_base.c: utils_base.c: Fix unused value and parentheses
	warnings

	See,
	In file included from test_utils.c:28:
	../../lib/utils_base.c:338:8: warning: expression result unused [-Wunused-value]
	                for (varlist; isspace(varlist[0]); varlist++);
	                     ^~~~~~~
	../../lib/utils_base.c:343:9: warning: expression result unused [-Wunused-value]
	                        for (varlist; isspace(varlist[0]); varlist++);
	                             ^~~~~~~
	../../lib/utils_base.c:349:10: warning: expression result unused
	      [-Wunused-value]
	                                for (varlist; isspace(varlist[0]); varlist++);
	                                     ^~~~~~~
	../../lib/utils_base.c:351:13: warning: using the result of an assignment as a
	      condition without parentheses [-Wparentheses]
	                                if (tmp = index(varlist, sep)) {
	                                    ~~~~^~~~~~~~~~~~~~~~~~~~~
	../../lib/utils_base.c:351:13: note: place parentheses around the assignment to
	      silence this warning
	                                if (tmp = index(varlist, sep)) {
	                                        ^
	                                    (                        )
	../../lib/utils_base.c:351:13: note: use '==' to turn this assignment into an
	      equality comparison
	                                if (tmp = index(varlist, sep)) {
	                                        ^
	                                        ==
	../../lib/utils_base.c:367:11: warning: using the result of an assignment as a
	      condition without parentheses [-Wparentheses]
	                if (tmp = index(varlist, sep)) {
	                    ~~~~^~~~~~~~~~~~~~~~~~~~~
	../../lib/utils_base.c:367:11: note: place parentheses around the assignment to
	      silence this warning
	                if (tmp = index(varlist, sep)) {
	                        ^
	                    (                        )
	../../lib/utils_base.c:367:11: note: use '==' to turn this assignment into an
	      equality comparison
	                if (tmp = index(varlist, sep)) {
	                        ^
	                        ==

	* plugins-root/check_dhcp.c: check_dhcp.c: Fix constant convertion
	warning

	check_dhcp.c:520:34: warning: implicit conversion from 'int' to 'char' changes
	      value from 255 to -1 [-Wconstant-conversion]
	        discover_packet.options[opts++]=DHCP_OPTION_END;
	                                       ~^~~~~~~~~~~~~~~
	check_dhcp.c:189:41: note: expanded from macro 'DHCP_OPTION_END'
	                                        ^~~
	1 warning generated.

	* plugins/check_hpjd.c: check_hpjd.c: fix format warning

	check_hpjd.c:125:19: warning: format specifies type 'short' but the argument has
	      type 'int' [-Wformat]
	  ...address, port, query_string);
	              ^~~~
	1 warning generated.

	* plugins/check_load.c: check_load.c: Fix clang format warning

	See,
	check_load.c:163:56: warning: format specifies type 'char *' but the argument
	      has type 'int' [-Wformat]
	  ...printf (_("could not parse load from uptime: %s\n"), result, PATH_TO_UPT...
	                                                  ~~      ^~~~~~
	                                                  %d
	check_load.c:163:64: warning: data argument not used by format string
	      [-Wformat-extra-args]
	  ...printf (_("could not parse load from uptime: %s\n"), result, PATH_TO_UPT...
	               ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~           ^
	../config.h:1909:24: note: expanded from macro 'PATH_TO_UPTIME'
	                       ^
	2 warnings generated.

	* lib/extra_opts.c: extra_opts.c: Fix using result as a condition
	warnings

	See,
	extra_opts.c:96:14: warning: using the result of an assignment as a condition
	      without parentheses [-Wparentheses]
	                                while(ea1=ea1->next) ea_num++;
	                                      ~~~^~~~~~~~~~
	extra_opts.c:96:14: note: place parentheses around the assignment to silence
	      this warning
	                                while(ea1=ea1->next) ea_num++;
	                                         ^
	                                      (            )
	extra_opts.c:96:14: note: use '==' to turn this assignment into an equality
	      comparison
	                                while(ea1=ea1->next) ea_num++;
	                                         ^
	                                         ==
	extra_opts.c:103:14: warning: using the result of an assignment as a condition
	      without parentheses [-Wparentheses]
	                                while(ea1=ea1->next) ea_num++;
	                                      ~~~^~~~~~~~~~
	extra_opts.c:103:14: note: place parentheses around the assignment to silence
	      this warning
	                                while(ea1=ea1->next) ea_num++;
	                                         ^
	                                      (            )
	extra_opts.c:103:14: note: use '==' to turn this assignment into an equality
	      comparison
	                                while(ea1=ea1->next) ea_num++;
	                                         ^
	                                         ==

2018-06-23  Mario Trangoni  <mjtrangoni@gmail.com>

	* plugins/check_fping.c: check_fping.c: add parentheses for silencing
	this warning

	See,
	check_fping.c:150:14: warning: using the result of an assignment as a condition
	      without parentheses [-Wparentheses]
	  if (result = spclose (child_process))
	      ~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~
	check_fping.c:150:14: note: place parentheses around the assignment to silence
	      this warning
	  if (result = spclose (child_process))
	             ^
	      (                               )
	check_fping.c:150:14: note: use '==' to turn this assignment into an equality
	      comparison
	  if (result = spclose (child_process))
	             ^
	             ==
	1 warning generated.

	* plugins/check_disk.c: check_disk.c: Use fabs instead of labs, as the
	type is double really.

	See,
	check_disk.c:367:29: warning: using integer absolute value function 'labs' when
	      argument is of floating point type [-Wabsolute-value]
	        warning_high_tide = labs( min( (double) warning_high_tide, (doub...
	                            ^
	check_disk.c:367:29: note: use function 'fabs' instead
	        warning_high_tide = labs( min( (double) warning_high_tide, (doub...
	                            ^~~~
	                            fabs
	check_disk.c:373:30: warning: using integer absolute value function 'labs' when
	      argument is of floating point type [-Wabsolute-value]
	        critical_high_tide = labs( min( (double) critical_high_tide, (do...
	                             ^
	check_disk.c:373:30: note: use function 'fabs' instead
	        critical_high_tide = labs( min( (double) critical_high_tide, (do...
	                             ^~~~
	                             fabs

	* plugins/check_disk.c: check_disk.c: Fix format-extra-args warning

	See,

	check_disk.c: In function ‘get_stats’:
	check_disk.c:1008:134: warning: format ‘%lu’ expects a matching ‘long unsigned int’ argument [-Wformat=]
	 s) used_units=%li free_units=%li total_units=%li fsu_blocksize=%lu mult=%lu\n",
	                                                                         ~~^
	check_disk.c:1028:79: warning: format ‘%li’ expects argument of type ‘long int’, but argument 5 has type ‘char *’ [-Wformat=]
	 intf("Group %s now has: used_units=%li free_units=%li total_units=%li fsu_blocksize=%lu mult=%lu\n",
	                                                                   ~~^
	                                                                   %s
	      p->group, tmpfsp.fsu_bavail, tmpfsp.fsu_blocksize, p->best_match->me_mountdir, p->dused_units,
	                                                         ~~~~~~~~~~~~~~~~~~~~~~~~~~
	check_disk.c:1028:16: warning: too many arguments for format [-Wformat-extra-args]
	         printf("Group %s now has: used_units=%li free_units=%li total_units=%li fsu_blocksize=%lu mult=%lu\n",
	                ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	* plugins/check_disk.c: check_disk.c: Fix many format warnings

	See,

	check_disk.c: In function ‘main’:
	check_disk.c:319:62: warning: format ‘%i’ expects argument of type ‘int’, but argument 5 has type ‘uintmax_t’ {aka ‘long unsigned int’} [-Wformat=]
	         printf ("For %s, used_pct=%g free_pct=%g used_units=%i free_units=%i total_units=%i used_inodes_pct=%g free_inodes_pct=%g fsp.fsu_blocksize=%llu mult=%llu\n",
	                                                             ~^
	                                                             %li
	           me->me_mountdir, path->dused_pct, path->dfree_pct, path->dused_units, path->dfree_units, path->dtotal_units, path->dused_inodes_percent, path->dfree_inodes_percent, fsp.fsu_blocksize, mult);
	                                                              ~~~~~~~~~~~~~~~~~
	check_disk.c:319:76: warning: format ‘%i’ expects argument of type ‘int’, but argument 6 has type ‘uintmax_t’ {aka ‘long unsigned int’} [-Wformat=]
	  printf ("For %s, used_pct=%g free_pct=%g used_units=%i free_units=%i total_units=%i used_inodes_pct=%g free_inodes_pct=%g fsp.fsu_blocksize=%llu mult=%llu\n",
	                                                                    ~^
	                                                                    %li
	    me->me_mountdir, path->dused_pct, path->dfree_pct, path->dused_units, path->dfree_units, path->dtotal_units, path->dused_inodes_percent, path->dfree_inodes_percent, fsp.fsu_blocksize, mult);
	                                                                          ~~~~~~~~~~~~~~~~~
	check_disk.c:319:91: warning: format ‘%i’ expects argument of type ‘int’, but argument 7 has type ‘uintmax_t’ {aka ‘long unsigned int’} [-Wformat=]
	 s, used_pct=%g free_pct=%g used_units=%i free_units=%i total_units=%i used_inodes_pct=%g free_inodes_pct=%g fsp.fsu_blocksize=%llu mult=%llu\n",
	                                                                    ~^
	                                                                    %li
	 dir, path->dused_pct, path->dfree_pct, path->dused_units, path->dfree_units, path->dtotal_units, path->dused_inodes_percent, path->dfree_inodes_percent, fsp.fsu_blocksize, mult);
	                                                                              ~~~~~~~~~~~~~~~~~~
	check_disk.c:319:152: warning: format ‘%llu’ expects argument of type ‘long long unsigned int’, but argument 10 has type ‘uintmax_t’ {aka ‘long unsigned int’} [-Wformat=]
	 units=%i used_inodes_pct=%g free_inodes_pct=%g fsp.fsu_blocksize=%llu mult=%llu\n",
	                                                                  ~~~^
	                                                                  %lu
	 h->dfree_units, path->dtotal_units, path->dused_inodes_percent, path->dfree_inodes_percent, fsp.fsu_blocksize, mult);
	                                                                                             ~~~~~~~~~~~~~~~~~
	check_disk.c:319:162: warning: format ‘%llu’ expects argument of type ‘long long unsigned int’, but argument 11 has type ‘uintmax_t’ {aka ‘long unsigned int’} [-Wformat=]
	 s=%i used_inodes_pct=%g free_inodes_pct=%g fsp.fsu_blocksize=%llu mult=%llu\n",
	                                                                        ~~~^
	                                                                        %lu
	 free_units, path->dtotal_units, path->dused_inodes_percent, path->dfree_inodes_percent, fsp.fsu_blocksize, mult);
	                                                                                                            ~~~~
	check_disk.c: In function ‘get_stats’:
	check_disk.c:1008:39: warning: format ‘%llu’ expects argument of type ‘long long unsigned int’, but argument 3 has type ‘uintmax_t’ {aka ‘long unsigned int’} [-Wformat=]
	           printf("Group %s: adding %llu blocks sized %llu, (%s) used_units=%i free_units=%i total_units=%i fsu_blocksize=%llu mult=%llu\n",
	                                    ~~~^
	                                    %lu
	                  p_list->group, tmpfsp.fsu_bavail, tmpfsp.fsu_blocksize, p_list->best_match->me_mountdir, p_list->dused_units, p_list->dfree_units,
	                                 ~~~~~~~~~~~~~~~~~
	check_disk.c:1008:57: warning: format ‘%llu’ expects argument of type ‘long long unsigned int’, but argument 4 has type ‘uintmax_t’ {aka ‘long unsigned int’} [-Wformat=]
	           printf("Group %s: adding %llu blocks sized %llu, (%s) used_units=%i free_units=%i total_units=%i fsu_blocksize=%llu mult=%llu\n",
	                                                      ~~~^
	                                                      %lu
	                  p_list->group, tmpfsp.fsu_bavail, tmpfsp.fsu_blocksize, p_list->best_match->me_mountdir, p_list->dused_units, p_list->dfree_units,
	                                                    ~~~~~~~~~~~~~~~~~~~~
	check_disk.c:1008:77: warning: format ‘%i’ expects argument of type ‘int’, but argument 6 has type ‘uintmax_t’ {aka ‘long unsigned int’} [-Wformat=]
	   printf("Group %s: adding %llu blocks sized %llu, (%s) used_units=%i free_units=%i total_units=%i fsu_blocksize=%llu mult=%llu\n",
	                                                                    ~^
	                                                                    %li
	          p_list->group, tmpfsp.fsu_bavail, tmpfsp.fsu_blocksize, p_list->best_match->me_mountdir, p_list->dused_units, p_list->dfree_units,
	                                                                                                   ~~~~~~~~~~~~~~~~~~~
	check_disk.c:1008:91: warning: format ‘%i’ expects argument of type ‘int’, but argument 7 has type ‘uintmax_t’ {aka ‘long unsigned int’} [-Wformat=]
	 p %s: adding %llu blocks sized %llu, (%s) used_units=%i free_units=%i total_units=%i fsu_blocksize=%llu mult=%llu\n",
	                                                                    ~^
	                                                                    %li
	 t->group, tmpfsp.fsu_bavail, tmpfsp.fsu_blocksize, p_list->best_match->me_mountdir, p_list->dused_units, p_list->dfree_units,
	                                                                                                          ~~~~~~~~~~~~~~~~~~~
	check_disk.c:1008:106: warning: format ‘%i’ expects argument of type ‘int’, but argument 8 has type ‘uintmax_t’ {aka ‘long unsigned int’} [-Wformat=]
	 lu blocks sized %llu, (%s) used_units=%i free_units=%i total_units=%i fsu_blocksize=%llu mult=%llu\n",
	                                                                    ~^
	                                                                    %li
	check_disk.c:1010:18:
	 , mult);

	check_disk.c:1008:125: warning: format ‘%llu’ expects argument of type ‘long long unsigned int’, but argument 9 has type ‘uintmax_t’ {aka ‘long unsigned int’} [-Wformat=]
	 u, (%s) used_units=%i free_units=%i total_units=%i fsu_blocksize=%llu mult=%llu\n",
	                                                                  ~~~^
	                                                                  %lu
	check_disk.c:1010:40:

	check_disk.c:1008:135: warning: format ‘%llu’ expects a matching ‘long long unsigned int’ argument [-Wformat=]
	 %s) used_units=%i free_units=%i total_units=%i fsu_blocksize=%llu mult=%llu\n",
	                                                                        ~~~^
	check_disk.c:1029:48: warning: unknown conversion type character ‘ ’ in format [-Wformat=]
	         printf("Group %s now has: used_units=%1 free_units=%1 total_units=%1 fsu_blocksize=%llu mult=%llu\n",
	                                                ^
	check_disk.c:1029:62: warning: unknown conversion type character ‘ ’ in format [-Wformat=]
	         printf("Group %s now has: used_units=%1 free_units=%1 total_units=%1 fsu_blocksize=%llu mult=%llu\n",
	                                                              ^
	check_disk.c:1029:77: warning: unknown conversion type character ‘ ’ in format [-Wformat=]
	 printf("Group %s now has: used_units=%1 free_units=%1 total_units=%1 fsu_blocksize=%llu mult=%llu\n",
	                                                                     ^
	check_disk.c:1029:95: warning: format ‘%llu’ expects argument of type ‘long long unsigned int’, but argument 3 has type ‘uintmax_t’ {aka ‘long unsigned int’} [-Wformat=]
	 ow has: used_units=%1 free_units=%1 total_units=%1 fsu_blocksize=%llu mult=%llu\n",
	                                                                  ~~~^
	                                                                  %lu
	 mpfsp.fsu_bavail, tmpfsp.fsu_blocksize, p->best_match->me_mountdir, p->dused_units,
	 ~~~~~~~~~~~~~~~~
	check_disk.c:1029:105: warning: format ‘%llu’ expects argument of type ‘long long unsigned int’, but argument 4 has type ‘uintmax_t’ {aka ‘long unsigned int’} [-Wformat=]
	 as: used_units=%1 free_units=%1 total_units=%1 fsu_blocksize=%llu mult=%llu\n",
	                                                                        ~~~^
	                                                                        %lu
	 p.fsu_bavail, tmpfsp.fsu_blocksize, p->best_match->me_mountdir, p->dused_units,
	               ~~~~~~~~~~~~~~~~~~~~
	check_disk.c:1029:16: warning: too many arguments for format [-Wformat-extra-args]
	         printf("Group %s now has: used_units=%1 free_units=%1 total_units=%1 fsu_blocksize=%llu mult=%llu\n",
	                ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	* plugins/utils.c: utils.c: Fix implicit declaration in functions
	´strntolower´ and ´strntoupper´

	See,
	utils.c: In function ‘strntolower’:
	utils.c:786:24: warning: implicit declaration of function ‘tolower’ [-Wimplicit-function-declaration]
	                 *ptr = tolower(*ptr);
	                        ^~~~~~~
	utils.c: In function ‘strntoupper’:
	utils.c:796:24: warning: implicit declaration of function ‘toupper’ [-Wimplicit-function-declaration]
	                 *ptr = toupper(*ptr);
	                        ^~~~~~~

	* plugins/check_ldap.c: check_ldap: Fix warning
	implicit-function-declaration function ‘ldap_check_cert’

	See,
	check_ldap.c: In function ‘main’:
	check_ldap.c:191:11: warning: implicit declaration of function ‘ldap_check_cert’; did you mean ‘ldap_sync_init’? [-Wimplicit-function-declaration]
	    return ldap_check_cert(ld);
	           ^~~~~~~~~~~~~~~
	           ldap_sync_init

	* plugins/check_uptime.c: check_uptime: Fix format-extra-args warning in
	COPYRIGHT definition.

	See,
	check_uptime.c: In function ‘print_help’:
	utils.h:128:19: warning: too many arguments for format [-Wformat-extra-args]
	 #define COPYRIGHT "Copyright (c) %s Nagios Plugin Development Team\n\
	                   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	 \t<%s>\n\n"
	 ~~~~~~~~~~~
	utils.h:128:19: note: in definition of macro ‘COPYRIGHT’
	 #define COPYRIGHT "Copyright (c) %s Nagios Plugin Development Team\n\
	                   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	 \t<%s>\n\n"
	 ~~~~~~~~~~~

	* plugins/netutils.h: netutils.h: define extern functions used by
	check_icmp.c

	See,

	check_icmp.c: In function ‘handle_random_icmp’:
	check_icmp.c:460:18: warning: implicit declaration of function ‘address_length’ [-Wimplicit-function-declaration]
	     char address[address_length(address_family)];
	                  ^~~~~~~~~~~~~~
	check_icmp.c:461:5: warning: implicit declaration of function ‘parse_address_string’; did you mean ‘parse_range_string’? [-Wimplicit-function-declaration]
	     parse_address_string(address_family, addr, address, sizeof(address));
	     ^~~~~~~~~~~~~~~~~~~~
	     parse_range_string

2018-06-22  Mario Trangoni  <mjtrangoni@gmail.com>

	* plugins/check_disk.c: check_disk.c: fix undefined *last_me

2018-06-20  Mario Trangoni  <mjtrangoni@gmail.com>

	* .travis.yml, plugins/check_disk.c: Add .travis.yml

	Add travis.yml for continuous integration. It runs on Ubuntu 14.04 LTS
	Trusty, and compiles with gcc from system, gcc-8, and clang-6.0.

2018-03-20  Mario Trangoni  <mjtrangoni@gmail.com>

	* NEWS, plugins/check_swap.c: check_swap.c Add --no-swap flag

2018-06-18  Box293  <troy@box293.com>

	* plugins-root/check_dhcp.c: Cleaning up check_dhcp in preparation for
	an addition

	* plugins/check_disk.c: Fixed xasprintf segfault due to %f being used
	instead of %i

2018-06-14  Box293  <troy@box293.com>

	* plugins-root/check_icmp.c: Removed unnecessary line, a few minor
	comment changes, run clang-format

2018-06-13  Box293  <troy@box293.com>

	* THANKS.in, plugins-root/check_icmp.c, plugins/netutils.c: IPv6 and
	ICMPv6 support added to check_icmp

2018-05-16  Box293  <troy@box293.com>

	* plugins-root/check_icmp.c: check_icmp IPv6 work

2018-05-14  Box293  <troy@box293.com>

	* plugins-root/check_icmp.c: Working on IPv6 for check_icmp

	* plugins-root/check_icmp.c: Fixed spacing in check_icmp output

2018-04-10  Mario Trangoni  <mjtrangoni@gmail.com>

	* CODING, NEWS, NPTest.pm, ROADMAP, build-aux/ltmain.sh, configure.ac,
	doc/developer-guidelines.sgml, tap/tap.3, tap/tap.h: tools/misc: fix
	codespell issues

	* lib/parse_ini.c, lib/tests/test_cmd.c, lib/tests/test_disk.c,
	lib/tests/test_utils.c: lib: fix codespell issues

	* tools/build_perl_modules.in, tools/p1.pl, tools/tinderbox_build:
	tools: fix codespell issues

	* gl/mountlist.h, gl/regexec.c: tools/gl: fix codespell issues

2018-04-11  raggix  <rwellnitz@gmx.de>

	* plugins-scripts/check_log.sh: handle errors in "grep -c"

	This script returns with critical status and message "()" when the previous "diff" or "grep" fails.
	Because the case, if $count is not numeric (e.g. empty), will not be handled correctly.

	This fix handle errors in "grep -c", e.g. if the file not exists, and return with Unknown status and stderr message.

	Example
	Log check error: grep: can't open /tmp/check_log.002330

2018-04-10  Mario Trangoni  <mjtrangoni@gmail.com>

	* gl/m4/libtool.m4, gl/m4/ltsugar.m4, m4/np_mysqlclient.m4: tools/m4:
	fix codespell issues

	* plugins-root/check_icmp.c, plugins-root/pst3.c,
	plugins/remove_perfdata.c, plugins/t/check_by_ssh.t,
	plugins/t/check_disk.t, plugins/t/check_mysql.t,
	plugins/t/check_nagios.t, plugins/tests/check_snmp.t, plugins/utils.h,
	po/nagios-plugins.pot: plugins/test: fix codespell issues

	* plugins/check_disk.c, plugins/check_dns.c, plugins/check_fping.c,
	plugins/check_http.c, plugins/check_ide_smart.c, plugins/check_ldap.c,
	plugins/check_load.c, plugins/check_mrtg.c, plugins/check_mrtgtraf.c,
	plugins/check_ntp.c, plugins/check_ntp_peer.c, plugins/check_ntp_time.c,
	plugins/check_pgsql.c, plugins/check_procs.c, plugins/check_radius.c,
	plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c,
	plugins/check_tcp.c: plugins: fix codespell issues

	* plugins-scripts/check_ifoperstatus.pl,
	plugins-scripts/check_ifstatus.pl, plugins-scripts/check_ircd.pl,
	plugins-scripts/check_log.sh, plugins-scripts/check_mailq.pl,
	plugins-scripts/check_ntp.pl: plugins-scripts: fix codespell issues

2018-03-14  Mario Trangoni  <mjtrangoni@gmail.com>

	* plugins/check_procs.c: check_procs.c: fix warning suggest parentheses
	around ‘&&’ within ‘||’

	* plugins-root/check_icmp.c: remove some unused variables

	* lib/utils_cmd.c: remove some unused variables

	* plugins/check_uptime.c: check_uptime.c: remove some unused variables

	* plugins/negate.c: negate.c: remove some unused variables

2018-03-17  TechnoLord  <rahul.golam19@gmail.com>

	* plugins/sslutils.c: Fixed editor issue.

	* plugins/check_http.c, plugins/netutils.h, plugins/sslutils.c: TLS1.3
	support based on Openssl preview. Work done during IETF 101 hackathon

2018-03-14  Mario Trangoni  <mjtrangoni@gmail.com>

	* plugins/check_disk.c: check_disk.c: remove some unused variables

2018-03-13  raggix  <rwellnitz@gmx.de>

	* lib/utils_disk.h: Fix Issue #309

	Fix issue "check_disk fails on large unix filesystems".

	Variable definition "double" for "dused_units, dfree_units and dtotal_units"  was insufficient to represent large free disk space ( ~8TB) and was changed to uintmax_t.

2017-04-04  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_http.c, plugins/common.h, plugins/sslutils.c: New
	parameter `--verify-host` will check if -H hostname matches the SSL
	certificate

	Fix for issue #138

2017-12-08  Daniel Bond  <danielbondno@gmail.com>

	* NEWS, THANKS.in, plugins/check_ntp_time.c: Fixed performance-data
	output syntax-error. Updated NEWS and THANKS.in

2017-12-07  Daniel Bond  <danielbondno@gmail.com>

	* plugins/check_ntp_time.c: Add support for monitoring stratum-value of
	ntp-servers, and alert/warn if threshold is reached. Also output
	performance-data.

	Moved servers-list and num_servers out of offset_request, so the results can be used outside of this routine.

2017-11-13  Bruno Travouillon  <devel@travouillon.fr>

	* plugins/popen.c: Don't print the null character to stdout

2017-11-05  Bernard Spil  <brnrd@FreeBSD.org>

	* plugins/common.h: Set default MySQL port

	As of MariaDB 10.2 the headers for client no longer set the
	default MySQL port. Patch fixes this for any version of MariaDB
	or MySQL into the future.

	See also: https://bugs.freebsd.org/223387

2017-10-20  Marc Sánchez  <sanchezfauste@gmail.com>

	* plugins/check_apt.c: Adding packages-warning option to check_apt
	plugin

2017-10-18  Andreas Piesk  <pieska@users.noreply.github.com>

	* plugins/check_http.c: don't issue http requests when checking cert
	only

2017-10-09  Alessandro Cortiana  <alessandro.cortiana@gmail.com>

	* plugins/check_http.c: Partial revert "fix check_http - was having
	constant socket timeouts"

	This partially reverts changes applied by commit 2b38350d546ef9632ccd90e300eeaf6eda0ca32c

	The mechanism brokes if there are CRs or LFs following the chunk header

2017-10-04  Søren Kröger  <soren@kroger.dk>

	* plugins/check_http.c: Feature: Option to show checked url in msg
	output

	A little added feature, which makes it possible to show the checked URL in the output.
	Normally one would use the -L option to get the output in HTML as a link - but we need the output in clear instead.

2017-10-03  rezso  <rezso@rezso.net>

	* plugins/utils.c: fix implicit function declarations

	utils.c: In function ‘strntolower’:
	utils.c:777:24: warning: implicit declaration of function ‘tolower’ [-Wimplicit-function-declaration]
	                 *ptr = tolower(*ptr);
	                        ^~~~~~~
	utils.c: In function ‘strntoupper’:
	utils.c:787:24: warning: implicit declaration of function ‘toupper’ [-Wimplicit-function-declaration]
	                 *ptr = toupper(*ptr);
	                        ^~~~~~~

2017-09-29  Marc Sánchez  <sanchezfauste@gmail.com>

	* configure.ac, plugins/check_load.c: Adding print top consuming
	processes option to check_load
	 -n, --procs-to-show=NUMBER_OF_PROCS
	    Number of processes to show when printing the top consuming processes.
	    NUMBER_OF_PROCS=0 disables this feature. Default value is 0

2017-09-16  Bryan Heden  <bheden@nagios.com>

	* plugins/check_snmp.c: added appropriate string for verbosity checking
	previous rate in check_snmp

	* NEWS, THANKS.in, plugins/sslutils.c: added certificate expiry data to
	sslutils so that OK messages state when certificate is expiring (Matt
	Capra) #315

	* lib/utils_base.c, lib/utils_base.h, plugins/check_snmp.c: add
	warning_string/critical_string to the treshold objects and implemented
	the printing in check_snmp. also cleaned up the perfdata section of
	check_snmp with much needed whitespace and comments

	* plugins/remove_perfdata.c: fix some readability in remove_perfdata

	* plugins/check_snmp.c: fix improper snmpget verbose printing in
	check_snmp.c

2017-09-15  Bryan Heden  <bheden@nagios.com>

	* plugins/Makefile.am: forgot to include makefile changes for
	remove_perfdata

	* NEWS, plugins/remove_perfdata.c: Added remove_perfdata plugin

	* NEWS, plugins/check_snmp.c: check_snmp: Fix perfdata not adhering to
	plugin dev guidelines #293

2017-09-14  Bryan Heden  <bheden@nagios.com>

	* NEWS, plugins-scripts/check_sensors.sh: fix check_sensors, #300

2017-09-13  Bryan Heden  <bheden@nagios.com>

	* NEWS, configure.ac: potential fix for #261

	* plugins/utils.c: clean up parse_timeout_string

	* NEWS, THANKS.in: update changelog and thanks for #131

	* NEWS, THANKS.in: update changelog and thanks for #194

	* NEWS: update news for #312

	* NEWS, THANKS.in: updated thanks and changelog for #307

	* NEWS, THANKS.in: added thanks and changelog for #317

	* NEWS, THANKS.in: Update thanks and changelog for #314

	* NEWS, THANKS.in: updated thanks and changelog for #316

2017-09-02  Bryan Heden  <bheden@nagios.com>

	* plugins/check_http.c: additional page checking in check_http

	* NEWS, THANKS.in: update changelog for two fixes and add to thanks

	* plugins/check_http.c, plugins/sslutils.c: removed conditional 'if
	result != ok' for certificate checking

	* plugins/check_http.c: trying to clean up check_http segfaults, etc.

	* THANKS.in: added jon stockton (Jonnycake@github) for #283, #289

	* plugins/check_http.c: formatted check_http with k&r

2016-12-11  Guillaume Rousse  <guillomovitch@gmail.com>

	* plugins/Makefile.am, plugins/check_ldap.c, plugins/netutils.h,
	plugins/sslutils.c: add support for checking certificate age

2017-08-30  Guillaume Rousse  <guillomovitch@gmail.com>

	* plugins/check_ldap.c: format --help output as other plugins

2017-08-29  Mathieu Arnold  <mat@mat.cc>

	* configure.ac, plugins/check_nagios.c, plugins/check_procs.c: Add
	FreeBSD jail support to check_procs.

2017-08-24  Marcel Klein  <m.klein@crowdfox.com>

	* plugins/check_procs.c: Added --exclude-process|-X option to
	check_procs to exclude specific processes from checking

2017-08-21  root  <dirty.ren@gmail.com>

	* plugins-root/check_icmp.c: Clean up plugin exit

2017-08-18  root  <dirty.ren@gmail.com>

	* plugins-root/check_icmp.c: Add support to Jitter, MOS and Score

2017-08-14  Bryan Heden  <bheden@nagios.com>

	* NEWS, THANKS.in, plugins-scripts/check_disk_smb.pl: add support to
	smbv2 and newer issue#306 - Andrew Penniman

2017-07-23  Michael Orlitzky  <michael@orlitzky.com>

	* m4/ax_with_python.m4: don't crash on version test with python-3.x.

	This macro tests for a version of python greater than or equal to
	2.6. To do that, it checks the python version (from within python) and
	then then calls python's "print" function to output whether or not the
	result is satisfactory. In python-2.x, this works fine; but in
	python-3.x, the syntax of the "print" function has changed -- it now
	requires parentheses. The result is that when the user has python-3.x
	as his default interpreter, he sees the following error:

	  File "<string>", line 1
	      import sys; print sys.version[:3] >= "2.6" and "OK" or "OLD"
	                          ^
	  SyntaxError: invalid syntax

	Fortunately, the parentheses also work in python-2.x, so their
	addition is backwards-compatible. This commit adds the parentheses to
	the version check, and allows it to work with both major versions of
	python.

2017-07-07  Bryan Heden  <bheden@nagios.com>

	* plugins/check_http.c: fix check_http - was having constant socket
	timeouts

2017-06-27  Marc  <brigriffin@users.noreply.github.com>

	* NEWS, THANKS.in, configure.ac, plugins-scripts/check_mailq.pl: fix the
	revert from master - update changelog and thanks file

2017-07-04  Bryan Heden  <b.heden@gmail.com>

	* configure.ac, plugins-scripts/check_mailq.pl: Revert "check_mailq: Add
	OpenSMTPD support"

2017-06-30  Bryan Heden  <b.heden@gmail.com>

	* plugins/check_http.c: Update comments

	Move // comment style to /* */ and removed @ggonzalez2 TODO and comment lines

2017-06-30  ggonzalez  <ggonzalez@nagios.com>

	* plugins/check_http.c: Minor two-line fix for bug #266

	* plugins/check_http.c: Fixed minor bug reported as Bugfix_262

	* plugins/check_http.c: Fixes for bug #263

2017-06-27  Marc  <brigriffin@users.noreply.github.com>

	* configure.ac, plugins-scripts/check_mailq.pl: check_mailq: Add
	OpenSMTPD support

2017-06-27  Jon Stockton  <jon.stockton@optanix.com>

	* plugins/check_http.c: Resolves issue #283.

2017-06-17  Bryan Heden  <b.heden@gmail.com>

	* README: update some code formatting on readme

2017-06-16  Bryan Heden  <b.heden@gmail.com>

	* grg: Delete unnecessary file

	* grg: Delete unnecessary file

2017-06-13  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_disk.c: check_disk: Add -s option to show status
	for each path/partition

	Fix for issue #276

	If `-s` is added to the command-line, the status will be printed
	immediately before each path or partition. For example,

	./check_disk -w 50% -c 20% -p / -p /home -p /tmp -n -s
	DISK WARNING - free space:
	W:/ 13844 MB (37.27% inode=77%);
	O:/home 2465 MB (99.99% inode=100%);
	O:/tmp 2477 MB (99.90% inode=100%);
	| /=23294MB;19083;30532;0;38166 /home=0MB;1232;1972;0;2465 /tmp=2MB;1239;1983;0;2479

	The root partition ('/') shows 'W:' for WARNING
	The home partition ('/home') shows 'O:' for OK
	The tmp partition ('/tmp') shows 'O:' for OK

	* configure.ac: Displaying wrong variable in two cases

2017-06-12  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins-scripts/check_wave.pl: check_wave produces lots of
	errors if required arguments are not provided

	Fix for issue #255

	* NEWS, THANKS.in, plugins/check_http.c: Fix --no-body

	Manually doing what was done in pull request #270. For some reason,
	it didn't get brought across from `maint` branch into `release-2.3.0-working`

	* NEWS, THANKS.in: Update to NEWS and THANKS

	* NEWS, plugins-scripts/check_log.sh: check_log lost ability to use
	regexes for query (-q) in 2.1.4

	Fix for issue #258

	* NEWS, THANKS.in: Updates to NEWS and THANKS

	* NEWS, THANKS.in: Updates to NEWS and THANKS

	* NEWS: Fixup NEWS after conflicts from rebasing, cherry-picking

	* plugins-python/Makefile.am, plugins-python/check_heartbleed.in,
	plugins-python/check_imap_login.in, plugins-python/check_ncpa.in: Added
	directory plugins-python containing three Python plugins

2017-04-04  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_http.c, plugins/common.h, plugins/sslutils.c: New
	parameter `--verify-host` will check if -H hostname matches the SSL
	certificate

	Fix for issue #138

2017-04-10  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, THANKS.in: Updates to files NEWS and THANKS.in

	* NEWS, THANKS.in, plugins-scripts/check_disk_smb.pl: check_disk_smb:
	Add configfile feature

	Manually implemented because of conflicts.

	* NEWS, THANKS.in, plugins/check_ping.c: check_ping: plugin output will
	now include hostname and IP address

	Manual implementation of pull #39

	Did this manually because of whitespace changes, and also added
	a check for things like `127.0.0.1 (127.0.0.1)` so it doesn't
	appear twice.

2016-12-29  Christian Schmidt  <c960657@users.noreply.github.com>

	* plugins/check_apt.c, plugins/t/check_apt.t: Add --only-critical switch
	to check_apt

2017-04-10  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, THANKS.in: Updates to files NEWS and THANKS.in

	* NEWS, THANKS.in, plugins-scripts/check_disk_smb.pl: check_disk_smb:
	Add configfile feature

	Manually implemented because of conflicts.

	* NEWS, THANKS.in, plugins/check_ping.c: check_ping: plugin output will
	now include hostname and IP address

	Manual implementation of pull #39

	Did this manually because of whitespace changes, and also added
	a check for things like `127.0.0.1 (127.0.0.1)` so it doesn't
	appear twice.

	* plugins/check_http.c: Typos

	* plugins/check_http.c: check_http fails if Transfer-Encoding ends the
	header

	Possible fix for issue #240

2017-04-07  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, lib/parse_ini.c: check_mysql_query & mysql_query: extra-opts
	causes crash

	Fix for issue #221

	* NEWS, plugins/check_ntp_time.c: check_ntp_time calls `write` on a UDP
	socket without a successful call to `connect`

	Fix for issue #171

	* NEWS: Updates to NEWS file

	* NEWS, THANKS.in, plugins/check_ntp_time.c: Periodically check_ntp_time
	return "Socket timeout" when one of

	several ntp server doesn't response

	Fix for issue #150

	Thanks to Leonid Vasiliev for the patch. We may want to make a
	better fix at some point, but this should do the job for now.

	* plugins/check_disk.c: RHEL7/CentOS7 check_disk autofs issue

	Fix for issue #141.
	Also put in logic to skip certain system "fake" mountpoints
	such as sysfs, proc, fusectl, tmpfs, etc.

	* NEWS: Updates to NEWS file

	* .gitignore: Update to .gitignore

2016-12-29  Christian Schmidt  <c960657@users.noreply.github.com>

	* plugins/check_apt.c, plugins/t/check_apt.t: Add --only-critical switch
	to check_apt

2017-05-12  Lee Clemens  <java@leeclemens.net>

	* plugins-scripts/check_mailq.pl: Add mailq -C option for config dir or
	config file

	New variable, mailq_args, is appended for postfix mta mailq commands

2017-05-04  mwennrich  <mwennrich@users.noreply.github.com>

	* configure.ac: fix configure.ac for FreeBSD SWAPFORMAT

	check_swap.c has been switched to double for dsktotal_mb,dskfree_mb
	(commit 39c5e4ed595cfbda7cff566575fc5a53252f09b5)

	The corresponding sscanf uses SWAP_FORMAT from configure:
	        ac_cv_swap_format="%*s %f %*d %f"

	With doubles this now has to be:
	        ac_cv_swap_format="%*s %lf %*d %lf"

2017-04-24  Filias Heidt  <fh@netzkommune.de>

	* plugins-scripts/check_mailq.pl: add support for opensmtpd

2017-04-17  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_http.c: check_http - Memory allocation error

	Fix for issue #235

2017-04-13  John C. Frickson  <jfrickson@nagios.com>

	* plugins/check_http.c: Fix order of `close()` vs `np_net_ssl_cleanup()`

	One pull request had the old wrong order (close after np_net_ssl_cleanup)
	which overlayed one instance that a previous PR fixed.

2017-04-10  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins-scripts/check_log.sh: check_log does not check for "-O
	oldlog"

	Fix for issue #251

	* plugins/check_http.c: Typos

	* plugins/check_http.c: check_http fails if Transfer-Encoding ends the
	header

	Possible fix for issue #240

2017-04-07  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, lib/parse_ini.c: check_mysql_query & mysql_query: extra-opts
	causes crash

	Fix for issue #221

	* NEWS, plugins/check_ntp_time.c: check_ntp_time calls `write` on a UDP
	socket without a successful call to `connect`

	Fix for issue #171

	* NEWS: Updates to NEWS file

	* NEWS, THANKS.in, plugins/check_ntp_time.c: Periodically check_ntp_time
	return "Socket timeout" when one of

	several ntp server doesn't response

	Fix for issue #150

	Thanks to Leonid Vasiliev for the patch. We may want to make a
	better fix at some point, but this should do the job for now.

	* plugins/check_disk.c: RHEL7/CentOS7 check_disk autofs issue

	Fix for issue #141.
	Also put in logic to skip certain system "fake" mountpoints
	such as sysfs, proc, fusectl, tmpfs, etc.

	* NEWS: Updates to NEWS file

	* .gitignore: Update to .gitignore

2017-04-19  John C. Frickson  <jfrickson@nagios.com>

	* NEWS: Prep for release 2.2.1

2017-04-18  George Gonzalez  <ggonzalez@nagios.com>

	* grg: First commit, added file grg

2017-04-17  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_http.c: check_http - Memory allocation error

	Fix for issue #235

2017-04-13  John C. Frickson  <jfrickson@nagios.com>

	* plugins/check_http.c: Fix order of `close()` vs `np_net_ssl_cleanup()`

	One pull request had the old wrong order (close after np_net_ssl_cleanup)
	which overlayed one instance that a previous PR fixed.

	* README: Typo change in README.md

2017-04-12  John C. Frickson  <jfrickson@nagios.com>

	* NEWS: Reverting a merge moving check_mysql uptime to metric_counter

	* plugins/check_mysql.c: Revert "Merge pull request #238 from
	apollotonkosmo/mysql-uptime-perfdata"

	This reverts commit 28a1998ffd95aed15d8b65723eeff3c4abc510a0, reversing
	changes made to 155599c532cc19940b9263bf0b1033ba8d215758.

	* plugins/check_mysql.c: Missed comma

2017-04-10  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins-scripts/check_log.sh: check_log does not check for "-O
	oldlog"

	Fix for issue #251

	* NEWS, THANKS.in: Updates to files NEWS and THANKS.in

	* NEWS, THANKS.in, plugins-scripts/check_disk_smb.pl: check_disk_smb:
	Add configfile feature

	Manually implemented because of conflicts.

	* NEWS, THANKS.in, plugins/check_ping.c: check_ping: plugin output will
	now include hostname and IP address

	Manual implementation of pull #39

	Did this manually because of whitespace changes, and also added
	a check for things like `127.0.0.1 (127.0.0.1)` so it doesn't
	appear twice.

	* plugins/check_http.c: Typos

	* plugins/check_http.c: check_http fails if Transfer-Encoding ends the
	header

	Possible fix for issue #240

2017-04-07  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, lib/parse_ini.c: check_mysql_query & mysql_query: extra-opts
	causes crash

	Fix for issue #221

	* NEWS, plugins/check_ntp_time.c: check_ntp_time calls `write` on a UDP
	socket without a successful call to `connect`

	Fix for issue #171

	* NEWS, THANKS.in, plugins/check_ntp_time.c: Periodically check_ntp_time
	return "Socket timeout" when one of

	several ntp server doesn't response

	Fix for issue #150

	Thanks to Leonid Vasiliev for the patch. We may want to make a
	better fix at some point, but this should do the job for now.

	* plugins/check_disk.c: RHEL7/CentOS7 check_disk autofs issue

	Fix for issue #141.
	Also put in logic to skip certain system "fake" mountpoints
	such as sysfs, proc, fusectl, tmpfs, etc.

	* NEWS: Updates to NEWS file

	* .gitignore: Update to .gitignore

	* NEWS, THANKS.in, plugins/check_ntp_time.c: Periodically check_ntp_time
	return "Socket timeout" when one of

	several ntp server doesn't response

	Fix for issue #150

	Thanks to Leonid Vasiliev for the patch. We may want to make a
	better fix at some point, but this should do the job for now.

	* plugins/check_disk.c: RHEL7/CentOS7 check_disk autofs issue

	Fix for issue #141.
	Also put in logic to skip certain system "fake" mountpoints
	such as sysfs, proc, fusectl, tmpfs, etc.

	* NEWS: Updates to NEWS file

	* .gitignore: Update to .gitignore

2017-04-06  John C. Frickson  <jfrickson@nagios.com>

	* Makefile.am, NP-VERSION-GEN, configure.ac: Update version to 2.2.1-rc1

2017-04-05  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_http.c, plugins/common.h, plugins/sslutils.c:
	Revert "New parameter `--verify-host` will check if -H hostname matches
	the SSL certificate"

	This reverts commit 8798e4bb0e44541edd0b8e1b4409bcde588f9077.

	This will have to wait for a bit so bug fixes can be released

	* plugins-python/Makefile.am, plugins-python/check_heartbleed.in,
	plugins-python/check_imap_login.in, plugins-python/check_ncpa.in: Python
	plugins will have to wait for a bit so bug fixes can be released

	* NEWS, THANKS.in, nagios-plugins.spec.in: Building RPMs on Amazon Linux
	- Add 'install-root' on line 165 of spec file

	Fix for issue #229

2017-04-04  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_http.c, plugins/common.h, plugins/sslutils.c: New
	parameter `--verify-host` will check if -H hostname matches the SSL
	certificate

	Fix for issue #138

2017-03-30  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_swap.c: Prevent check_swap from returning OK, if
	no swap activated

	(Downstream Fedora patch)

	Fix for issue #244

	* NEWS, plugins-scripts/check_mailq.pl: check_mailq Nullmailer Regex is
	not working for Ubuntu 16.04

	Fix for issue #237

	* NEWS, plugins/check_dns.c: check_dns: DNS CRITICAL - expected
	'{hostname}.' but got 'name = {hostname}.'

	Fix for issue #223

	Thanks Stephen Smoogen for the patch!

	* NEWS, plugins/check_users.c: check_users segmentation fault if both
	thresholds are not provided

	Fix for issue #254

	* NEWS, THANKS.in: Updates to files NEWS and THANKS.in

	* plugins/netutils.c: check_ntp_peer requires newline when there is a
	socket timeout

	Fix for issue #252

	* configure.ac: spelling mistake = configure: WARNING: Could not find
	qmail-qstat or "eqivalent"

	Fix for issue #247

2017-03-27  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, THANKS.in, plugins/check_http.c, plugins/sslutils.c: Don't
	prematurely report success when checking HTTP TLS cert validity

	Manual input of pull request https://github.com/nagios-plugins/nagios-plugins/pull/201
	There were some conflicts that prevented automatically merging.

2017-03-23  StoneISStephan  <stephan@stone-is.com>

	* plugins-scripts/check_mailq.pl: Fix for Postfix and better Sudo
	Checking

2017-03-14  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_uptime.c: check_uptime: fixed backward help text
	for thresholds

	Fix for issue # 198

2017-03-12  Patrick Uiterwijk  <puiterwijk@redhat.com>

	* plugins/check_http.c: check_http: fix parsing the last header

	The header that has no newline trailing it, is the last header.

2017-02-27  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_swap.c: check_swap threshold calculation in bytes
	requires subtracting 65

	Fix for issue #241

	* NEWS, THANKS.in, plugins/check_snmp.c: check_snmp does not work with
	-6 --ipv6 flags

	Fix for issue #239

	Thanks to Stephen Smoogen for spotting the problem!

	* NEWS, plugins/check_http.c: check_http reports warning where it should
	report ok with -e

	Fix for issue #236

	* m4/ax_with_python.m4, plugins-python/Makefile.am,
	plugins-python/check_heartbleed.in, plugins-python/check_imap_login.in,
	plugins-python/check_ncpa.in: Adding python plugins

	Added a check for python, and three plugins: check_heartbleed,
	check_imap_login, and check_ncpa.py

	More will probably be added in the future.

	* .gitignore, Makefile.am, configure.ac, plugins/check_users.c: Fix typo

	* NEWS, plugins/check_users.c: check_users not accepting zero as the
	threshold

	Fix for issue #228

2017-02-11  george paraskevas  <gparaskevas@stackmasters.eu>

	* plugins/check_mysql.c: Move uptime to the metric_count[]

	this commit moves the uptime metric from metric_counter[] to metric_unit[] in check_mysql check.
	This allows for the uptime performance data to be grpaphed and have an actual picture when your mysql restarts
	and how many times.

2017-01-19  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, NP-VERSION-GEN, configure.ac: Prep for 2.2.0

2017-01-06  John C. Frickson  <jfrickson@nagios.com>

	* NEWS: Update NEWS file

2016-11-13  vagrant  <vagrant@debiantesting-64>

	* configure.ac, plugins/check_http.c, plugins/check_smtp.c,
	plugins/check_tcp.c, plugins/common.h: add openssl 1.1 support

	changes:
	  - CRYPTO_lock detection replaced in configure.ac. We don't use that
	    function anywhere, so just replace it with the suggested one from
	    https://wiki.openssl.org/index.php/Library_Initialization#Autoconf
	  - OPENSSL_NO_SSL2 is no longer defined while ssl2 is not included.
	    Set it ourself using the suggested openssl 1.1 version check from
	    https://wiki.openssl.org/index.php/1.1_API_Changes#Backward_compatibility
	  - openssl 1.1 sends a sigpipe if the connection is still open when
	    calling SSL_shutdown(), so move the close before the shutdown.

2017-01-06  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, lib/parse_ini.c: fix gcc warning: implicit declaration of
	function

	'idpriv_temp_drop' and 'idpriv_temp_restore'

	Manual implementation of pull request https://github.com/nagios-plugins/nagios-plugins/pull/208

	* NEWS: Updates to NEWS file

2017-01-04  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins-scripts/check_file_age.pl: check_file_age: does not
	handle filenames WITHOUT space!

	Fix for issue #213

	perl apparently handles `glob` differently on different systems.
	For a previous problem,"check_file_age: does not handle filenames with space"
	I added double-quote marks around the incoming filename before
	calling `glob`. That fixed finding files with spaces in the name on
	all systems. But if the filename did NOT have a space, it broke on
	some systems, but not on others.

	openSUSE 13.2:
	$ ./check_file_age -w 1000 -c 1500 "foo bar"
	DEBUG: filename is |foo bar|
	FILE_AGE CRITICAL: foo is 2319 seconds old and 91 bytes  | age=2323s;90;100 size=91B;0;0;0
	$ ./check_file_age -w 1000 -c 1500 foo
	DEBUG: filename is |foo|
	FILE_AGE CRITICAL: foo is 2323 seconds old and 91 bytes  | age=2323s;90;100 size=91B;0;0;0

	CentOS 6.7:
	$ ./check_file_age -w 1000 -c 1500 "foo bar"
	DEBUG: filename is |foo bar|
	FILE_AGE CRITICAL: foo is 1651 seconds old and 91 bytes  | age=2323s;90;100 size=91B;0;0;0
	$ ./check_file_age -w 1000 -c 1500 foo
	DEBUG: filename is |"foo"|
	FILE_AGE CRITICAL: File not found - "foo"

	So my change is to wrap the filename in double-quotes only if it
	contains spaces. That appears to have fixed the problem.

2016-12-29  Christian Schmidt  <c960657@users.noreply.github.com>

	* plugins/check_apt.c, plugins/t/check_apt.t: Add --only-critical switch
	to check_apt

2016-12-28  John C. Frickson  <jfrickson@nagios.com>

	* .gitignore: Updated .gitignore

2016-12-27  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_dns.c: Check_dns reports TXT records incorrectly

	Probable fix for issue #200

2016-12-15  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_dns.c: check_dns: authoritative test (-A) is
	broken

	Fix for issue #203

2016-12-11  Mario Trangoni  <mjtrangoni@gmail.com>

	* lib/parse_ini.c: fix gcc warning: implicit declaration of function
	‘idpriv_temp_drop’ and ‘idpriv_temp_restore’.

	* lib/parse_ini.c: replace spacing by tab for format uniformity.

	* lib/parse_ini.c: remove some unwanted spaces.

	* po/de.po, po/fr.po: de,fr.po: fix syntax errors end-of-line within
	string.

2016-12-06  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, THANKS.in: Updates to NEWS and THANKS files

2016-12-02  John C. Frickson  <jfrickson@nagios.com>

	* plugins/check_disk.c: check_disk: alerts issued too soon

	Fix for issue #195

	The percentage calculated for used space does effectively a ceil(p)
	call. So if used space is 89.01% it would get set to 90%. Free space
	percentage is `100 - usedspace%`. With a warning threshold of 10%,
	a warning would be triggered when there was 10.9% free. So on a
	partition of 100GB, a warning would be triggered 100MB before the
	actual threshold.

	I changed the used space percentage calculation to calculate to
	two decimal points, which prevents a warning or critical condition
	from being triggered until much closer to the specified thresholds.

2016-11-30  John C. Frickson  <jfrickson@nagios.com>

	* .travis.yml: Travis CI: coverity config needs to be updated

	Fix for issues #196 and #197.
	Removed the .travis.yml file for now. Will look into integrating
	at some point in the future.

2016-11-21  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, THANKS.in, plugins/check_smtp.c: check_smtp: add -L flag to
	support LMTP (LHLO instead of HELO/EHLO)

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/192
	Patch supplied by Geert Hendrickx

	* plugins/check_http.c: Handle reference redirect like
	//www.site.org/test

	See https://tools.ietf.org/html/rfc3986

	The code is based on a pull request:
	https://github.com/nagios-plugins/nagios-plugins/pull/148
	I had to make a couple of small changes.

	* plugins/check_hpjd.c: Resolve conflict from pull request

2016-03-16  Stefan Runkel (as root)  <mgadministratoren@nanotron.com>

	* plugins/check_hpjd.c: check_hpjd patch.
	-----------------
	We have a few machines with jd 610 cards that false flag a printer as offline ("line 1") even if there is no other error
	and the display status shows "READY".
	These devices may or may not behave wrong.
	For example, i had a printer that was wrong until i removed and reinserted the paper tray - that made the error go away.

	This patch provides a fix for these devices:
	Added cmdline arg (-N, --flawcorrection).

	Conflicts:
		plugins/check_hpjd.c

2015-12-18  chintan  <thakarhchintan@gmail.com>

	* plugins/check_load.c: Added per cpu load average message

	Added conditions with -r option in message with "load average per CPU"

2016-11-21  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, THANKS.in, plugins/check_snmp.c: check_snmp: Thresholds were
	being shown twice

	Adding thresholds to performance data was done by two separate commits:
	ea8b9c7 on February 11, 2014
	a5f868e on March 4, 2014

	It looks like the two didn't know about each other, so they were added
	in two different ways. I removed ea8b9c7 from Feb 11.

2016-11-20  Rudolf Cejka  <cejkar@fit.vutbr.cz>

	* plugins/check_radius.c: Add calling-station-id in check_radius

2016-11-18  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_http.c, po/de.po, po/fr.po: check_http: help text
	update for virtual hosts

	Fix for issue #137

	* NEWS, plugins-scripts/check_flexlm.pl: check_flexlm: use
	`LM_LICENSE_FILE` environment variable

	Fix for issue #118

	If `-F <license file>` is not specified, it will loog for and use
	the `LM_LICENSE_FILE` environment variable.

	* NEWS, plugins/check_http.c: check_http segmentation fault

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/172

	My fix for issue #42 broke this guy's checks. It looks to me like the
	server he was connecting to was sending '\n' instead of '\r\n' for and
	after the headers. Technically, that breaks the protocol, but I reworked
	my prior fix and allowed '\n' in the headers.

2016-11-17  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_dns.c: check_dns: Segfaulting with timeout > 26
	sec

	Fix for issue #161

	`nslookup` has it's own timeout, then it exits with the message
	`;; connection timed out; no servers could be reached`.
	`check_dns` then tries to parse `stdout` looking for a `:`
	character, which it doesn't find, so `msg` gets set to NULL.
	Then it tries to print that message and segfaults.

	* NEWS, plugins-root/check_icmp.c: check_icmp does not have the -p
	argument in the help

	Fix for issue #158

	`-n` was documented, `-p` was not. They both are used to
	specify the number of packets.

	* NEWS, configure.ac: check_ping runs 30 times when host is down

	Fix for issue #139

	`-w` (lower-case) was being used, and it should have been
	`-W` (upper-case). `-w` does not stop after `-c` count packets
	have been sent, it's just a timeout. `-W` stops sending after
	`-c` packets, but waits the timeout time before quitting.

	* NEWS, plugins/check_mrtg.c: Add state to check_mrtg status output

	Fix for #125

	* NEWS, plugins/check_http.c: check_http: -e breaks -f

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/91

	Checking status codes and following redirects makes for compicated
	coding and testing. But this change seems to handle all situations
	properly.

	It is important to note, though, that anything specified by `-e`
	will only be compared agains the final page. So if you use `-e 301`
	expecting a redirect, it will error out because the status of the
	last page would be `200` (or some other status).

	* NEWS, NP-VERSION-GEN, configure.ac: Prep for release 2.1.4

2015-08-26  Thomas Kurschel  <t.kurschel@asphericon.com>

	* plugins/check_snmp.c: check_snmp: fix push request 1173 for SNMP
	responses without datatype indicator

2016-11-07  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_users.c, plugins/utils.c, plugins/utils.h:
	check_users not correctly detecting thresholds

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/81

	check_users now uses the standard warning and critical ranges parser and
	a standard perdata output routine.

2016-11-03  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, THANKS.in: Updates to NEWS and THANKS files

2016-01-18  Greg Bowser  <topnotcher@gmail.com>

	* plugins-root/check_dhcp.c: fix a potential segfault

	- remove call_getopt(), which iteratively calls process_arguments()
	  iteratively with successive elements of argv.

	Since getopt_long is internally iterating over argv anyway, this extra
	iteration is unnecessary and can potentially cause a segfault in glibc:

	    if (d->optind != argc && !strcmp (argv[d->optind], "--"))

	Since the argv passed to getopt_long becomes smaller while d->optind
	continues increasing, eventually extending beyond the end of argv. Since
	memory after the end of argv _may_ be valid, this is not always
	reproducible (e.g. I cannot reproduce directly from a shell, but it
	fails consistently from Shinken.)

	Conflicts:
		plugins-root/check_dhcp.c

2016-11-03  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_snmp.c: check_snmp units label option outputs the
	label in the incorrect location

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/180

	* plugins/check_disk.c: Typo fix

	* plugins/check_http.c: Left in a debugging `sleep(10)`

	* NEWS, plugins-scripts/check_file_age.pl: check_file_age does not
	handle filenames with space

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/178

	The fix for issue #155 (allow wildcard matching) was to use `glob`, which
	worked fine for `*` or filenames without spaces. Adding surrounding quotes
	makes it work for all cases.

2016-11-02  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_http.c, po/fr.po: check_http: -u is misleading.
	Changed help text

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/128

	* NEWS, THANKS.in: Update NEWS and THANKS files

2015-11-24  Peter (pir) Radcliffe  <pir-gitweb.com@pir.net>

	* plugins/sslutils.c: Use GMT timezone in SSL certs

	SSL certs are required to use times in GMT per
	https://www.ietf.org/rfc/rfc5280.txt but the mktime() here assumes the
	current timezone.

	Fix the time_t conversion to be done assuming GMT with timegm() and
	only do it once rather than twice.

	Display the expiry date and time with ISO format years and give an
	offset from GMT and a timezone to be very clear about exactly what time
	is being displayed. Time given is correct and now in the machine’s
	timezone.

2016-11-02  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, THANKS.in: Update NEWS and THANKS files

2015-10-21  Bill Blough  <Bill.Blough@xerox.com>

	* plugins/check_dns.c: [check_dns] Rework previous patch to be more
	secure.

	* plugins/check_dns.c: [check_dns] Update IF_RECORD to not erase
	query_found.
	    Fixes issue #115

2016-11-02  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/netutils.c: check_http segmentation fault (FreeBSD)

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/104

2016-11-01  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_http.c: check_http - Fixed non-text
	chunked-encoded decoding

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/98

	* NEWS, plugins/check_disk.c: check_disk fails with Permission Denied on
	fuse.gvfsd-fuse filesystem types

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/88

2016-10-31  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_http.c: check_http - Don't include default Accept
	header if one is provided

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/62

2016-10-17  Kees Monshouwer  <mind04@monshouwer.org>

	* plugins/check_ntp.c: touch ntp servers at most once every seconds

	The delay between te first and second query was only the remainder of the current second. This is causing rate limiting issues on some server resulting in 'Offset unknown'
	After this pull the delay between the first and second query is the remainder of the current second + 1.

2016-09-18  Mario Trangoni  <mjtrangoni@gmail.com>

	* plugins-scripts/check_oracle.sh: check_oracle.sh: fix shellcheck
	warning SC2009

	* plugins-scripts/check_oracle.sh: check_oracle.sh: fix some shellcheck
	warnings SC2086

	* plugins-scripts/check_log.sh: check_log.sh: fix some shellcheck
	warnings SC2086

	* plugins-scripts/check_sensors.sh: check_sensors.sh: fix some
	shellcheck warnings SC2039 and SC2143

	* plugins-scripts/check_sensors.sh: check_sensors.sh: fix some
	shellcheck warnings SC2086

	* plugins-scripts/check_log.sh, plugins-scripts/check_oracle.sh,
	plugins-scripts/check_sensors.sh: fix: some shellcheck warnings SC2006

2016-09-17  Mario Trangoni  <mjtrangoni@gmail.com>

	* plugins-root/check_dhcp.c, plugins-root/check_icmp.c,
	plugins/check_dns.c, plugins/check_hpjd.c, plugins/check_nagios.c,
	plugins/check_ntp.c, plugins/check_ntp_time.c, plugins/check_nwstat.c,
	plugins/check_real.c, plugins/check_uptime.c, plugins/netutils.c: fix:
	Dead assignment

2016-09-13  Mario Trangoni  <mjtrangoni@gmail.com>

	* lib/extra_opts.c, plugins-root/check_icmp.c, plugins/check_dns.c: fix:
	Allocator sizeof operand mismatch

2016-09-12  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, NP-VERSION-GEN, configure.ac, nagios-plugins.spec.in: Prep for
	release 2.1.3

2016-08-10  Michael Hanselmann  <public@hansmi.ch>

	* plugins/check_dns.c: Use strlen instead of sizeof in check_dns

	The value given to check_dns' "-q"/"--querytype" option is converted to
	uppercase. The optarg variable is of type char*, requiring the use of
	strlen(). sizeof() of a char* returns the platform's pointer size
	(usually 4 or 8 bytes). If the value given to "-q" is shorter, the code
	ends up overwriting unrelated memory:

	  $ check_dns -H nagios.com -q a --expected-address 1.2.3.4
	  check_dns: unrecognized option '--EXPEcted-address'

2016-08-29  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, lib/utils_cmd.c: when using ssh (or check-by-ssh) with
	ControlMaster/ControlPersist, nagios
	times out the first time and one gets zombie processes

	Fix for issue http://tracker.nagios.org/view.php?id=321

	Patch from Gordon Messmer applied.

2016-08-19  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/sslutils.c: Nagios not showing Certificate expiry
	warning only SSL Version

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/168

	Some debugging code was left in place

2016-08-04  John C. Frickson  <jfrickson@nagios.com>

	* plugins-scripts/check_file_age.pl: check_file_age.c: allow wildcard
	matching

	Probable fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/155

	* NEWS, plugins/check_snmp.c: In check_snmp.c, --offset does not appear
	to do anything

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/153

	* NEWS, plugins-scripts/check_disk_smb.pl: add support for -k to
	check_disk_smb

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/152

	Also, updates to NEWS

2016-08-03  John C. Frickson  <jfrickson@nagios.com>

	* plugins/check_swap.c: check_swap does not accept threshold of zero

	also, check_swap uses inconsistent checks on negative thresholds

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/100
	and https://github.com/nagios-plugins/nagios-plugins/issues/101

	* plugins/check_nagios.c: check_nagios - could not locate a running
	nagios process

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/94

	proc_cgroup_hierarchy was defined as a 'char*' but never allocated, so
	'sscanf' quit at that point, never getting the command.

2016-05-13  Troy Lea  <box293@users.noreply.github.com>

	* plugins/check_cluster.c: Update wording in comments

	Instead of saying "for Nagios 2.x" I changed it to "for Nagios Core".

2016-03-06  Mario Trangoni  <mjtrangoni@gmail.com>

	* plugins/check_uptime.c, plugins/utils.h: fix some gcc5 warnings

2016-08-02  John C. Frickson  <jfrickson@nagios.com>

	* plugins/check_game.c: check_game reports ping as number of players

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/134

2015-11-18  Daniel Bilik  <ddb@neosystem.org>

	* plugins/check_tcp.c: SNI support in check_tcp

	Add SNI support into check_tcp via new option -N.

2016-08-02  John C. Frickson  <jfrickson@nagios.com>

	* .gitignore, configure.ac, tools/build_perl_modules.in:
	tools/build_perl_modules hardcodes the perl used

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/92

2016-08-01  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, NP-VERSION-GEN, configure.ac: Prep for version 2.1.2

2016-07-29  John C. Frickson  <jfrickson@nagios.com>

	* NEWS: Updated NEWS

2016-07-20  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins-root/check_dhcp.c, plugins/check_nt.c,
	plugins/sslutils.c: [BUG] check_dhcp broken on BSD

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/70

	* plugins/netutils.c: check_nt does not correctly report a DNS entry it
	cannot resolve

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/67

	* plugins/check_http.c: check_http expects >0 response headers

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/42

	If a server just returns the `HTTP/1.0 200 OK` and a body without
	any headers at all, the body ended up in the `header` variable.
	Fixed so it's checking using proper protocol.

	* .gitignore: Updates to .gitignore

2016-03-24  Oliver Skibbe  <oliskibbe@gmail.com>

	* AUTHORS: Update AUTHORS

	Added Oliver Skibbe to Authors

2016-02-22  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/t/check_http.t: Let check_http test use HTTP/1.1

2015-11-02  Gerhard Lausser  <gerhard.lausser@consol.de>

	* plugins/check_ldap.c: Typo in check_ldap.c usage

2015-10-21  Jan Wagner  <waja@cyconet.org>

	* .travis.yml: travis-ci: Adding spwaspace to trusty env

	* .travis.yml: travis-ci: Stop local running ntpd

2015-10-20  Jan Wagner  <waja@cyconet.org>

	* .travis.yml: travis-ci: Detect LDAP config

	* .travis.yml: travis-ci: Add ppa:waja/precise-backports for fixed
	faketime

	* .travis.yml: travis-ci: Clearly documentx why we need install mariadb

	* .travis.yml: travis-ci: Work around broken /etc/hosts on trusty env

2015-10-19  Jan Wagner  <waja@cyconet.org>

	* .travis.yml: travis-ci: Adding multiverse repository as long it's not
	default. snmp-mibs-downloader is located there

	* .travis.yml: travis-ci: Install mariadb-client and mariadb-server

	* .travis.yml: travis-ci: Migrating to Trusty CI env

2015-10-15  Daniel Stirnimann  <daniel.stirnimann@gmail.com>

	* plugins/check_dig.c: check_dig: expected answer is now incasesensitive

	  check_dig was casesensitive if an expected answer is given.
	  Switching strstr with strcasestr fixes this issue

	  While testing i noticed a bug where expected is not an exact match
	  New issue for that is opened #1385

	  This fix closes #1233

2016-06-06  John C. Frickson  <jfrickson@nagios.com>

	* plugins-root/check_icmp.c: Fix for Solaris 11

	* configure.ac, plugins-root/check_icmp.c, plugins/check_hpjd.c: Fixes
	to compile on Solaris 10, and fixes to argument handling.

2016-06-03  John C. Frickson  <jfrickson@nagios.com>

	* configure.ac: Added check to avoid delay when checking for IPv6 ping
	syntax

2014-01-29  Thomas Guyot-Sionnest  <dermoth@aei.ca>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/strcase.m4, gl/m4/strings_h.m4, gl/strcasecmp.c, gl/strings.in.h,
	gl/strncasecmp.c: Add strcase gnulib module

	Conflicts:
		gl/Makefile.am
		gl/m4/gnulib-cache.m4
		gl/m4/gnulib-comp.m4

2016-02-22  Holger Weiss  <holger@zedat.fu-berlin.de>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/strcasestr.m4, gl/strcasestr.c: Add Gnulib module "strcasestr"

	Conflicts:
		gl/Makefile.am
		gl/m4/gnulib-cache.m4
		gl/m4/gnulib-comp.m4

2016-01-04  Josh Coughlan  <josh.coughlan@shoutlet.com>

	* Makefile.am, nagios-plugins.spec.in, plugins-root/Makefile.am: added
	install option for suid scripts without chown/chmod for packaging
	purposes and changed the RPM spec file to what I think the correct
	suid/chown/chmod settings are.

2015-12-16  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, configure.ac, plugins/Makefile.am: check_procs option -a fails
	on long command lines due to COLUMNS environment variable

	Fix for issues:
	https://github.com/NagiosEnterprises/nrpe/issues/27
	http://tracker.nagios.org/view.php?id=231

	The ps command will output unlimited length if two 'w's are included instead
	of just one. So I changed it from 'axwo' to 'axwwo'.

2015-12-04  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins/check_http.c: Increase MAX_RE_SIZE from 256 to 2048

2015-10-02  Elan Ruusamäe  <glen@delfi.ee>

	* plugins-scripts/check_mailq.pl: fix stupid syntax error!

	can be catched with trival compile only run:

	$ perl -c check_mailq.pl
	syntax error at check_mailq.pl line 40, near ")

	sub print_help ()"
	check_mailq.pl had compilation errors.

2015-10-22  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, THANKS.in: Updated NEWS and THANKS files

2015-10-12  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS, configure.ac, plugins/Makefile.am, plugins/check_disk.c: Revert
	"Don't let check_disk hang on hanging file systems"

	This reverts commit 6986aa1d0a352d8d02eed4896034631fffd25a27.  That
	commit leads to issues on non-Linux systems, and it seems to not
	(always) work as expected on Linux, either.

2015-10-08  Oliver Skibbe  <oliskibbe@gmail.com>

	* plugins/check_smtp.c: check_smtp.c: modified SSL check for use with -e

	  - currently STARTTLS check does not work with -e if there's text
	    like '220 hostname ESMTP*'. This is caused by SMTP answer from
	    host. Postfix answer: 220 2.0.0 Ready to start TLS, Exchange
	    2010: 220 2.0.0 SMTP server ready. This fix checks against 220

	    closes #1093

2015-10-06  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_smtp.c: check_smtp: Let "-D" option imply "-S"

	* plugins/check_smtp.c: check_smtp: QUIT SMTP connection when "-D" is
	used

	Don't forget to issue an SMTP QUIT command when the -D/--certificate
	option is specified.  This avoids undesired MTA log messages.

2015-10-22  John C. Frickson  <jfrickson@nagios.com>

	* plugins/sslutils.c: Fix errors from conflict resolution

2015-10-04  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS, plugins/check_http.c, plugins/netutils.h, plugins/sslutils.c:
	check_http: Allow for requesting TLSv1.1/TLSv1.2

	check_http's -S/--ssl option now allows for requesting the TLSv1.1 and
	TLSv1.2 protocols.  Apart from that, a '+' suffix can be appended in
	oder to also accept newer protocols than the specified version.

	Closes #1338, and closes #1354, and closes #1359.

2015-10-04  Jan Wagner  <waja@cyconet.org>

	* plugins-scripts/check_ntp.pl: check_ntp.pl: Using FindBin

2015-03-06  Oliver Skibbe  <oliskibbe@gmail.com>

	* plugins/t/check_snmp.t: check_snmp: modified tests

	(Closes #1325)

2015-10-02  Sven Nierlein  <sven@nierlein.de>

	* plugins/tests/check_http.t: fix tests for certificates expire date
	with seconds

	* THANKS.in: update thanks file

	* .travis.yml, plugins/t/check_http.t: add faketime based tests for
	check_http

	* plugins/sslutils.c: fix typo from #1336

	if exactly one hour before the expire date, we would mixup
	minutes and hours.

2015-04-23  Matthias Hähnel  <github.com@drhaehnel.de>

	* plugins/sslutils.c: Update sslutils.c

	Fixed Output if the expiration time is below one hour and code cleanup

2015-04-20  Matthias Hähnel  <github.com@drhaehnel.de>

	* plugins/sslutils.c: Update sslutils.c

	optimize output if certificate expires in less then 24h
	thx to axel.schmalowsky@sixt.com for this patch

2015-10-22  John C. Frickson  <jfrickson@nagios.com>

	* plugins/check_fping.c: autodetect ipv6 addresses

2015-05-05  Jan Wagner  <waja@cyconet.org>

	* plugins-root/check_dhcp.c: Fixes segfaults when running via monitoring
	worker
	(off-by-one)

	Grabed from https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=198318

2015-10-22  John C. Frickson  <jfrickson@nagios.com>

	* plugins/sslutils.c, plugins/utils.c: Fix some errors from conflict
	resulution

2015-08-27  Michael Melcher  <michael.melcher82@gmail.com>

	* plugins/check_http.c: check_http: Adding support for checking
	SSL-Websites through Proxies

	Ported the fix from Frank4dd to the latest git version. See also http://nagios.frank4dd.com/howto/monitor-ssl-web
	sites-through-proxy.htm

2015-07-25  Jérémie Courrèges-Anglas  <jca@wxcvbn.org>

	* plugins/sslutils.c: sslutils: Check if OpenSSL supports SSLv3.

2015-04-22  Sven Nierlein  <sven@nierlein.de>

	* NEWS: mention check_ldap changes in news file

	* plugins/check_ldap.c: check_ldap: fix entries threshold check

	fix typo in threshold check. instead of setting the state always
	to warning, use the result from the thresholds entry check.

2015-10-22  John C. Frickson  <jfrickson@nagios.com>

	* plugins/check_ldap.c: Fix conflict

2015-04-19  Gerhard Lausser  <gerhard.lausser@consol.de>

	* plugins/check_ldap.c: add counting of entries to check_ldap

	* plugins/utils.c: add sperfdata function which can handle threshold
	ranges

2015-04-12  Sven Nierlein  <Sven.Nierlein@consol.de>

	* plugins/tests/check_snmp.t: fix snmp test for included threshold

	since 6623a1 check_snmp prints the thresholds along the performance data.
	This adjust our test cases accordingly.

2015-01-29  Sven Nierlein  <Sven.Nierlein@consol.de>

	* plugins-root/check_icmp.c: make use of MSG_CONFIRM optional

	since MSG_CONFIRM is a linux thing and only available on linux kernels >= 2.3.15, see send(2)

2014-12-20  Sebastian Herbszt  <herbszt@gmx.de>

	* plugins/utils.c: utils: remove unused variable

	Remove unused variable.

2014-12-02  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins-root/check_icmp.c: check_icmp: Cast size_t values for
	printf(3)

	Convert size_t values to unsigned long for printf(3) in order to
	maximize portability.

2014-12-01  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_ntp.c: check_ntp: Nul-terminate jitter data

	Make sure the jitter response is nul-terminated before parsing the data
	using string functions.

2014-11-30  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_ntp.c: Revert "plugins/check_ntp.c - Verify struct from
	response"

	This reverts commit a04df3e1b67dc5eab3adc202cc89901f801cdeaa.  The "fix"
	was bogus in many ways and broke jitter checking.

	Conflicts:
		plugins/check_ntp.c

2014-11-28  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins-root/check_icmp.c: check_icmp: Fix a few type errors

2015-10-22  John C. Frickson  <jfrickson@nagios.com>

	* NEWS, plugins-root/check_icmp.c: check_snmp's performance data now
	also includes warning/critical

2014-11-28  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins-root/check_icmp.c: Don't mix variable declarations and code

	We still support pre-C99 compilers.

2014-02-03  Matthieu Kermagoret  <mkermagoret@merethis.com>

	* plugins-root/check_icmp.c: Use kernel reception time on ICMP packets
	to compute rtt.

	This commit uses the SO_TIMESTAMP feature of setsockopt to fetch
	kernel reception time of ICMP packets. This avoids invalid
	computations of rtt on machines with heavy load and/or heavy
	network traffic.

2014-11-28  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS: Mention new check_snmp option

	Closes #1221.

2013-12-26  Johannes Engel  <jcnengel@gmail.com>

	* plugins/check_snmp.c: Introduce support for SNMPv3 context in
	check_snmp

	snmpget already supports using SNMPv3 contexts using the option "-n".
	Thus all we need to do is introduce a new argument to check_snmp and
	pass the argument on to snmpget using snmpget's option "-n".
	Since "-n" is already in use for check_snmp for a different purpose,
	we use "-N" instead.

2014-10-19  Jan Wagner  <waja@cyconet.org>

	* plugins/check_swap.c: Improving output when swap space has zero size

2014-09-29  Jan Wagner  <waja@cyconet.org>

	* THANKS.in: Adding Simon to Thanks file

2014-09-01  Simon Meggle  <simon.meggle@consol.de>

	* plugins-scripts/check_mailq.pl: check_mailq: fixed mailer names

	(Closes #1289)

2014-07-06  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins-scripts/Makefile.am, plugins-scripts/check_breeze.pl,
	plugins-scripts/check_disk_smb.pl, plugins-scripts/check_file_age.pl,
	plugins-scripts/check_flexlm.pl, plugins-scripts/check_ifoperstatus.pl,
	plugins-scripts/check_ifstatus.pl, plugins-scripts/check_ircd.pl,
	plugins-scripts/check_mailq.pl, plugins-scripts/check_mssql.pl,
	plugins-scripts/check_netdns.pl, plugins-scripts/check_rpc.pl,
	plugins-scripts/check_wave.pl: Don't rely on FindBin module to locate
	utils.pm

	As the FindBin module doesn't work with ePN, set the path to utils.pm
	explicitly at build time.  Keep using FindBin additionally, so that the
	plugins can also be executed from the build directory.

	Closes #1271.

2014-06-12  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/sslutils.c: Fix compilation with GnuTLS

	GnuTLS doesn't provide a SSL_CTX_check_private_key() function.

	Closes #1254.

2013-10-05  awiddersheim  <awiddersheim@hotmail.com>

	* plugins/check_mysql.c: Fix check_mysql.c client options from file

	If you don't specify a group or a file to read data from the plugin tries to read from several files that don't exist and no groups.

2015-10-07  John C. Frickson  <jfrickson@nagios.com>

	* build-aux/snippet/c++defs.h, gl/dirname.h, gl/dosname.h, gl/error.h,
	gl/fd-hook.h, gl/float+.h, gl/fsusage.h, gl/getopt_int.h, gl/gettext.h,
	gl/glthread/lock.h, gl/idpriv.h, gl/intprops.h, gl/localcharset.h,
	gl/malloca.h, gl/mountlist.h, gl/msvc-inval.h, gl/msvc-nothrow.h,
	gl/printf-args.h, gl/printf-parse.h, gl/regex.h, gl/regex_internal.h,
	gl/sha1.h, gl/sockets.h, gl/stdalign.in.h, gl/stdbool.in.h, gl/streq.h,
	gl/strerror-override.h, gl/vasnprintf.h, gl/verify.h,
	gl/xalloc-oversized.h, gl/xalloc.h, gl/xsize.h, lib/extra_opts.h,
	lib/parse_ini.h, lib/utils_base.h, lib/utils_cmd.h, plugins/common.h,
	plugins/netutils.h, plugins/runcmd.h, plugins/utils.h: Reserved
	identifier violation

	Standardization of header fenced per http://tracker.nagios.org/view.php?id=326

	* configure.ac, plugins-root/check_icmp.c, plugins/check_smtp.c,
	plugins/netutils.c, plugins/popen.c, plugins/runcmd.c,
	plugins/sslutils.c, plugins/utils.c: NRPE uses signals unsafely, hangs,
	can bring down system

	Fix for issues:
	http://tracker.nagios.org/view.php?id=377
	http://tracker.nagios.org/view.php?id=548 (nagios dies on restart while sending command to cmd file)
	http://tracker.nagios.org/view.php?id=592 (send_nsca signal handling is undefined behaviour, causes SEGVs)

	Replaced all instances of signal() with sigaction() and blocked all signals during
	signal processing using sigfillset(). This should prevent any reentrant problems during
	signal handling.

	Also replaced as many unsafe function calls with safe ones (not very many, mainly some
	printf()s to write()s).

	Added check for sigaction() to configure.ac

2015-10-02  Elan Ruusamäe  <glen@delfi.ee>

	* plugins-scripts/check_mailq.pl: fix stupid syntax error!

	can be catched with trival compile only run:

	$ perl -c check_mailq.pl
	syntax error at check_mailq.pl line 40, near ")

	sub print_help ()"
	check_mailq.pl had compilation errors.

2015-10-01  John C. Frickson  <jfrickson@nagios.com>

	* plugins/check_snmp.c: [check_snmp] Timeticks are not being parsed
	correctly before performance data

	Fix for issue https://github.com/nagios-plugins/nagios-plugins/issues/108

2015-08-06  John C. Frickson  <jfrickson@nagios.com>

	* .gitignore: Ignore NetBeans directories

2015-07-31  abrist  <abrist@nagios.com>

	* NEWS, NP-VERSION-GEN, configure.ac: Prep for 2.1.1 release

	* lib/utils_cmd.c: Revert "lib/utils_cmd.c - Multiple resource leaks"

	This reverts commit 14e76a2a1b378e0853811b7d4a4761ccf9e16c00.

	* lib/utils_cmd.c: Revert "Fix for segfault in lib/utils_cmd.c"

	This reverts commit bee00616cb055436ec9ec6c9f02f4a81eee1d8a0.

2015-07-31  John C. Frickson  <jfrickson@nagios.com>

	* lib/utils_cmd.c: Fix for segfault in lib/utils_cmd.c

	A free was being done on a modified pointer

2015-07-30  John C. Frickson  <jfrickson@nagios.com>

	* NP-VERSION-GEN, configure.ac: Prep for 2.1.0 release

	* NEWS: Final update to NEWS for release

2015-07-29  abrist  <abrist@nagios.com>

	* doc/LEAVERS, doc/NEW_STARTERS: Updated project member change
	procedures

	* doc/RELEASING: Added dist procedure to doc/RELEASING

	* CODING: Added -4 and -6 to CODING reserved args

	* ROADMAP: Added -4 and -6 to reserved args in ROADMAP

	* doc/RELEASING: Updated doc/RELEASING for new release process

2015-07-28  abrist  <abrist@nagios.com>

	* THANKS.in: Missed attribution to jwinkle01

	* plugins-root/pst3.c: Fix for unclosed filehandle in pst3 on Solaris

	Thanks to jwinkle01 for finding and patching the bug.

	Closes Github issue #64:
	https://github.com/nagios-plugins/nagios-plugins/issues/64
	And tracker issue 0000658:
	http://tracker.nagios.org/view.php?id=658

2014-06-22  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_radius.c: check_radius.c: Add newline to die() calls

	Our die() function doesn't append a newline character to the message.

	* configure.ac: Change RADIUS library preferences

	Prefer the FreeRADIUS Client library over radiusclient-ng, and prefer
	that one over the original radiusclient library.

	* NEWS, REQUIREMENTS, configure.ac, plugins/check_radius.c:
	check_radius: Support FreeRADIUS Client library

	Allow for using the FreeRADIUS Client library instead of radiusclient or
	radiusclient-ng.  The latter two projects are dead.

	Closes #1231.

2015-07-27  abrist  <abrist@nagios.com>

	* NEWS: NEWS - Updated for 2.1.0 release

	* THANKS.in: THANKS.in - A few additions

2015-02-24  Jesper Forsberg  <jesper.forsberg@gmail.com>

	* plugins/check_disk.c: Prevent large tide values from truncation

2015-03-16  Koen Wilde  <koen@chillheid.nl>

	* plugins/check_http.c: plugins/check_http.c - Don't decode page if it's
	not there

	Fixes #77

2015-07-27  abrist  <abrist@nagios.com>

	* THANKS.in, plugins/check_snmp.c: check_snmp.c: Fixed potential divide
	by zero

	As per: https://github.com/nagios-plugins/nagios-plugins/pull/51

	Thanks to Justin McOmie (github user j41785)

	* plugins/utils.h: Added help text for timeout state

	Added default help text (to UT_CONN_TIMEOUT) explaining the new
	timeout state options.

2015-05-03  Laurent Licour  <laurent@licour.com>

	* plugins/check_http.c: plugins/check_http.c - fix regression introduced
	in commit 388ea928 (Host header)

2015-07-09  Michael Baydoun  <IndyMichaelB@gmail.com>

	* nagios-plugins.spec.in: Correct spelling error in variable name

	Fixes issue preventing rpmbuild from running successfully

2015-05-19  abrist  <abrist@nagios.com>

	* THANKS.in, plugins/check_snmp.c: check_snmp.c - Added IPv6 support

	The "-6" optarg now prepends the server_address with "udp6:" for the
	snmpget external command as per the net-snmp syntax at:
	http://www.net-snmp.org/wiki/index.php/FAQ:Applications_28

	Thanks to DrydenK (Roberto Greiner) for the heads up.

2015-01-28  Spenser Reinhardt  <sreinhardt@users.noreply.github.com>

	* README: README - Add Coverity information and badge

	Adding the Coverity scan badge and details of what it means, to indicate current state of plugins from static analysis tools.

2015-01-27  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/check_snmp.c: check_snmp.c - timeout_state merge correction

	Incorrectly resolved the merge, this restores the timeout_state branch's alterations.

2015-01-26  Spenser Reinhardt  <sreinhardt@nagios.com>

	* lib/utils_cmd.c: lib/utils_cmd.c - Multiple resource leaks

	Correcting several locations where returns and pointers set to null were not free'd first.

	coverity 66504 & 66503

	* lib/utils_base.c: lib/utils_base.c - resource leaks

	On error, set_thresholds was not freeing before returning.

	coverity 103717 & 103717#2

	* plugins/check_dns.c: check_dns.c - multiple fixes

	coverity 103711 - increase query_type size to avoid non-null termination.

	coverity 103719 - avoid usage of potentially null pointer, which may not be null as we ++ it prior to checking or use.

	covierity 103721 - Corrected issue with previous commit where nslookup results were not being processed beyond the first line due to me incorrectly believing result was set to OK when initially checked. This still preserves the same logic to keep states as they worsen throughout the plugins logic.

	Added tmp_dns_server for when -s x.x.x.x is not provided and we die within error scan. This will be much more informative and provide the server that is resulting in an error state. This does not conflict with instances where -s was provided and we should only be checking one server or logic where that server should be provided in output.

	Removed leading spaces from when addresses were strduped into addresses array, causing incorrect output.

	* plugins/check_dns.c: check_dns.c - extra vlist arg

	There is no need to print the command twice, and we did not have enough format string specifiers to account for this. Removed additional printing of nslookup command.

	coverity 103716

2015-01-25  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins-root/check_dhcp.c: check_dhcp.c - use /dev/urandom

	While we are not using this address for assignment, it should follow proper practices when generating random numbers. This patch allows for claiming random bytes from /dev/urandom with fallback to srand() and random() in the event the fd could not be opened or bytes could not be read.

	coverity 103713

2015-01-23  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/check_dns.c: check_dns.c - conditional assignment

	Conditionally set result, only if error_scan() returns a worse state than currently set. This way we will no longer blindly reset result if in an non-OK state.

	coverity 103721

	* plugins/check_dns.c: check_dns.c - macro querytypes and auto cnames

	Most of the code for checking querytypes can be abstracted into a single macro with a few variables. This significantly reduces code and complexity of potential issues. This also corrects a non-null terminated string possibility. Finally we are checking the set querytype and allowing drop through to the accept_cname statement when the user is querying for cnames as the logic depends on BOTH being set. This avoids them having to remember to set both, as that is a bit absurd on my part.

	* plugins/check_tcp.c: check_tcp.c - Validate sent data size

	my_send() and send() do not validate the amount sent, but only return -1 or bytes sent. Since we are sending via a single send command, all of the send string should be sent in a single command and should be checked against the sent amount. We could also just check for -1, however that is less accurate as the server would never see the rest of the string and may have unexpected results if the entirety is not sent.

	coverity 103712

	* plugins/netutils.c: netutils.c - arguable leakage

	r and res point to the same memory, neither are used beyond this function. There should be no reason we cannot use res directly and avoid leaking the addr info of where both pointed because we only free r in error conditions and res on successful completion.

	* plugins/negate.c: negate.c - array out of bounds

	state[] is a 4 value array, allowing result to be less than or equal to 4, would cause and index out of bounds error as we can only read from 0-3. Setting < 4 would work but is less clear than using 0 <= result <= 3, which are the accepted nagios return codes.

	coverity 103715

2014-12-14  Spenser Reinhardt  <sreinhardt@nagios.com>

	* tools/find_authors: tools/find_authors - minor correction

	We should not report that only thanks.in has been checked, as authors has too.

	* plugins/sslutils.c: plugins/sslutils.c - Futher restriction of options

	Forcing furter restriction of ciphers for current security concerns, and so that we ensure when someone asks for a certain protocol, they actually get it.

	* THANKS.in: THANKS - Thanks update

	Hopefully includes all missing attribution there may have been.

	* tools/find_authors: tools/find_authors - Script to find git authors

	Simple script to check git against authors and thanks files. Needs a few specific cases, as names are not matching attribution.

2014-09-23  Pawel Rozlach  <pawel.rozlach@brainly.com>

	* configure.ac, plugins/check_nagios.c, plugins/check_procs.c: Make
	check_procs cgroups aware.

	This patch enables check_proc to monitor processes in PID name-
	spaced environments.

	Normally, all processes are visible from host - the ones running
	directly on host and the ones in containers. This results in
	check_procs reporting false-positives or false negatives depending
	on whether he sees to many of given processes on to little.

	These changes introduce one filter to check_proc - cgroup hierarchy.
	Specified on the command line, it allows user to define which cgroup
	hierarchy we are interested in and check_proc is ignoring all other.

	Change-Id: Icbed79b6bad45dc387e087cf48baf2715ccda430

2014-12-14  Spenser Reinhardt  <sreinhardt@nagios.com>

	* .gitignore: .gitignore - Ignore *.rej

	.rej files are common from the git apply process, let's never push them.

2014-09-23  Pawel Rozlach  <pawel.rozlach@brainly.com>

	* .gitignore: Few more .gitignore entries

	Change-Id: I6fb78a6ee8401ef71f3135d93d71620f600fa0d4

2014-10-30  LAURENT LICOUR  <ll@licour.com>

	* plugins/check_http.c: plugins/check_http.c - fix Host header if
	explicitly set with -k

2014-12-14  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/check_http.c: plugins/check_http.c - fixes and cleanup,
	chunking

	This corrects header issues from the use of sizeof(), and thus causing the string "Transfer-Encoding: chunked" to enter the while loops at 745 and 746 looking like "-Encoding: chunked", which did not match the check for only inspace or :.

	Also minor corrections for our coding standards. This will all get reformatted shortly, so we might as well start now.

2014-09-30  Koen Wilde  <koen@chillheid.nl>

	* plugins/check_http.c: Make chunked-encoding decoding more robust

	Change-Id: I17bff5ccfdeb92cb1a0253119e1c3b36023d8d6e

2014-09-29  Koen Wilde  <koen@chillheid.nl>

	* plugins/check_http.c: Make header_value() more robust

	Change-Id: Id52847dac96a47fd636c74bb8d659c8d295bced2

2014-08-29  Koen Wilde  <koen@chillheid.nl>

	* plugins/check_http.c: HTTP header fields are case insensitive

	Change-Id: I9538983c3039f710f838329f5a0f6d0fd6597da7

	* plugins/check_http.c: Reduce the chance of segfaulting

	Change-Id: I8188b3be4f0fec756b5ab0f20122632a29a676ce

2014-08-23  Koen Wilde  <koen@chillheid.nl>

	* plugins/check_http.c: plugins/check_http: Improve readability some
	more

	* plugins/check_http.c: plugins/check_http: Improve readability

	* plugins/check_http.c: plugins/check_http: def. function conform style

	* plugins/check_http.c, plugins/tests/check_http.t: plugins/check_http:
	chunked Transfer-Encoding

2011-09-08  Thomas Guyot-Sionnest  <dermoth@aei.ca>

	* plugins/tests/check_http.t: Add testcase for HTTP chunked encoding

	Runs only if HTTP_CHUNKED (env) is set, fails obviously

	* plugins/tests/check_http.t: Make test/check_http.t reuse sockets

2014-07-15  Chris Wilson  <chris+github@qwirx.com>

	* configure.ac, plugins/check_ldap.c: Add support for LDAP URIs.

2014-07-17  arvanus  <lucasschatz@gmail.com>

	* plugins-scripts/check_log.sh: Update check_log.sh

	Fix print_usage()

	* plugins-scripts/check_log.sh: Update check_log.sh

	* plugins-scripts/check_log.sh: Update check_log.sh

	Added perf return code
	Added a parameter -w (--max_warning) defining upper value to return a warning code. Otherwise will return critical
	*Note: it wont change the functionality of the script, unless you use -w or --max_warning parameter!

2014-07-17  Jason Erdmann  <jason.erdmann@tradingtechnologies.com>

	* nagios-plugins.spec.in: fixed home variable

2014-12-02  Holger Weiss  <holger@zedat.fu-berlin.de>

	* configure.ac, plugins-scripts/check_mailq.pl,
	plugins-scripts/utils.pm.in: check_mailq: Add sudo support

	This addition is based on a patch contributed by Christopher Schultz.

	Closes #1099.
	Closes #1171.

	* plugins/Makefile.am: Cosmetic change: s/THRLIBS/THREADLIBS/

	Use a more intuitive variable name.

	* configure.ac: Don't let pthread check depend on OS

	Don't check the operating system environment to detect the correct
	linker flags for using the POSIX thread library.

2014-11-30  Sebastian Herbszt  <herbszt@gmx.de>

	* plugins/check_tcp.c: check_tcp: fix help description regarding escape
	option

	The help description should print '\\' for backslash not just '\'.

2014-11-27  Sebastian Herbszt  <herbszt@gmx.de>

	* .gitignore: update .gitignore

	Add build-aux/test-driver to .gitignore.

2014-11-30  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_disk.c: check_disk: Seperate declarations from code

	* plugins/check_disk.c: check_disk: Remove unused status variable

	We didn't actually use the exit status provided by pthread_join(3) for
	anything.

2014-11-28  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_disk.c: check_disk: Fix pthread start routine type

	The function pointer passed as third argument to pthread_create(3) must
	be of type void *(*)(void *).

2013-10-01  Gerhard Lausser  <lausser@users.sourceforge.net>

	* configure.ac, plugins/Makefile.am, plugins/check_disk.c: Don't let
	check_disk hang on hanging file systems

2014-08-26  Yannick Charton  <tontonitch-pro@yahoo.fr>

	* configure.ac: Added particular ps command for HP-UX (check_procs)

2014-09-05  Andrew Berglund  <t3hc13h@gmail.com>

	* plugins/check_real.c: Added missing CR in DESCRIBE request.

2014-11-28  Sven Nierlein  <sven@nierlein.de>

	* lib/utils_cmd.c: make constants from maxfd values (#1300)

	its good practice to use constants instead of (random) values.

2014-11-19  nafets  <fis.stefan@gmail.com>

	* lib/utils_cmd.c: avoid a segfault, if ulimit is set to unlimited

2014-06-30  Sven Nierlein  <sven@nierlein.de>

	* plugins/check_ssh.c: check_ssh: change warning to critical for
	protocal/version errors

	It makes more sense to exit critical if a explicit version/protocol is requested. This
	would also be more consistent with other plugins. Other string matching plugins like
	check_snmp or check_http exit critical if the result does not match.

2013-12-26  Johannes Engel  <jcnengel@gmail.com>

	* plugins/check_snmp.c: Introduce support for SNMPv3 context in
	check_snmp

	snmpget already supports using SNMPv3 contexts using the option "-n".
	Thus all we need to do is introduce a new argument to check_snmp and
	pass the argument on to snmpget using snmpget's option "-n".
	Since "-n" is already in use for check_snmp for a different purpose,
	we use "-N" instead.

2014-02-11  Andreas Seemueller  <andreas.seemueller@gmail.com>

	* plugins/check_snmp.c: check_snmp: Add thresholds to performance data

2014-11-27  Sebastian Herbszt  <herbszt@gmx.de>

	* plugins/check_real.c: check_real: fix null termination

	Fix null termination introduced by commit b61f51a ("plugins/check_real.c - recv string null terminate").

2014-11-26  Sebastian Herbszt  <herbszt@gmx.de>

	* plugins/check_ntp.c: check_ntp: fix null termination

	Fix null termination introduced by commit a04df3e ("plugins/check_ntp.c - Verify struct from response").

	* plugins/check_apt.c: check_apt: fix memset

	Fix memset introduced by commit 9ce7369 ("plugins/check_apt.c - Print uninitialized ereg").

2014-11-03  Adrian Murphy  <adrianmurphy@internode.on.net>

	* plugins/check_mrtgtraf.c: Fix perfdata to comply with perfdata UOM
	definition

2014-10-08  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins-scripts/check_ifstatus.pl: check_ifstatus: Fix "-n" and "-u"
	options

	Ignore interface if it's specified via "-n" OR "-u", not just when it's
	specified via "-n" AND "-u".

2014-09-23  Jonas Genannt  <jonas@brachium-system.net>

	* plugins-scripts/check_file_age.pl, plugins-scripts/t/check_file_age.t:
	check_file_age: Provide performance data

2014-09-16  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_tcp.c: Fix check_jabber to work with Openfire servers

	The plugin expected:

		<?xml version='1.0'?>

	But Openfire sends:

		<?xml version='1.0' encoding='UTF-8'?>

2013-05-13  Nick Peelman  <nick@peelman.us>

	* plugins-scripts/check_ifstatus.pl: Add check_ifstatus option to ignore
	interfaces by name

	Ignoring by index is not always an option, as the index can change on
	chassis switches as blade configurations change.

2014-08-20  Jan Wagner  <waja@cyconet.org>

	* plugins-scripts/check_log.sh, plugins-scripts/check_oracle.sh,
	plugins-scripts/check_sensors.sh: Setting PATH at first

	* plugins-scripts/check_log.sh: check_log.sh: droping path from basename
	while evaluating PROGNAME (Closes Debian Bug #758662)

2014-08-06  Sven Nierlein  <sven@nierlein.de>

	* plugins/check_by_ssh.c: check_by_ssh: added --hostname support

	just like the guidelines and the help already suggests.

2014-07-31  Sven Nierlein  <Sven.Nierlein@consol.de>

	* plugins/tests/check_snmp.t: tests: skip extented snmp tests if snmpd
	has no perl support

	solaris snmpd has no perl support by default, so this test will fail.

	* plugins/t/negate.t: tests: negate test fails when not run from plugins
	folder

	* plugins-scripts/t/check_disk_smb.t: tests: check_disk_smb may exit
	with critical for unresponsive hosts too

	Unknown (ex. debian 7)
	%> ./check_disk_smb -H 1.1.1.1 -s np_foobar -vvv
	/usr/bin/smbclient //1.1.1.1/np_foobar -U guest% -c du
	No Answer from Client

	Critical (ex. debian 8)
	%> ./check_disk_smb -H 1.1.1.1 -s np_foobar -vvv
	/usr/bin/smbclient //1.1.1.1/np_foobar -U guest% -c du
	Connection to 1.1.1.1 failed
	CRITICAL

2014-12-13  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/t/check_dns.t: plugins/t/check_dns.t - Fix Perl Warning

	Resolves perl not understanding /d within "".

	Apply& merge broke, this is taken from https://github.com/monitoring-plugins/monitoring-plugins/commit/c5a64eeef8340ff39fafb21878d92139b4c1fb73

2014-07-31  Sven Nierlein  <sven@nierlein.de>

	* plugins/check_ntp_peer.c: check_ntp_peer: do not use uninitialized
	results for max state

	s/t/jresult are not initialized if there is no corresponding threshold
	supplied. So we shouldn't use them for calculating our result.

2014-07-30  Sven Nierlein  <Sven.Nierlein@consol.de>

	* tools/generate-change-log: workaround for broken Text::Wrap

	workaround for broken Text::Wrap:
	"This shouldn't happen at /usr/share/perl/5.18/Text/Wrap.pm line 84."
	changing huge to overflow make generating changelogs work again at
	the price of not having changelog strictly cut of at 80 columns
	anymore. Words longer than 80 characters will now printed in one
	line. This mainly affects old sf.net urls.

	* tools/generate-change-log: no need for the signed off messages in our
	changelog

2013-10-01  Jan Wagner  <waja@cyconet.org>

	* plugins/check_disk.c: check_disk: show troubled partition in verbose
	mode

	I'm submitting a small patch to check_disk that will show which partitions are
	actually causing the error state. This helps the human operator to quickly
	identify the exact issue. I made it so a single -v flag is required so it
	doesn't harm legacy code that may be parsing the original style of output.

	Thanks to Jason Benguerel.

2014-07-21  Holger Weiss  <holger@zedat.fu-berlin.de>

	* test.pl.in: Use "C" locale when running test suite

	Some of our tests check locale-dependent plugin output, so let's make
	sure "make test" is always using the "C" locale.

	* plugins/tests/check_http.t: Adjust date strings

	Adjust the expected date strings to the now-localized output produced by
	plugins/sslutils.c.

	Closes #1275.

2014-07-10  Mikael Falkvidd  <mfalkvidd@op5.com>

	* plugins/t/check_procs.t: check_procs: Add delay after forking in test

	Forking raises a race condition, where the parent might run the
	test before the child has had time to fork. If that happens,
	an error similar to this is produced:
	 Failed test 'Output correct'
	 at ./t/check_procs.t line 32.
	                 'PROCS OK: 0 processes with args 'sleep 7' | processes=0;;;0;'
	   doesn't match '/^PROCS OK: 1 process?/'

	Sleeping a bit should avoid the problem. It might be enough to
	sleep less than a second, but perl's built-in sleep function only
	supports integer seconds.

	In our build environment, the build failed 3 of 4 times before
	this patch. After the patch it failed 0 of 7 times.

2013-12-16  Alexander Wittig  <abgandar@gmail.com>

	* plugins/check_dig.c: check_dig: Fix to work with dig and drill tool

	FreeBSD starting with version 10 is shipped with ldns instead of bind as
	resolver. Consequently the dig tool in base is replaced by drill. While dig can
	still be installed as a third party application, it would be nice to make do
	with the tools available in the system already.
	This patch rearranges the command line used to invoke dig slightly so that it
	can be used with both dig and drill (tested with dig 9.8.3-P1 and 9.9.4 as well
	as drill 1.6.16). It would be really neat if the configure script could be
	changed to automatically pick up drill when dig is not available (or the other
	way around), but my autotools-foo is not good enough for that.
	This part of the patch is an extended version of the locally maintained patch
	currently deployed in the FreeBSD ports tree by Dmitry Sivachenko.

	* plugins/check_dig.c: check_dig: takes into account the -4 and -6
	switch

	Fix automatic DNS server name detection to honor -4 and -6 switches
	(default to 127.0.0.1 or ::1 respectively, i.e. if -6 is given ::1
	is used instead of 127.0.0.1)

2014-10-26  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/sslutils.c: plugins/sslutils.c - null terminate, fix buffer

	Coverity 66527 - when writing to cn, we should pass sizeof()-1 as internal openssl logic does not account for starting at 0 and could overflow the buffer. It would only be by 1 byte though..

	* plugins/sslutils.c: plugins/ssl_utils.c - Disable SSLv3 & SSLv2

	This disables SSLv2 and SSLv3 from autonegotiation, limiting poodle and other weak cipher attacks against plugins not forcing a specific ssl version. V2 and V3 can still be used by forcing a specific version.

2014-10-22  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/check_mrtgtraf.c: check_mrtgtraf - verbose output

	Add some basic verbose output.

2014-08-28  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/check_dns.c: plugins/check_dns.c - die and cleanup

	Reformat of die() statments to remove \n from translations and make them easier to read. Cleans out excess {} and such as well.

	* plugins/check_dns.c: plugins/check_dns.c - index to strchr

	Posix depricated index() and strchr() is standard C function.

	* plugins/check_dns.c: plugins/check_dns.c - Server specified fixes

	Previously check_dns was not checking correctly to see if the server you requested was the server responding. This is an adaptation of M-P version, since patching is not an option for this plugin, and we needed some additional changes here.

	* plugins/netutils.h: plugins/netutils.h - UNIX_MAX_PATH changes

	BSDs have hardcoded 104 byte max paths, while slightly limitting this should not pose issues for other flavors of unix\linux

	* lib/tests/test_utils.c, lib/utils_base.c: lib/utils_base.c
	lib/tests/test_utils.c - UID path

	Add EIUD to state retention path for multi-user permissions support. Clears up testing as root and other users since they are separated by euid in path.

	* plugins/check_dbi.c, plugins/check_ups.c:
	plugins/{check_dbi,check_ups}.c - spelling fix

	Minor spelling corrections in both plugins.

	* po/de.po, po/fr.po, po/nagios-plugins.pot: po/ - Spelling corrections

	mrtg and check_ide_smart spelling corrections from english.

	* lib/utils_base.c: lib/utils_base.c - cleanup code

	Cleaning up some of the unneeded checks for null and !=0 types. These are handled perfectly fine with if() statements and such.

2014-08-27  Spenser Reinhardt  <sreinhardt@nagios.com>

	* lib/utils_base.c: lib/utils_base.c - Remformat die calls and add \n

	die() does not have newlines automatically added. This also reformats the arguments for easier reading, standard formatting, and easier po generation.

	* lib/utils_base.c: lib/utils_base.c - check asprintf returns

	Check asprintf returns for proper error handing. Considering we are dying on failure, no real need for xasprintf.

	* lib/parse_ini.c: lib/parse_ini.c - check inifile before access

	Added check to verifiy inifile was not null post fopen(). Should be caught by other checks though.

	* lib/parse_ini.c: lib/parse_ini.c - Keep die() formatting similar

	Keep all die() calls formatted the same, format strings and newlines out of translated text.

	* lib/parse_ini.c: lib/parse_ini.c - Additional possible ini files

	Added a few additional possible distro specific ini paths, reorged them for easier reading.

	* lib/parse_ini.c: lib/parse_ini.c - Add declaration for func

	Add declaration for default_file_in_path

	* lib/parse_ini.c: lib/parse_ini.c - Fix clang warnings

	Clang is a bit more picky about loops and casting, this should resolve all compile warnings

	* lib/parse_ini.c: lib/parse_ini.c - Don't cast malloc(3)

	Taken from M-P, but removed an additional unneeded cast to char*.

	* lib/parse_ini.c: lib/parse_ini.c - Check before free, clean comment

	While not likely to cause a double free, we should check that objects are not null prior to freeing, and then set to null.
	Cleans up one old line of comments.

2014-06-18  Holger Weiss  <holger@zedat.fu-berlin.de>

	* lib/parse_ini.c, lib/parse_ini.h: lib/parse_ini.[ch]: Simplify code

	Rewrite the code that looks up the INI configuration file path (used by
	the Extra-Opts feature) in order to improve readability.  The behaviour
	should not have changed.

2014-06-26  abrist  <abrist@nagios.com>

	* NP-VERSION-GEN, configure.ac: Prep for 2.0.3

	* THANKS.in: Updated THANKS.in

	* NEWS: Updated NEWS for 2.0.3

2014-06-26  Spenser Reinhardt  <sreinhardt@nagios.com>

	* gl/getopt.c, lib/utils_cmd.c: whitespace cleanup

2014-06-23  Spenser Reinhardt  <sreinhardt@nagios.com>

	* lib/utils_cmd.c: lib/utils_cmd.c - Free file descriptor

	Coverity 66502 - File descriptor fd in cmd_file_read is never closed, and thus file is left open after usage throughout runtime. - SR

2014-06-22  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/negate.c: plugins/negate.c - Function should not return.

	Coverity 66479 - validate_arguments has no need to return anything, as it dies on error, yet was set to return an int. Set to void to resolve warning.

	* plugins/negate.c: plugins/negate.c - Reorder if statement, aiob

	Coverity 66480 - Potential array index out of bounds, since result was not verified to be positive prior to using as an index for state[]. Simply reording the if statement should resolve the issue. - SR

	* plugins-root/check_dhcp.c: plugins-root/check_dhcp.c - array out of
	bounds

	Coverity 66488 - offer_packet->options has a max size of 312. It was being used in a loop verifying less than 311, but increasing by 2 per loop, causing a possible array index out of bounds. Changed to checking less than max length - 1. - SR

	* plugins/check_http.c: plugins/check_http.c - leakage fix

	Coverity 66514 - Possible leakage and overflow with addr in redirect functionality. Not confirmed as null terminated, and externally gathered. Restrict string comparisons and duplications by size. - SR

	* plugins/check_ntp.c: plugins/check_ntp.c - Verify struct from response

	Coverity 66524 - req.data is not neccessarily null terminated but still feed to printf statements. This both does that, and verifies the struct more so than before. - SR

2014-06-19  Spenser Reinhardt  <sreinhardt@nagios.com>

	* lib/parse_ini.c: lib/parse_ini.c - Cleaner and more flexible - suid

	Adapted from M-P 91d04ad6 and 48025ff3 around the existing changes.

	* lib/parse_ini.c: lib/parse_ini.c - Initial drop privs

	Handling the race condition left from suid bins. Moving previous patches from my private copy.

	* gl/Makefile.am, gl/m4/gnulib-cache.m4: Gnulib module "idpriv-droptemp"
	finishing touches

2014-06-18  Holger Weiss  <holger@zedat.fu-berlin.de>

	* gl/idpriv-droptemp.c, gl/idpriv.h, gl/m4/gnulib-comp.m4,
	gl/m4/idpriv.m4: Add Gnulib module "idpriv-droptemp"

2014-06-05  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/check_real.c: plugins/check_real.c - recv string null
	terminate

	Recv into buffer is not properly null terminated prior to strstr and possible other string functions expecting a null termination. Simply take bytes received and use as an index to append \0 after. We are creating buffer[] with size of MAX_INPUT_BUFFER and recv with MAX_INPUT_BUFFER-1 so this should never overflow.

	* plugins/check_apt.c: plugins/check_apt.c - Print uninitialized ereg

	Coverity 66531 - ereg.buffer can be printed without being initialized if do_include and do_exclude are null and critical is an invalid regex. While minor this may leak memory and cause undefined behavior.

2014-06-05  Eric J. Mislivec  <emislivec@nagios.com>

	* plugins/check_tcp.c, plugins/negate.c: Include common.h before any
	system headers.

	This should fix some problems building on AIX.

2014-06-03  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/check_dns.c: check_dns.c - Fixing querytypes ALL to ANY

	Mislabeled nslookups ANY type to ALL.

	* plugins/check_dns.c: check_dns.c - Reverse dns lookup fix

	Query type changes caused a bug with reverse lookup matching a hostname, not actually matching.

2014-02-28  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins-scripts/check_breeze.pl, plugins-scripts/check_ircd.pl,
	plugins-scripts/check_wave.pl: Disable Perl's "taint" checks

	Perl's "taint" checks don't like `use lib "$FindBin::Bin"'.

	Cf. http://www.perlmonks.org/?node_id=585299

	* configure.ac, plugins-scripts/Makefile.am,
	plugins-scripts/check_breeze.pl, plugins-scripts/check_disk_smb.pl,
	plugins-scripts/check_file_age.pl, plugins-scripts/check_flexlm.pl,
	plugins-scripts/check_ifoperstatus.pl,
	plugins-scripts/check_ifstatus.pl, plugins-scripts/check_ircd.pl,
	plugins-scripts/check_log.sh, plugins-scripts/check_mailq.pl,
	plugins-scripts/check_mssql.pl, plugins-scripts/check_netdns.pl,
	plugins-scripts/check_ntp.pl, plugins-scripts/check_oracle.sh,
	plugins-scripts/check_rpc.pl, plugins-scripts/check_sensors.sh,
	plugins-scripts/check_wave.pl, plugins-scripts/subst.in: Replace
	"plugins-scripts/subst.in" foo

	Remove the buggy and complex awk(1) magic in "plugins-scripts/subst.in"
	in favor of simple sed(1) substitutions.

	The plugins in the "plugins-scripts" directory now always use the PATH
	specified via "./configure --trusted-path", or the default PATH
	hard-coded in "configure.ac".

	Fixes #1242.

2013-10-22  awiddersheim  <awiddersheim@hotmail.com>

	* plugins-scripts/check_breeze.pl, plugins-scripts/check_disk_smb.pl,
	plugins-scripts/check_file_age.pl, plugins-scripts/check_flexlm.pl,
	plugins-scripts/check_ifoperstatus.pl,
	plugins-scripts/check_ifstatus.pl, plugins-scripts/check_ircd.pl,
	plugins-scripts/check_log.sh, plugins-scripts/check_mailq.pl,
	plugins-scripts/check_mssql.pl, plugins-scripts/check_netdns.pl,
	plugins-scripts/check_ntp.pl, plugins-scripts/check_oracle.sh,
	plugins-scripts/check_rpc.pl, plugins-scripts/check_sensors.sh,
	plugins-scripts/check_wave.pl, plugins-scripts/subst.in: Fix trusted
	path

	When configuring the plugins you have the option to specify a trusted path with --with-trusted-path. This option seems to have been deprecated at some point for unknown reasons and had typically had no affect. This commit makes this option work again for those who have a desire to use it. There should be no affect on those who have not chosen to specify a trusted path.

2014-02-26  Evgeni Golov  <evgeni@golov.de>

	* plugins-scripts/subst.in: subst.in: remove the led() function

	It was only used to replace the 'use lib utils.pm' with the proper
	libexec dir, which is now solved by using Perl's FinBin.

	Closes #1241

	* plugins-scripts/check_breeze.pl, plugins-scripts/check_disk_smb.pl,
	plugins-scripts/check_flexlm.pl, plugins-scripts/check_ifoperstatus.pl,
	plugins-scripts/check_ifstatus.pl, plugins-scripts/check_ircd.pl,
	plugins-scripts/check_mailq.pl, plugins-scripts/check_netdns.pl,
	plugins-scripts/check_rpc.pl, plugins-scripts/check_wave.pl: utils.pm:
	use FindBin instead of awk to find the path to

	'use lib utils.pm' is not valid Perl syntax:
	 Bareword "utils" not allowed while "strict subs" in use at plugins-scripts/check_ircd.pl line 52.
	 Bareword "pm" not allowed while "strict subs" in use at plugins-scripts/check_ircd.pl line 52.

	This makes it impossible to use the plugins directly from the git tree,
	e.g. while hacking on them.

	Using FindBin::Bin as the library path allows that, while preserving
	the original behaviour of adding the libexec path when the plugin is
	properly installed.

2014-02-27  Evgeni Golov  <evgeni@golov.de>

	* plugins-scripts/check_mailq.pl: check_mailq: add $mailq to check
	output, so it is easily visible what was autodetected

	Closes: #1242

	* plugins-scripts/check_mailq.pl: check_mailq: document autodetection in
	the usage output

	* plugins-scripts/check_mailq.pl: check_mailq: try to autodetect which
	mailq implementation we are using

	This is done by looking at some common directories and files each
	MTA installs on the system. If no known file is found, the old default
	sendmail is used. Of course this still can be overridden by -M.

2014-06-03  abrist  <abrist@nagios.com>

	* plugins-scripts/check_mailq.pl: Revert "check_mailq: try to autodetect
	which mailq implementation we are using"

	This reverts commit bc4113fba2d251b70f8d9dae80f1b18033cace40.

	* plugins-scripts/check_mailq.pl: Revert "check_mailq: document
	autodetection in the usage output"

	This reverts commit 8e087cf4a6f741e35649d5df3e9b3a57615ff0a9.

	* plugins-scripts/check_mailq.pl: Revert "check_mailq: add $mailq to
	check output, so it is easily visible what was autodetected"

	This reverts commit 21750b173b8d98eaddcf99b7372236a2df2eb4c4.

2014-05-20  abrist  <abrist@nagios.com>

	* NP-VERSION-GEN, configure.ac: Prep for 2.0.2

	* NEWS, THANKS.in: Updated NEWS and THANKS.in

2014-04-21  Gunnar Beutner  <gunnar@beutner.name>

	* configure.ac, plugins/check_ping.c: Make check_ping work on Windows.

	* configure.ac: Add missing file extensions for some of the plugins.

	* plugins/check_disk.c: Make check_disk work on Windows.

	* plugins/Makefile.am, plugins/check_users.c: Make check_users work on
	Windows.

2014-05-19  Spenser Reinhardt  <sreinhardt@nagios.com>

	* lib/parse_ini.c: File access vulnerability with SUID bins

	Check_dhcp and check_icmp are root setuid binaries, with extra-opts enabled, file permissions are never checked before fopen is called on files. This patch uses POSIX standard functions, so they should be portable, to verify real uid should have permissions to config file and that it is also not a linked file. These changes are global and WILL effect non-suid plugins as well, however considering real and effective uid should be the same in non-suid applications, it should just properly verify file permissions before attempting to access and not cause issues provided file access is permitted. - SR

	http://www.exploit-db.com/exploits/33387/

	Thanks to Dawid Golunski for the submission, and emislivec for reworking the patch a bit.

2014-05-19  abrist  <abrist@nagios.com>

	* plugins/netutils.c: netutils.c - A few more changes

	Changed bool to short.

	Removed first instance of is_socket to avoid
	redeclaration error.

	Changed 'socket' to 'file socket' for verbosity.

2014-05-07  Davide Madrisan  <davide.madrisan@gmail.com>

	* plugins/netutils.c: Update netutils.c

2014-05-19  abrist  <abrist@nagios.com>

	* plugins/check_nt.c: check_nt.c - Changed 'Mb' to 'MB' in MEMUSE.

2014-05-08  Ryan Doyle  <ryan@doylenet.net>

	* plugins/utils.c: Uninitialised pointer is passing a null pointer
	check. Ends up in a SEGFAULT in set_timeout_state()

2014-05-05  abrist  <abrist@nagios.com>

	* THANKS.in: Added Davide Madrisan to THANKS.in

2014-05-03  Davide Madrisan  <davide.madrisan@gmail.com>

	* NEWS: Update NEWS

2014-05-02  abrist  <abrist@nagios.com>

	* plugins/check_ntp_time.c: check_ntp_time.c - Altered timeout behavior

	The plugin consistently exited after 1/2 the timeout_interval.  I doubt
	that post-processing and jitter need more than a second, yet it was
	using, by default, up to 5 seconds.  Timeout now works closer to the
	expected behavior.

2014-05-01  abrist  <abrist@nagios.com>

	* plugins/check_nt.c: marked -u switch as deprecated

	* plugins/check_snmp.c, plugins/check_swap.c: Altered check_snmp timeout
	behavior.

	Should now more reliably obey the timeout value.

	Removed orphaned optarg from check_nt.

	* plugins/t/check_ntp.t: fixed test case for slightly altered output. I
	think all of the leading 'NTP' spam from the plugin output should be
	removed at some point

	* plugins/check_apt.c, plugins/check_dig.c, plugins/check_http.c,
	plugins/check_ldap.c, plugins/check_nt.c, plugins/check_ntp.c,
	plugins/check_ntp_peer.c, plugins/check_ntp_time.c,
	plugins/check_nwstat.c, plugins/check_overcr.c, plugins/check_real.c,
	plugins/check_smtp.c, plugins/check_snmp.c, plugins/check_ssh.c,
	plugins/check_tcp.c, plugins/check_time.c, plugins/check_ups.c,
	plugins/negate.c, plugins/netutils.c, plugins/netutils.h,
	plugins/runcmd.c, plugins/runcmd.h: Made timeout_state and
	timeout_interval universal

	I cannot find one instance where more than one of each of these globals
	are needed:

	timeout_state
	timeout_interval

	Previously, three seperate variables existed:

	socket_timeout_state
	timeout_state
	runcmd_timeout_state

	timeout_interval
	socket_timeout
	runcmd_timeout

	I presume that at some point someone planned on using a few different
	timeouts in a plugin.  As no plugin currently relies on this behavior as
	far as I can tell, and as optarg will only let the user configure one
	set, I decided to change all instances of these two vars to:

	timeout_state
	timeout_interval

	This makes it easy to add just one parse_timeout_string function to
	utils.c

	I also noticed that runcmd.h did not include utils.h, but that all
	plugins using runcmd.h also included utils.h.  I added utils.h to
	runcmd's includes so that the global variables altered by the parse
	function would be seen by the alarm handler in runcmd.c.

	Let me know if anyone forsees any issues with these changes.

	Still unresolved issues with timeout_intervals and check_snmp and a few
	of the ntp plugins.

2014-04-29  abrist  <abrist@nagios.com>

	* plugins/check_disk.c, plugins/check_dns.c, plugins/check_http.c,
	plugins/check_ldap.c, plugins/check_nagios.c, plugins/check_nt.c,
	plugins/check_ntp.c, plugins/check_ntp_peer.c, plugins/check_ntp_time.c,
	plugins/check_nwstat.c, plugins/check_overcr.c, plugins/check_pgsql.c,
	plugins/check_ping.c, plugins/check_procs.c, plugins/check_radius.c,
	plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c,
	plugins/check_ssh.c, plugins/check_tcp.c, plugins/check_time.c,
	plugins/check_ups.c, plugins/check_uptime.c, plugins/netutils.c,
	plugins/runcmd.c, plugins/runcmd.h, plugins/utils.c: New timeout switch
	format implemented for all

	relevant plugins.  I am still unsure if 3 different alarms are needed,
	there may be a simpler way - unifying all plugin timeouts under utils.c
	functions.  New syntax for timeouts is:

	-t <interval>:<state>

	Interval is a positive integer.
	State is case insensitive and one of:
	state name: ok/warning/critical/unknown
	Or stateid: 0/1/2/3

	For example:

	-t 5:0 = 5 seconds timeout with state ok
	-t :warning = default timeout with state warning
	-t 5 = 5 second timeout with default state

	etc.

2014-04-28  abrist  <abrist@nagios.com>

	* plugins/check_snmp.c: fixed missing regex optarg

	* plugins/check_apt.c, plugins/check_by_ssh.c, plugins/check_dbi.c,
	plugins/check_dig.c, plugins/check_snmp.c, plugins/runcmd.c: Added new
	functions to set the state to utils

	I have started to work the changes into each of the plugins.

2014-04-25  abrist  <abrist@nagios.com>

	* plugins/check_nt.c, plugins/netutils.c, plugins/utils.c: New Functions
	for timeout state added

	* plugins/check_nt.c, plugins/utils.c: More tests

	* plugins/check_nt.c, plugins/check_snmp.c, plugins/check_time.c,
	plugins/netutils.c, plugins/runcmd.c, plugins/runcmd.h, plugins/utils.c:
	Initial Commit for testing timeout state changes

2014-04-15  abrist  <abrist@nagios.com>

	* NP-VERSION-GEN, configure.ac: Preperation for 2.0.1 release

	* NEWS: Changed date for 2.0.1

	* NEWS: Updated NEWS

2014-04-15  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/check_dns.c: check_dns.c - Record type corrections

	With the addition of checking various record types, ptr and cnames were added to expect values inappropriately. This restores correct functionality while maintaining the new record checking.

2014-04-11  abrist  <abrist@nagios.com>

	* THANKS.in: Added Evgeni Golov to THANKS.in

	* THANKS.in: Added Anton Lofgren to THANKS.in

2014-03-07  Anton Lofgren  <alofgren@op5.com>

	* plugins/check_snmp.c, plugins/t/check_snmp.t: check_snmp: Handle
	SNMPv3 noAuthNoPriv properly

	The SNMPv3 noAuthNoPriv security level, somewhat unintuitively, requires
	a security name to be passed along together with the request. Check_snmp
	previously did not do this, causing snmpget to throw an error:

	"External command error: No log handling enabled - turning on stderr
	logging
	snmpget: No securityName specified"

	This patch fixes the issue by always providing the security name when
	noAuthNoPriv is specified.

	See also:
	https:://bugs.op5.com/view.php?id=8385.

2013-10-01  Jan Wagner  <waja@cyconet.org>

	* THANKS.in, plugins-scripts/check_oracle.sh: check_oracle: --tns bad
	string matching

	check_oracle in the 1.4.15 release doesn't correctly parse the output gotten
	from at least Oracle 11 (with german locales). I guess it's probably more.
	Also it completely needlessly uses sed where basic bash string parsing actually
	does more than suffice (and does not run into possible problems with locales
	like sed ;)).
	--
	Just turning attached patch of github issue #1015 into a push request.
	(Closes #1015)

2014-04-11  abrist  <abrist@nagios.com>

	* THANKS.in: Added Sam Kottler to THANKS.in

2014-04-03  Sam Kottler  <shk@redhat.com>

	* plugins/check_apt.c: Remove the suggestion to run check_apt with
	--verbose since it doesn't do anything

2014-03-09  Davide Madrisan  <davide.madrisan@gmail.com>

	* lib/Makefile.am, lib/tests/Makefile.am, plugins/Makefile.am: build -
	avoid deprecated INCLUDES

2014-02-27  Evgeni Golov  <evgeni@golov.de>

	* plugins-scripts/check_mailq.pl: check_mailq: add $mailq to check
	output, so it is easily visible what was autodetected

	Closes: #1242

	* plugins-scripts/check_mailq.pl: check_mailq: document autodetection in
	the usage output

	* plugins-scripts/check_mailq.pl: check_mailq: try to autodetect which
	mailq implementation we are using

	This is done by looking at some common directories and files each
	MTA installs on the system. If no known file is found, the old default
	sendmail is used. Of course this still can be overridden by -M.

2014-04-10  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/check_http.c: check_http.c - Add */* MIME support

	Some servers do not work at all or may respond incorrectly without MIME support. This patch adds an Accept: */* for accepting all MIME types. In the future an argument may be provided to alter requested MIME types and check against the response given, this is not currently implemented.
	Thanks Alex Gottschalk, patch submitted without pull request.

2014-03-25  abrist  <abrist@nagios.com>

	* plugins/utils.c: utils.c - Comment type fails compilation on AIX.

	Changed // to /* as reported by hkpatv.  Resolves Issue #30.

2014-03-20  abrist  <abrist@nagios.com>

	* plugins/check_uptime.c: Removed executable permissions on the
	check_uptime.c file

2014-03-13  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_pgsql.c: check_pgsql: Add missing newline to --help
	output

2014-03-09  Davide Madrisan  <davide.madrisan@gmail.com>

	* plugins/check_uptime.c: check_update - remove code that has no effect

	* plugins/check_swap.c: check_swap - fix comment

2014-03-14  abrist  <abrist@nagios.com>

	* plugins/check_uptime.c: check_uptime - Removed extra help option, and
	updated the verbose usage/halp to -vvv

2014-03-07  abrist  <abrist@nagios.com>

	* NEWS: Updated NEWS

2014-03-06  abrist  <abrist@nagios.com>

	* plugins/check_uptime.c: check_uptime.c - Addded timeout option

2014-03-04  abrist  <abrist@nagios.com>

	* NEWS: small typo fix in NEWS

	* plugins/check_gearman.c: removed check_gearman.c from master until
	finished

	* LEGAL: Added Nagios-Plugins to the trademark notice

	* THANKS.in: I figured it was about time we add ourselves to the file

	* NEWS: Near final edits for 2.0

2014-03-04  Jean-Claude Computing  <jeanclaude.computing@gmail.com>

	* plugins/check_snmp.c: check_snmp: add warning and critical thresholds
	to perfdata

2014-03-03  abrist  <abrist@nagios.com>

	* CODING: Moved suggested plugin options from ROADMAP to CODING

	* REQUIREMENTS: Added a note about check_uptime only supporting liunux
	atm

2014-03-03  Spenser Reinhardt  <sreinhardt@nagios.com>

	* CODING: Cleanup and minor addition.

	* CODING: Cleanup and minor addition

2014-03-03  abrist  <abrist@nagios.com>

	* FAQ: updated FAQ to include new methods of contact

	* AUTHORS: Added myself and spenser to AUTHORS doc

	* ACKNOWLEDGEMENTS: Added thanks to Ethan in the ACKNOWLEDGEMENTS doc

	* SUPPORT: Added FORUMS section to SUPPORT doc

	* README: Updated README to include testing instructions

2014-03-03  Spenser Reinhardt  <sreinhardt@nagios.com>

	* NP-VERSION-GEN, configure.in: Testing version change - SR

2014-03-03  abrist  <abrist@nagios.com>

	* plugins/t/check_dns.t: check_dns.t - fixed extra test numbers in skips

	* plugins/t/check_dns.t: check_dns.t - Added new tests:

	Testing for AAAA, MX, SRV, and TXT.  New testing vars:

	NP_HOSTNAME_VALID_AAAA
	NP_HOSTNAME_VALID_MX
	NP_HOSTNAME_VALID_SRV
	NP_HOSTNAME_VALID_TXT

	* plugins/t/check_pop.t: check_pop.t - added NP_HOST_TCP_POP_SSL and
	some logic for testing against ssl enabled pop servers

2014-03-03  Spenser Reinhardt  <sreinhardt@nagios.com>

	* tools/git-notify: tools/git-notify - Copyright changes

	* tools/generate-change-log: tools/generate-change-log - Copyright
	changes

2014-03-03  abrist  <abrist@nagios.com>

	* .gitignore: added check_uptime bin to gitignore

2014-03-03  Spenser Reinhardt  <sreinhardt@nagios.com>

	* po/fr.po: po/fr.po - Copyright changes

	* po/de.po: po/de.po - Copyright changes

2014-03-03  abrist  <abrist@nagios.com>

	* plugins/t/check_jabber.t: check_jabber.t - fixed tests for new status
	output including hostname

	* plugins/t/check_ntp.t: check_ntp.t - fixed tests for new status output

2014-03-03  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/check_ping.c: plugins/check_ping.c - Copyright changes

	* plugins/check_nagios.c: plugins/check_nagios.c - Copyright changes

	* plugins/check_apt.c: plugins/check_apt.c - Copyright changes

	* plugins/check_ntp_time.c: plugins/check_ntp_time.c - Copyright changes

	* plugins/check_ide_smart.c: plugins/check_ide_smart.c - Copyright
	changes

	* plugins/check_disk.c: plugins/check_disk.c - Copyright changes

	* plugins/check_swap.c: plugins/check_swap.c - Copyright changes

	* plugins/check_tcp.c: plugins/check_tcp.c - Copyright changes

	* plugins/check_smtp.c: plugins/check_smtp.c - Copyright changes

	* plugins/check_dummy.c: plugins/check_dummy.c - Copyright changes

	* plugins/check_load.c: plugins/check_load.c - Copyright changes

	* plugins/check_hpjd.c: plugins/check_hpjd.c - Copyright changes

	* plugins/negate.c: plugins/negate.c - Copyright changes

	* plugins/check_ups.c: plugins/check_ups.c - Copyright changes

	* plugins/check_mysql.c: plugins/check_mysql.c - Copyright changes

	* plugins/netutils.c: plugins/netutils.c - Copyright changes

	* plugins/check_dbi.c: plugins/check_dbi.c - Copyright changes

	* plugins/check_time.c: plugins/check_time.c - Copyright changes

	* plugins/check_radius.c: plugins/check_radius.c - Copyright changes

	* plugins/utils.c: plugins/utils.c - Copyright changes

	* plugins/check_mysql_query.c: plugins/check_mysql_query.c - Copyright
	changes

	* plugins/runcmd.h: plugins/runcmd.h - Copyright changes

	* plugins/check_http.c: plugins/check_http.c - Copyright changes

	* plugins/check_procs.c: plugins/check_procs.c - Copyright changes

	* plugins/check_by_ssh.c: plugins/check_by_ssh.c - Copyright changes

	* plugins/check_real.c: plugins/check_real.c - Copyright changes

	* plugins/netutils.h: plugins/netutils.h - Copyright changes

	* plugins/sslutils.c: plugins/sslutils.c - Copyright changes

	* plugins/check_ldap.c: plugins/check_ldap.c - Copyright changes

	* plugins/check_users.c: plugins/check_users.c - Copyright changes

	* plugins/check_ntp.c: plugins/check_ntp.c - Copyright changes

	* plugins/check_ntp_peer.c: plugins/check_ntp_peer.c - Copyright changes

	* plugins/check_cluster.c: plugins/check_cluster.c - Copyright changes

	* plugins/check_nwstat.c: plugins/check_nwstat.c - Copyright changes

	* plugins/runcmd.c: plugins/runcmd.c - Copyright changes

	* plugins/popen.c: plugins/popen.c - Copyright changes

	* plugins/check_overcr.c: plugins/check_overcr.c - Copyright changes

	* plugins/check_dig.c: plugins/check_dig.c - Copyright changes

	* plugins/check_ssh.c: plugins/check_ssh.c - Copyright changes

	* plugins/check_fping.c: plugins/check_fping.c - Copyright changes

	* plugins/check_pgsql.c: plugins/check_pgsql.c - Copyright changes

	* plugins/check_dns.c: plugins/check_dns.c - Copyright changes

	* plugins/check_nt.c: plugins/check_nt.c - Copyright changes

	* plugins/check_game.c: plugins/check_game.c - Copyright changes

	* plugins/check_mrtg.c: plugins/check_mrtg.c - Copyright changes

	* plugins/common.h: plugins/common.h - Copyright changes

	* plugins/check_mrtgtraf.c: plugins/check_mrtgtraf.c - Copyright changes

	* plugins/urlize.c: plugins/urlize.c - Copyright changes

	* plugins/check_snmp.c: plugins/check_snmp.c - Copyright changes

	* m4/np_mysqlclient.m4: m4/np_mysqlclient.m4 - Copyright changes

	* lib/extra_opts.c: lib/extra_opts.c - Copyright changes

	* lib/parse_ini.c: lib/parse_ini.c - Copyright changes

	* lib/utils_cmd.c: lib/utils_cmd.c - Copyright changes

	* lib/utils_disk.c: lib/utils_disk.c - Copyright changes

	* lib/utils_base.c: lib/utils_base.c - Copyright changes

	* lib/utils_tcp.c: lib/utils_tcp.c - Copyright changes

	* doc/developer-guidelines.sgml: doc/developer-guidelines.sgml -
	Copyright change

	* configure.ac: configure.ac - version increment

	* plugins/check_dig.c: check_dig.c - copyright changes

	* plugins/check_dns.c: check_dns.c - copyright changes

2014-02-21  Holger Weiss  <holger@zedat.fu-berlin.de>

	* configure.ac: Support --disable-maintainer-mode

	This

	| allows you to choose whether the so called "rebuild rules" should be
	| enabled or disabled.  With AM_MAINTAINER_MODE([enable]), they are
	| enabled by default, otherwise they are disabled by default.  In the
	| latter case, if you have AM_MAINTAINER_MODE in configure.ac, and run
	| `./configure && make', then make will *never* attempt to rebuild
	| configure, Makefile.ins, Lex or Yacc outputs, etc.  I.e., this
	| disables build rules for files that are usually distributed and that
	| users should normally not have to update.
	|
	| The user can override the default setting by passing either
	| `--enable-maintainer-mode' or `--disable-maintainer-mode' to
	| configure.
	|
	| People use AM_MAINTAINER_MODE either because they do not want their
	| users (or themselves) annoyed by timestamps lossage (see CVS), or
	| because they simply can't stand the rebuild rules and prefer running
	| maintainer tools explicitly.

	[ https://www.gnu.org/software/automake/manual/automake.html ]

2014-02-28  abrist  <abrist@nagios.com>

	* configure.ac: Renamed configure.in to configure.ac

2014-02-17  Jan Wagner  <waja@cyconet.org>

	* plugins/check_ssh.c: check_ssh: Reverting a387120

	This seems to result into more problems in the wild then before 'fixing' it

	Closes Debian #739254
	Reopen Debian #734811

2014-02-26  abrist  <abrist@nagios.com>

	* plugins/check_dns.c: check_dns.c Added a bit more logic to thresholds

	Added two if elses to cover when only one threshold is set.

2014-02-26  Jean-Claude Computing  <jeanclaude.computing@gmail.com>

	* plugins/check_dns.c: check_dns: add warning and critical thresholds to
	perfdata

2014-02-20  abrist  <abrist@nagios.com>

	* plugins/check_tcp.c: Cleaned up status output of check_tcp changes

2014-02-20  Davide Madrisan  <davide.madrisan@gmail.com>

	* plugins/check_tcp.c: check_tcp: also display the server addr when
	host_specified is set. This will help the admins when multiple checks
	are configured

2014-02-20  abrist  <abrist@nagios.com>

	* plugins/t/check_dig.t, plugins/t/check_dns.t: Changed the dns tests to
	nagios-plugins servers.

	More tests will be added in the near future to account for the new
	record checks in check_dns.

2014-02-07  Sam Kottler  <shk@linux.com>

	* plugins/Makefile.am: Remove unnecessary whitespace in Makefile.am

2014-02-20  Davide Madrisan  <davide.madrisan@gmail.com>

	* plugins/check_swap.c: check_swap: Fix the plugin name that appears in
	the comment

2014-02-18  Sven Nierlein  <Sven.Nierlein@consol.de>

	* plugins/tests/check_procs.t: check_procs test fails if there is no
	user with uid 501

	thats because check_procs verifys there is a user for a
	given uid filter. So even we use sample data for this
	test, we still need a real user.

2014-02-18  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/check_dns.c: check_dns.c - minor corrections and unneeded
	logic

	Removal of the old ptr check as it was causing duplicates with the new one handled via the various record checks. Removed a duplicate txt record check, despite that it would not cause issues as they are within else ifs. Also cleared up some white space.

2014-02-17  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/check_dns.c: check_dns.c querytype additions, check
	corrections

	Additions of several query types, case insensitive query types, validation of type received vs requested.

	TODO: limit and validate TXT records to correct size per rfc standards.

	* plugins/utils.c, plugins/utils.h: utils.h, utils.c - Additions to
	change string case

	Adds strntolower() and strntoupper() to allow changing of string case when user input is incorrect or for comparison. These work on the given string in memory and do not return a new string that has been changed.

2014-02-14  abrist  <abrist@nagios.com>

	* NEWS: NEWS update

	* plugins/check_ntp_peer.c: check_ntp_peer - Added specific state output
	for each metric. It now should be easy to see which check caused the
	alert.

2014-02-13  abrist  <abrist@nagios.com>

	* plugins/check_gearman.c: Initial commit of (non-working as of yet)
	gearman plugin by Spenser.

	* configure.in, plugins/Makefile.am, plugins/check_uptime.c:
	check_uptime - now only supports linux, updated configure and make file

	* plugins/check_uptime.c: fixed up comments in check_uptime

	* plugins/Makefile.am: added mathlibs back to check dig

	* plugins/Makefile.am, plugins/check_uptime.c: added check_uptime

2013-10-01  Jan Wagner  <waja@cyconet.org>

	* THANKS.in, plugins/check_mysql.c: check_mysql: ignore authentication
	failure

	Just turning attached patch of github issue #1020 into a push request.

2014-02-05  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/check_dns.c: Authoritative bool and logic

	Flipped non_authoritative to be a logical use of true\false instead of inverse logic. Corrected use of -A so that it was respected properly and errors if non-auth responses are found.

2013-10-01  Jan Wagner  <waja@cyconet.org>

	* plugins/check_ssh.c: check_ssh: check protocol

	It would be useful to be able to detect the protocols supported by the remote
	ssh server to locate any using the insecure ssh v1 protocol. This patch
	attempts to match against the protocol string in the ssh response.

	Example:

	check_ssh -H my.host.com -P 2.0
	--
	Just turning attached patch of github issue #780 into a push request.
	(Closes #780)

2014-02-05  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/check_dns.c: Authoritative response change

	Altered output for authoritative message if no dns server was provided, in case of using -A without -s.

2014-01-23  Thomas Guyot-Sionnest  <dermoth@aei.ca>

	* NEWS, configure.in: Enable extra-opts by default

2014-02-05  abrist  <abrist@nagios.com>

	* plugins/check_ntp_time.c: check_ntp_time.c - Cleaned up usage and
	added a note

2013-10-01  Jan Wagner  <waja@cyconet.org>

	* plugins/check_dns.c: check_dns: add AAAA,MX,TXT,SRV,CNAME

	Just turning attached patch of github issue #894 into a push request.

	* THANKS.in, plugins/check_ntp_time.c: check_ntp_time: adding offset
	option

	Just turning attached patch of github issue #907 into a push request.

2014-01-31  Thomas Guyot-Sionnest  <dermoth@aei.ca>

	* plugins/tests/check_snmp.t: Fix snmpd tests

2013-10-01  Jan Wagner  <waja@cyconet.org>

	* THANKS.in, plugins/sslutils.c: sslutils: expire time in local timezone
	format

	Just turning attached patch of github issue #840 into a push request.

2014-02-05  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/tests/check_snmp.t: Revert "Fix snmpd tests"

	This reverts commit 8909c81b950159b8d39441c90c4acf6a49f9fbe8.

2013-10-21  awiddersheim  <awiddersheim@hotmail.com>

	* configure.in: Fix PATH_TO_QMAIL_QSTAT in configure

	When configuring PATH_TO_QMAIL_QSTAT the PATH_TO_MAILQ would get applied instead after tests had passed. Also made --with-qmail-qstat-command a configuration option.

2014-01-31  Thomas Guyot-Sionnest  <dermoth@aei.ca>

	* plugins/tests/check_procs.t: Add perfdata in check_proc output tests

	* plugins/tests/check_snmp.t: Fix snmpd tests

	* plugins/tests/check_snmp.t, plugins/tests/check_snmp_agent.pl: Add
	tests for negative thresholds in check_snmp

	Next commit will work on fixing these!

2014-02-01  Spenser Reinhardt  <sreinhardt@nagios.com>

	* lib/tests/test_utils.c: Add tests for negative thresholds in
	test_utils

	Thanks dermoth - https://github.com/monitoring-plugins/monitoring-plugins/commit/bc92b9392009766441c67b06398e6925cc45c2aa

	* plugins/check_swap.c: Update check_swap usage

	Update and clarify check_swap usage. - Thanks dermoth (https://github.com/monitoring-plugins/monitoring-plugins/commit/813c02364f55c14fef396d83eed52874d8e16fb2)

	* lib/utils_base.c, lib/utils_base.h, plugins/negate.c: Move negate'
	translate_state() to utils_base.h

	Also changed to strcasecmp, may need additions from gnulib. - Thanks dermoth (https://github.com/monitoring-plugins/monitoring-plugins/commit/8fc9e5ac4b3a699f8d6b78471829692f0c92d5fa)

	* lib/tests/test_utils.c: Add tests for negative thresholds in
	test_utils

	Thanks Dermoth - (https://github.com/monitoring-plugins/monitoring-plugins/commit/bc92b9392009766441c67b06398e6925cc45c2aa)

	* lib/tests/test_utils.c, lib/utils_base.c, lib/utils_base.h: Ignore
	state directory in suid plugins

	If a plugin still has suid privileges at the time np_enable_state() is
	called, the MP_STATE_DIRECTORY environment will be ignored.

	There is no need for a NEWS entry as no suid plugins use np_enable_state
	yet. - Thanks dermoth (https://github.com/monitoring-plugins/monitoring-plugins/commit/68fe713335183dd37ced78821711c2a3f1ea2cc7)

2014-01-31  Thomas Guyot-Sionnest  <dermoth@aei.ca>

	* NPTest.pm, plugins/tests/check_procs.t, test.pl.in: Enable tests in
	tests/ subdirs

2013-11-15  Stephane Lapie  <stephane.lapie@asahinet.com>

	* lib/utils_base.h, plugins/check_snmp.c: Handle negative values
	properly with check_snmp

	check_snmp becomes capable of evaluating negative values properly,
	but it might be returning CRITICALs where it used to return OK and was ignored,
	if a negative value turns out to actually be a valid value.
	If negative values are valid, this can be worked around,
	by adding "~:" to the warning/critical threshold : 100 -> ~:100

2014-01-30  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_dig.c: check_dig: Declare variable at the top

	C89 doesn't allow variable declarations to be intermingled with code.

2014-01-30  Jan Wagner  <waja@cyconet.org>

	* plugins/check_dig.c: check_dig: timeout_interval is a global variable
	which is already set to 10 seconds

2014-01-30  abrist  <abrist@nagios.com>

	* plugins/Makefile.am, plugins/check_dig.c: Added ceil back to check_dig
	timeout
	This requires mathlibs, so that was added to the makefile.
	Removed a duplicate help output for timeout as well.

2013-09-30  Jan Wagner  <waja@cyconet.org>

	* plugins/check_snmp.c: check_snmp: small improvement by anonymous
	submission

	- response should not start with the delimiter
	- OID response value taken into account

	Closes issue #1029
	Closes push request 1173

2014-01-29  abrist  <abrist@nagios.com>

	* plugins/check_dig.c: small wording change

	* NEWS: updated NEWS

	* plugins/check_dig.c: Previous check_dig patch requires MATHLIBS and
	can cause issues if the
	total timeout after division (with ceil) is larger than the timeout.

	floor() is a better option, but that can be handled with INTs by just
	dropping the remainer. This removes the reliance on MATHLIBS and
	also provides a test for computed timeout values less than 1.

	Also some usage and help additions.

2013-09-30  Jan Wagner  <waja@cyconet.org>

	* THANKS.in, plugins/check_dig.c: check_dig: patch to make dig honor -t
	option

	Just turning attached patch of github issue #774 into a push request

2014-01-29  abrist  <abrist@nagios.com>

	* plugins-scripts/check_mailq.pl: Adding nullmailer support to
	check_mailq submitted by Luca Corti

	* NEWS: updated NEWS

2013-10-01  Jan Wagner  <waja@cyconet.org>

	* THANKS.in: check_mailq: adding nullmailer support

	Adding nullmailer support to check_mailq submitted by Luca Corti

	Closes: #740
	Closes: #1189

2014-01-29  Jan Wagner  <waja@cyconet.org>

	* plugins-scripts/check_mailq.pl: Just fixing small typo in comment

2014-01-29  Thomas Guyot-Sionnest  <dermoth@aei.ca>

	* plugins/t/negate.t: Typo

2014-01-28  Thomas Guyot-Sionnest  <dermoth@aei.ca>

	* plugins/t/check_mysql.t: Clarify check_mysql test prompts

	Also default to "-u test -ptest" which are default MySQL accounts only
	missing the prescribed privileges.

	The database is no longer specified as it is not used.
	If wanted is should be its own parameter/tests.

2013-10-05  awiddersheim  <awiddersheim@hotmail.com>

	* plugins/check_mysql_query.c: Add additional usage data for new options
	in check_mysql_query.c

	* plugins/check_mysql_query.c: Add ability to read from options file to
	check_mysql_query.c

	This is the same code that was added to check_mysql.c in 5ed7194.

2014-01-27  Thomas Guyot-Sionnest  <dermoth@aei.ca>

	* NEWS, THANKS.in, plugins/check_dig.c: check_dig: fix wrong IPv6
	arguments order

2014-01-28  abrist  <abrist@nagios.com>

	* plugins/check_disk.c: check_disk: precise the help output - thanks
	waja

2014-01-27  abrist  <abrist@nagios.com>

	* plugins/t/check_hpjd.t: added tests for check_hpjd port options

	* NEWS: Updated NEWS

2014-01-24  Thomas Guyot-Sionnest  <dermoth@aei.ca>

	* lib/parse_ini.c: Use access() instead of stat() in parse_ini.c

2014-01-26  Thomas Guyot-Sionnest  <dermoth@aei.ca>

	* NPTest.pm: Fix tests with an empty NPTest.cache file

	The NPTest.cache cannot be loaded when empty, and this prevents
	getting the data and populating the file. This patch skips the file when
	empty as if it didn't exist.

2014-01-25  Thomas Guyot-Sionnest  <dermoth@aei.ca>

	* lib/parse_ini.c: Clean up parse_ini error messages, add missing
	newlines

2014-01-24  abrist  <abrist@nagios.com>

	* plugins-scripts/t/check_file_age.t: Added test for check_file_age.pl
	option --ignore-missing - thanks waja.

2014-01-24  Trevor McDonald  <tmcdonald@nagios.com>

	* plugins/check_disk.c: Fixed up help output and consistency in naming

2014-01-24  abrist  <abrist@nagios.com>

	* plugins/check_ntp_time.c: Missed adding the compiler define changes in
	check_ntp_time when it was added to check_ntp.c. Thanks for the heads up
	waja.

	* NEWS, plugins/check_hpjd.c: Added check_hpjd port option to news and
	clarified the port usage error.

	* plugins/check_hpjd.c: check_hpjd - Added a switch for port
	specification. Defaults to 161.

2014-01-24  Thomas Guyot-Sionnest  <dermoth@aei.ca>

	* lib/tests/test_base64.t, lib/tests/test_cmd.t, lib/tests/test_disk.t,
	lib/tests/test_ini1.t, lib/tests/test_ini3.t, lib/tests/test_opts1.t,
	lib/tests/test_opts2.t, lib/tests/test_opts3.t, lib/tests/test_tcp.t,
	lib/tests/test_utils.t: Update comments

	1. libtab is now bundled, so suggest to enable it rather than install it
	2. "parse-ini" feature has been called "extra-opts"

2014-01-24  abrist  <abrist@nagios.com>

	* plugins/utils.h: Avoid warnings on empty printf statements - Ricardo
	Maraschini

2014-01-24  Trevor McDonald  <tmcdonald@nagios.com>

	* plugins/check_disk.c: Forgot to add switch to short and long usage

2014-01-23  abrist  <abrist@nagios.com>

	* NEWS: updated news

2014-01-23  Trevor McDonald  <tmcdonald@nagios.com>

	* plugins/check_disk.c: Added newline switch for multi-line output of
	drives

2014-01-22  abrist  <abrist@nagios.com>

	* plugins/check_ntp.c: check_ntp_time: Bug in average calculation fixed.
	Thanks to waja and Larsi

2014-01-22  Spenser Reinhardt  <sreinhardt@nagios.com>

	* THANKS.in: THANKS.in update

2013-09-29  Jan Wagner  <waja@cyconet.org>

	* plugins/check_ide_smart.c: Fix smart attribute comparation

	This is a patch for github issue #1040

2013-09-30  Jan Wagner  <waja@cyconet.org>

	* plugins/check_disk.c: check_disk: precise the help output

	Fixing issue #1118

2014-01-22  abrist  <abrist@nagios.com>

	* THANKS.in: Geoff Oakham was not included in teh imported patch from
	MP. Added to THANKS.in

2013-09-29  Jan Wagner  <waja@cyconet.org>

	* plugins/check_ping.c: check_ping: Fixing "time of day goes back"

	Just turning attached patch of github issue #809 into a push request.

2014-01-22  abrist  <abrist@nagios.com>

	* THANKS.in: Missed the addition to THANKS.in for Oskar Liljeblad
	through the revert.

	* plugins/check_nt.c: Added perfdata to check_nt. New -l options -
	seconds|minutes|hours|days.

2013-09-30  Jan Wagner  <waja@cyconet.org>

	* THANKS.in, plugins-scripts/check_ifstatus.pl: check_ifstatus: perfdata
	bug

	Just turning attached patch of github issue #721 into a push request

2014-01-22  abrist  <abrist@nagios.com>

	* NEWS: Updated NEWS

	* THANKS.in, plugins/check_nt.c: Revert "check_nt: add UPTIME to
	perfdata"

	Decided to add options for the time unit for the perfdata.
	This reverts commit f435b5740c7ea2e5c97d84dc4a303ab7f333714c.

	* plugins-scripts/check_file_age.pl,
	plugins-scripts/check_ifoperstatus.pl,
	plugins-scripts/check_ifstatus.pl, plugins-scripts/check_mailq.pl,
	plugins-scripts/check_mssql.pl: Updated FSF address in perl scripts.
	thanks for the heads up github user lrupp

2014-01-21  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/check_ide_smart.c: check_ide_smart.c: Default to nagios style
	output

	Per M-P tracker issue #1224 created by dermoth. Check_ide_smart plugin should default to the nagios style output, but leave -n flag as optional with depricated message.
	This is now default behavior, and may be altered shortly to add the previous default as an optional flag. - SR

2013-10-01  Jan Wagner  <waja@cyconet.org>

	* THANKS.in, plugins/check_nt.c: check_nt: add UPTIME to perfdata

	Just turning attached patch of github issue #1024 into a push request.

2014-01-21  abrist  <abrist@nagios.com>

	* plugins/check_swap.c: Added check for total_swap_mb == 0, and if
	present, sets used to 100% and changes status output in this case for
	readability

2013-10-01  Jan Wagner  <waja@cyconet.org>

	* plugins-scripts/check_file_age.pl: check_file_age: support for
	--ignore-missing

	Just turning attached patch of github issue #989 into a push request.

2014-01-21  abrist  <abrist@nagios.com>

	* NPTest.pm: Applying NPTest.pm patch (fix for unconfigured variables)
	from github
	user dermouth.

2014-01-20  Spenser Reinhardt  <sreinhardt@nagios.com>

	* plugins/check_apt.c, plugins/check_disk.c, plugins/check_procs.c,
	plugins/negate.c: plugins/*.c: Non-network timeout changes

	Changes to non-network checks for clarity on timeout value. Adapted from pull request #1209 on M-P tracker from user awiddersheim.
	Files: check_apt.c, check_disk.c, check_procs.c, negate.c

	* plugins/utils.h: Addition of plugin timeout msg.

	Addition of timeout message for non-network plugins(UT_PLUG_TIMEOUT), and alteration of UT_TIMEOUT to UT_CONN_TIMEOUT for networked checks. Alteration of pull request #1209 from M-P tracker by user awiddersheim.

	* plugins/check_apt.c, plugins/check_by_ssh.c, plugins/check_dbi.c,
	plugins/check_dig.c, plugins/check_disk.c, plugins/check_dns.c,
	plugins/check_game.c, plugins/check_http.c, plugins/check_ldap.c,
	plugins/check_ntp.c, plugins/check_ntp_peer.c, plugins/check_ntp_time.c,
	plugins/check_nwstat.c, plugins/check_overcr.c, plugins/check_pgsql.c,
	plugins/check_ping.c, plugins/check_procs.c, plugins/check_radius.c,
	plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c,
	plugins/check_ssh.c, plugins/check_tcp.c, plugins/check_time.c,
	plugins/check_ups.c, plugins/negate.c: plugins/*.c: Alterations for
	timeout messages.

	.c file changes for misleading timeout messages in help functions. Solution to pull request #1209 from M-P tracker by awiddersheim.

	Files: plugins/check_apt.c, plugins/check_by_ssh.c, plugins/check_dbi.c, plugins/check_dig.c, plugins/check_disk.c, plugins/check_dns.c, plugins/check_game.c, plugins/check_http.c, plugins/check_ldap.c, plugins/check_ntp.c, plugins/check_ntp_peer.c, plugins/check_ntp_time.c, plugins/check_nwstat.c, plugins/check_overcr.c, plugins/check_pgsql.c, plugins/check_ping.c, plugins/check_procs.c, plugins/check_radius.c, plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c, plugins/check_ssh.c, plugins/check_tcp.c, plugins/check_time.c, plugins/check_ups.c, plugins/negate.c

	* plugins/check_mysql_query.c: check_mysql_query.c: Add performance data
	to return string

	    Slight alteration to minimize code changes via awiddersheim in issue #1202 from M-P tracker. - SR

2014-01-13  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS, plugins-scripts/check_log.sh, plugins-scripts/utils.sh.in:
	utils.sh: Don't define $ECHO

	In utils.sh, $ECHO was set to printf(1) or echo(1), depending on whether
	printf(1) is available in /usr/bin.  This resulted in various bugs, as
	printf(1) cannot be used in the same way as echo(1).

	Thanks to Trevor Hemsley for reporting one of those bugs: If $ECHO was
	set to printf(1), check_log stumbled when reporting a log line with a
	"%" character.

2014-01-10  Jan Wagner  <waja@cyconet.org>

	* plugins/check_ssh.c: check_ssh: Get rid of sshd: Read from socket
	failed: Connection reset by peer

	This fix was grabbed from FreeBSD downstream and provided by Dmitry Sivachenko.
	Fixes Debian Bug #734811

2014-01-10  Holger Weiss  <holger@zedat.fu-berlin.de>

	* configure.in: Call AC_CONFIG_HEADERS

	AM_CONFIG_HEADER is deprecated.

2013-12-27  Sven Nierlein  <Sven.Nierlein@consol.de>

	* plugins/t/check_http.t, plugins/t/check_tcp.t: fixed tests when there
	is no direct internet connection

	 - check http had wrong number of skipped tests
	 - check tcp did not use the 'no internet' flag at all

2013-12-20  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS: Mention fix for check_http's -S option

	Closes #1220.

2013-12-20  Joseph Gooch  <mrwizard@k12system.com>

	* plugins/check_http.c: Fix for SSL Versioning when multiple options are
	used.

	If you specify -S1 -C 30... The -C option will reset the ssl_version to 0.  This is not a good thing.

	Instead we set the default to 0 and retain the version when later args are passed.

2013-12-16  Damian Myerscough  <Damian.Myerscough@gmail.com>

	* nagios-plugins.spec.in: Fix #1217 spec file fails to build due to
	duplicate files and unused files

2013-12-05  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_http.c: check_http: Don't let "-N" expect an argument

	Fix the problem that check_http's "-N" option expects an argument
	although it shouldn't.  The corresponding long option ("--no-body")
	wasn't affected.

	This error was introduced in ee3c4014d511e105489b081390636cacd4c53e3f.
	Thanks to Kerry Hughes for reporting it on the devel@ list.

2013-11-20  Sven Nierlein  <Sven.Nierlein@consol.de>

	* plugins/t/check_procs.t: make testing check_proc not rely on bash

	also grandparents make this test fail but is not a problem in real live.
	NPTest->testCmd uses "sh -c" already, so there is no need to do that twice.

2013-11-20  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS: Add WARNING regarding the check_procs change

	Closes #1205.

2013-10-18  Anton Lofgren  <alofgren@op5.com>

	* plugins/check_procs.c, plugins/t/check_procs.t: check_procs: ignore
	plugin parent process

	This fixes an issue that appears when running check_procs over NRPE,
	where the default shell is configured to (for example) dash, as is the
	case on Debian.

	dash (and tcsh, and mksh, and probably others), when invoked with -c forks an additional process
	to execute the argument string. Contrast this with bash, which does not
	do this, provided that the argument string simply can be exec()'d as-is.

	To demonstrate:
	$ bash -c pstree
	init─┬ ..
	    ...
		├─sshd─-─sshd───pstree

	versus
	$ dash -c pstree
	init─┬ ..
	    ...
		├─sshd─-─sshd───dash───pstree

	The consequence of this fork is that the following invocation:
	    /opt/plugins/check_procs -a init

	will result in this output:

	    PROCS OK: 2 processes with args 'init' | processes=2;;;0;

	because the check_procs, in addition to finding the actual init process,
	finds its parent shell as well.

	This example is a bit contrived, but I think it illustrates the
	point.

	This wouldn't really be a problem, and normally isn't, if it weren't
	for the fact that NRPE uses a call to popen() which does exactly the
	above (executes '/bin/sh -c ...'), causing inconsistent behaviour
	between distributions and much confusion for end users.

	The argument may be made that the dash process spawned by NRPE is just a
	process like any other, and should therefore be included in the process
	count just like any other. However, this is not very intuitive, because
	of the previously mentioned inconsistencies.

	The argument might also well be made that we're _never_ interested in the
	immediate ancestor of the plugin, and while it is unknown how many
	installations have already made the necessary modifications to their
	setups to make up for the fact that the plugin behaves the way it does,
	it is not deemed worthwhile to entertain such workarounds.

	Thus, this patch ignores the parent process.

	See also these bug reports:
	http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=626913
	http://sourceforge.net/p/nagiosplug/bugs/512/
	https://github.com/nagios-plugins/nagios-plugins/issues/999
	https://bugs.op5.com/view.php?id=4398

2013-11-05  Holger Weiss  <holger@zedat.fu-berlin.de>

	* README: Change GitHub URL

	Link to our main project home page on GitHub instead of referencing only
	the "nagios-plugins.git" repository.  (And put the URL on its own line.)

	* README: Clarify license notice

	Note that we permit redistribution and modification under the terms of
	future GPL versions, and state the exclusion of warranty.  This is in
	accordance with the license notices at the top of our source files.

2013-10-28  Holger Weiss  <holger@zedat.fu-berlin.de>

	* FAQ, README, SUPPORT, configure.in, nagios-plugins.spec.in,
	pkg/solaris/pkginfo.in, plugins-root/check_dhcp.c,
	plugins-root/check_icmp.c, plugins-scripts/check_ifoperstatus.pl,
	plugins-scripts/check_mssql.pl, plugins/check_apt.c,
	plugins/check_by_ssh.c, plugins/check_cluster.c, plugins/check_dbi.c,
	plugins/check_dig.c, plugins/check_disk.c, plugins/check_dns.c,
	plugins/check_dummy.c, plugins/check_fping.c, plugins/check_game.c,
	plugins/check_hpjd.c, plugins/check_http.c, plugins/check_ide_smart.c,
	plugins/check_ldap.c, plugins/check_load.c, plugins/check_mrtg.c,
	plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	plugins/check_mysql_query.c, plugins/check_nagios.c, plugins/check_nt.c,
	plugins/check_ntp.c, plugins/check_ntp_peer.c, plugins/check_ntp_time.c,
	plugins/check_nwstat.c, plugins/check_overcr.c, plugins/check_pgsql.c,
	plugins/check_ping.c, plugins/check_procs.c, plugins/check_radius.c,
	plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c,
	plugins/check_ssh.c, plugins/check_swap.c, plugins/check_tcp.c,
	plugins/check_time.c, plugins/check_ups.c, plugins/check_users.c,
	plugins/negate.c, plugins/urlize.c, plugins/utils.h, po/Makevars,
	po/de.po, po/fr.po, po/nagios-plugins.pot: Update URLs and mailing list
	addresses

	Now that we moved our infrastructure away from SourceForge, update the
	URLs and mailing list addresses accordingly.

	* doc/developer-guidelines.sgml: developer-guidelines.sgml: Fix URL

	Fix the Test::Simple tutorial URL.

	* doc/developer-guidelines.sgml: developer-guidelines.sgml: Remove
	Tinderbox link

	We don't run a Tinderbox instance anymore.  (Noted by "zathras" on IRC.)

2013-10-22  Jan Wagner  <waja@cyconet.org>

	* plugins-scripts/check_oracle.sh: Just using the posix conform extended
	regular expression grep

	* plugins-scripts/check_oracle.sh: check_oracle: --db +ASM bad string
	matching
	check_oracle doesn't correctly check for pmon +ASM instance from at least Oracle 11 as the pmon proces was renamed from ora_pmon_.* to asm_pmon_.*.
	--
	Just turning attached patch of github issue #1207 into a push request.
	(Closes #1207)

2013-10-08  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/utils.h: Update web site URLs

	The Nagios Plugin Development Guidelines and the Extra-Opts
	documentation were moved to our new project server.

2013-10-03  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS: Mention "contrib" removal

	Add a note regarding the removal of the "contrib" directory to the NEWS
	file.  This note is missing from the NEWS file shipped with the 1.5
	release, though.

2013-10-02  Holger Wei�  <holger@zedat.fu-berlin.de>

	* NEWS, NP-VERSION-GEN, configure.in: Prepare for the 1.5 release

2013-10-02  Holger Weiss  <holger@zedat.fu-berlin.de>

	* FAQ: Update CVS references

	We moved from CVS to Git.

2013-10-02  Jan Wagner  <waja@cyconet.org>

	* doc/LEAVERS, doc/NEW_STARTERS, tools/README: tools: Update CVS
	references

	We moved our stuff from CVS/SourceForge to Git/GitHub.

	* doc/LEAVERS, doc/NEW_STARTERS: doc: Updated CVS references

	We moved our stuff from CVS/SourceForge to Git/GitHub.

2013-10-02  Holger Weiss  <holger@zedat.fu-berlin.de>

	* README: Update URLs

	We moved the Nagios Plugins site from SourceForge to our project server.

	* SUPPORT: Update CVS/SourceForge references

	We moved our stuff from CVS/SourceForge to Git/GitHub.

2013-09-30  Holger Weiss  <holger@zedat.fu-berlin.de>

	* THANKS.in: Update THANKS file

	Add all new Git commit authors to the THANKS.in file.

	* AUTHORS: Tiny cosmetic change

	* AUTHORS: Add Jan Wagner to the list of AUTHORS

	* AUTHORS: Add Eric Stanley to the list of AUTHORS

2013-09-29  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/t/check_dig.t, plugins/t/check_http.t: Change default host
	names for some tests

	Testing "nagiosplugins.org" will currently not work.

2013-09-28  Holger Weiss  <holger@zedat.fu-berlin.de>

	* .gitignore, ChangeLog, Makefile.am, tools/generate-change-log: Add
	tools/generate-change-log

	Add the tools/generate-change-log script for auto-generating the
	ChangeLog file from the Git history when running "make dist".

2013-09-27  Holger Weiss  <holger@zedat.fu-berlin.de>

	* tools/mail_error, tools/np_build_from_sf, tools/sfsnapshot,
	tools/sfsnapshot-upload, tools/sfsnapshotgit, tools/sfupload,
	tools/sfwebcron, tools/sync_website, tools/update_man_pages: tools:
	Remove Drupal/SourceForge scripts

	We moved our web site away from Drupal and the snapshots/guidelines away
	from SourceForge.  The new infrastructure scripts will be maintained in
	a separate repository together with the Markdown source of the new web
	site.

	* tools/git2svn.pl: Remove tools/git2svn.pl

	We no longer mirror out Git repositories into Subversion.

2013-09-26  awiddersheim  <awiddersheim@hotmail.com>

	* plugins/check_http.c: Die on SSL initialization errors

	Fixes issue where if an SSL initialization error occurs on a redirect
	using -f follow the plugin still returns an OK state.

	Closes #1159.

2013-09-25  Holger Weiss  <holger@zedat.fu-berlin.de>

	* doc/developer-guidelines.sgml: developer-guidelines.sgml: Normalize
	spelling

	- Write "plugin" instead of "plug-in".
	- Write "development guidelines" instead of "developer guidelines"
	- Capitalize "Nagios Plugin Development Guidelines".

2013-09-22  Holger Weiss  <holger@zedat.fu-berlin.de>

	* README: Minor cosmetic change

2013-09-20  Holger Weiss  <holger@zedat.fu-berlin.de>

	* README: Apply another few cosmetic changes

	* README.md: Add symlink: README.md -> README

	Add a symlink so that GitHub renders the README file as Markdown.

	* README: Use code blocks for commands

	* BUGS, Makefile.am, README: Remove the BUGS file

	The BUGS file wasn't maintained properly anymore.  And doing so makes no
	sense.  That's what the bug tracker is for.

	* README: Convert to Markdown and apply cleanups

	Use the Markdown format for the README file and apply various minor
	cosmetic changes.

	* README: Remove outdated information

2013-09-19  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_pgsql.c: check_pgsql: Don't exit UNKNOWN instead of OK

	Since commit 912df3ef9b188c82893dace1e9b56c42a558fdba, check_pgsql
	exited UNKNOWN instead of OK if the new --query option was *not*
	specified.  This bug is fixed now.

2013-09-18  Sven Nierlein  <Sven.Nierlein@consol.de>

	* NPTest.pm: tests: only write cache file if it changed

	Tests sometimes fila when running multiple parallel tests using the
	same cache file because it is written everytime a test parameter
	is read. Since there is no locking, this might fail from time to time.

2013-09-17  Sven Nierlein  <Sven.Nierlein@consol.de>

	* plugins/t/check_disk.t: check_disk: die with a reasonable error
	message if one mount point hits average value

	* plugins-root/check_dhcp.c: check_dhcp: fix mac address and interface
	number detection on solaris

	newer (or x86) solaris implementations have interface names like e1000g0
	which includes numbers. So we reverse the interface number detection to
	get the last number, instead of the first number.

	* plugins-root/t/check_dhcp.t: check_dhcp: fix tests interface detection

	* plugins/t/check_ssh.t: check_ssh: added test case

	* plugins/t/check_by_ssh.t: check_by_ssh: tests expand key and config
	path

	some systems do not expand the path automatically.

	* plugins/t/check_udp.t: check_udp: skip tests which rely on udp listen

	solaris netcat does not listen in udp mode due to
	http://sourceforge.net/p/netcat/bugs/27/

2013-09-17  Sven Nierlein  <sven@nierlein.de>

	* plugins-scripts/t/check_disk_smb.t: check_disk_smb: fixed number of
	tests to skip

2013-09-16  Sven Nierlein  <Sven.Nierlein@consol.de>

	* plugins/check_disk.c: check_disk: get_fs_usage hasn't been run if
	using groups

	the reason why it still worked sometimes was fsu_blocks beeing uninitialized
	which resulted in a true test sometimes.

	* plugins-scripts/check_disk_smb.pl: check_disk_smb: verify path to
	smbclient

	* plugins/t/check_procs.t: check_procs: fix test with sleeping processes

	at least on freebsd, there are a processes with state 'S', they always
	use two character status.

	* plugins/t/check_http.t: check_http: tests use supplied value if
	possible

	* plugins-root/t/check_dhcp.t: check_dhcp: fix tests for machines with
	default interace != eth0

2013-09-16  Sven Nierlein  <sven@nierlein.de>

	* NPTest.pm: tests: don't skip utils test

	* plugins-root/t/check_dhcp.t: check_dhcp test: skip subtests if no
	variable is set

2013-09-15  Sven Nierlein  <Sven.Nierlein@consol.de>

	* plugins-root/t/check_dhcp.t: check_dhcp: add test file

	* plugins-root/t/check_icmp.t: check_icmp: tests do not require sudo if
	run by root

	* plugins-root/Makefile.am: plugins-root: include t folder in release
	tarball

2013-09-15  Sven Nierlein  <sven@nierlein.de>

	* plugins/check_tcp.c: check_tcp: use receive timeout for checks that
	expect response

	if check_imap expects a string that never occurs, it currently waits forever
	because thats how the imap protocoll works. Use a receive timeout in that case
	so we can exit early with a proper error message.

2013-09-14  Sven Nierlein  <sven@consol.de>

	* plugins/t/check_ping.t: check_ping: increase test timeout

	freebsds ping takes a few seconds till it returns, so a 1 second timeout does
	not work for the test.

	* plugins/check_load.c: check_load: add alternative uptime syntax

	check_load parses load from the uptime command if no proc filesystem is available. Seems
	like there are at least 2 different uptime outputs.

	linux:
	 20:44:34 up 25 days,  2:07, 13 users,  load average: 0.13, 0.17, 0.22

	freebsd 8:
	 8:44PM  up  4:29, 1 user, load averages: 0.00, 0.00, 0.00

2013-09-14  Sven Nierlein  <Sven.Nierlein@consol.de>

	* plugins/t/check_udp.t: check_udp: try nc.traditional too

	nc.traditional is available on (at least) ubuntu systems and uses traditional nc syntax

2013-09-14  Sven Nierlein  <sven@consol.de>

	* NPTest.pm, plugins/t/check_dig.t, plugins/t/check_tcp.t: tests: move
	ipv6 detection into NPTest module

2013-09-13  Sven Nierlein  <Sven.Nierlein@consol.de>

	* plugins/t/check_udp.t: unified nc syntax

	older netcats do not understand -p, they expect host and port as additional argument.
	This is backwards compatibel to newer clients. Also support netcat instead of nc.

	* plugins/check_fping.c: fping: some fping versions set loss to 0% by
	mistake

	fping v2.4b2 returns
	10.99.0.1 : xmt/rcv/%loss = 0/0/0%
	for a failed host, so we assume the host is down if xmt is zero

	* NPTest.pm: NPTest: ensure all systems use same amount of whitespace

2013-09-12  Sven Nierlein  <Sven.Nierlein@consol.de>

	* plugins/check_snmp.c: check_snmp: add timeout handler befor running
	snmpget

	* plugins/t/check_tcp.t: check_tcp: only test ipv6 if ping6 works

	* NPTest.pm: tests: sort cached settings before save

	* NPTest.pm: tests: make sure tests don't hang

2013-09-12  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_tcp.c: check_tcp: Fix checks without --expect string

	Commit e8044713d41f5ef1d9ce814df4a079d8f92306b0 broke check_tcp checks
	without --expect string, this commit fixes that regression.

	* lib/tests/test_tcp.c, lib/utils_tcp.c: Minor cosmetic changes

	* lib/tests/test_tcp.c, lib/utils_tcp.c, lib/utils_tcp.h,
	plugins/check_tcp.c: check_tcp: Properly deal will partial recv(3)s

	The np_expect_match() function now returns one of three possible states
	instead of just TRUE or FALSE:

	- NP_MATCH_SUCCESS
	- NP_MATCH_FAILURE
	- NP_MATCH_RETRY

	The NP_MATCH_RETRY state indicates that matching might succeed if
	np_expect_match() is called with a longer input string.  This allows
	check_tcp to decide whether it makes sense to wait for additional data
	from the server.

	* lib/tests/test_tcp.c, lib/utils_tcp.c, lib/utils_tcp.h,
	plugins/check_tcp.c: Improve interface of np_expect_match() function

	Replace the three boolean parameters of lib/utils_tcp.c's
	np_expect_match() function with a single "flags" parameter.

2013-09-10  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/sslutils.c: Don't mark SSL_METHOD variable as "const"

	The SSL_CTX_new(3) function expects a non-"const" SSL_METHOD value.

	* plugins/netutils.c, plugins/netutils.h, plugins/sslutils.c,
	plugins/utils.c, plugins/utils.h: Move global variables from .h to .c
	files

	Simplify things by moving the definition of global variables into .c
	files, where they belong.

	* lib/utils_base.c, plugins/check_ide_smart.c, plugins/check_tcp.c,
	plugins/negate.c, plugins/runcmd.h: Fix GCC's
	-Wimplicit-function-declaration warnings

	Fix the issues found by GCC when the -Wimplicit-function-declaration
	flag is specified.

	* lib/tests/test_disk.c, plugins/check_http.c, plugins/check_procs.c:
	Fix GCC's -Wuninitialized warnings

	Fix the issues found by GCC when the -Wuninitialized flag is specified.

2013-09-10  juliopedreira  <julio.pedreira@gmail.com>

	* plugins/check_tcp.c: check_tcp: Don't close connection too early

	Closing the connection because the bytes received are less than the
	buffer size assumes that all the bytes will be received in one go.  This
	is not always true!

2013-09-10  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS, plugins/check_http.c:
	s/--proxy_authorization/--proxy-authorization/

	The check_http option "--proxy_authorization" is now called
	"--proxy-authorization" instead.  It was always documented this way, and
	we don't usually use underscores in option names.

2013-09-05  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_snmp.c: check_snmp: Initialize size_t value to 0, not
	NULL

	* build-aux/ltmain.sh, gl/m4/libtool.m4, gl/m4/ltoptions.m4,
	gl/m4/ltversion.m4, gl/m4/lt~obsolete.m4: Update bundled libtool files

	Import the current libtool version 2.4.2.

2013-09-04  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins-root/check_icmp.c: check_icmp: Minor whitespace/indentation
	fixes

	* plugins-root/check_icmp.c: check_icmp: Support "--help" and
	"--version"

	Let check_icmp provide "--help" and "--version" flags (in addition to
	"-h" and "-V"), just as the other plugins do.

2013-09-02  Holger Weiss  <holger@zedat.fu-berlin.de>

	* Makefile.am, contrib-reporting/process_perfdata.pl,
	contrib/README.TXT, contrib/aix/check_failed, contrib/aix/check_io,
	contrib/aix/check_kerberos, contrib/aix/check_queue,
	contrib/aix/pg_stat, contrib/check_adptraid.sh, contrib/check_apache.pl,
	contrib/check_apc_ups.pl, contrib/check_appletalk.pl,
	contrib/check_arping.pl, contrib/check_asterisk.pl,
	contrib/check_axis.sh, contrib/check_backup.pl,
	contrib/check_bgpstate.pl, contrib/check_breeze.pl,
	contrib/check_cluster.c, contrib/check_cluster2.README,
	contrib/check_cluster2.c, contrib/check_compaq_insight.pl,
	contrib/check_cpqarray.c, contrib/check_digitemp.pl,
	contrib/check_dlswcircuit.pl, contrib/check_dns_random.pl,
	contrib/check_email_loop.pl, contrib/check_fan_cpq_present,
	contrib/check_fan_fsc_present, contrib/check_flexlm.pl,
	contrib/check_frontpage, contrib/check_hltherm.c,
	contrib/check_hprsc.pl, contrib/check_hw.sh,
	contrib/check_ica_master_browser.pl,
	contrib/check_ica_metaframe_pub_apps.pl,
	contrib/check_ica_program_neigbourhood.pl,
	contrib/check_inodes-freebsd.pl, contrib/check_inodes.pl,
	contrib/check_ipxping.c, contrib/check_javaproc.pl,
	contrib/check_joy.sh, contrib/check_linux_raid.pl,
	contrib/check_lmmon.pl, contrib/check_log2.pl, contrib/check_lotus.pl,
	contrib/check_maxchannels.pl, contrib/check_maxwanstate.pl,
	contrib/check_mem.pl, contrib/check_ms_spooler.pl,
	contrib/check_mssql.sh, contrib/check_nagios.pl,
	contrib/check_nagios_db.pl, contrib/check_nagios_db_pg.pl,
	contrib/check_netapp.pl, contrib/check_nmap.py,
	contrib/check_ora_table_space.pl, contrib/check_oracle_instance.pl,
	contrib/check_oracle_tbs, contrib/check_pcpmetric.py,
	contrib/check_pfstate, contrib/check_qmailq.pl, contrib/check_rbl.c,
	contrib/check_remote_nagios_status.pl, contrib/check_rrd_data.pl,
	contrib/check_sap.sh, contrib/check_smart.pl, contrib/check_smb.sh,
	contrib/check_snmp_disk_monitor.pl, contrib/check_snmp_printer.pl,
	contrib/check_snmp_process_monitor.pl, contrib/check_snmp_procs.pl,
	contrib/check_sockets.pl, contrib/check_temp_cpq,
	contrib/check_temp_fsc, contrib/check_timeout.c,
	contrib/check_traceroute-pure_perl.pl, contrib/check_traceroute.pl,
	contrib/check_uptime.c, contrib/check_vcs.pl, contrib/check_wave.pl,
	contrib/check_wins.pl, contrib/checkciscotemp.pl, contrib/mrtgext.pl,
	contrib/nagios_sendim.pl, contrib/packet_utils.pm, contrib/rblcheck-dns,
	contrib/rblcheck-web, contrib/restrict.pl, contrib/sched_downtime.pl,
	contrib/tarballs/bowen-langley_plugins.tar.gz,
	contrib/tarballs/check_bgp-1.0.tar.gz,
	contrib/tarballs/check_radius.tar.gz,
	contrib/tarballs/check_traffic-0.91b.tar.gz,
	contrib/tarballs/fetchlog-0.94.tar.gz, contrib/urlize.pl,
	contrib/utils.py: Remove "contrib" plugins

	These days, sites such as "Nagios Exchange" are a much better place for
	publishing plugins not maintained by the Plugins Development Team.

	* command.cfg.in, configure.in: Remove the outdated "command.cfg" file

2013-08-27  Holger Weiss  <holger@zedat.fu-berlin.de>

	* doc/developer-guidelines.sgml: developer-guidelines.sgml: Update
	copyright year

	We touched the Development Guidelines this year.

	* NEWS: Mention that check_snmp now supports >8 OIDs

	Closes #37.

	* plugins/common.h: Partially revert "check_snmp: Close potential for
	using uninitialized memory"

	This reverts the changes to plugins/common.h applied by commit
	a20611d4357c3c3ebe0a62776a1642e7904c1410.

	- Clang defines __GNUC__.
	- The new name of the __attribute__ parameter was misleading.

	* plugins/check_snmp.c: check_snmp: Fix --help segfault

2013-08-26  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS: Mention new "check_disk -f" option

	Closes #22.

2013-08-23  Ton Voon  <ton.voon@opsera.com>

	* tools/build_perl_modules: Use own variable instead of ENV

	* perlmods/Makefile.am, perlmods/install_order,
	tools/build_perl_modules: Updated with last working copy of
	build_perl_modules used by Opsview

2013-08-23  Sven Nierlein  <Sven.Nierlein@consol.de>

	* perlmods/install_order, tools/build_perl_modules: perlmods: fixed
	install_order

	on older systems Module::Build is not available by default, therefore we have
	to change the order of installation.

2013-08-22  Holger Weiss  <holger@zedat.fu-berlin.de>

	* doc/developer-guidelines.sgml: developer-guidelines.sgml: Multiline
	output

	Document the multiline output format properly.

	Thanks to Jochen Bern for providing this patch.

2013-08-21  Holger Weiss  <holger@zedat.fu-berlin.de>

	* doc/developer-guidelines.sgml: developer-guidelines.sgml: Allow
	special value "U"

	Allow a literal "U" to be specified in place of an actual value within
	the performance data string.  An "U" corresponds to RRDtool's "UNKNOWN"
	value; i.e., it's meant to indicate that data acquisition failed for
	some reason.  PNP4Nagios already supports this extension.

2013-08-21  Sven Nierlein  <sven@nierlein.de>

	* doc/developer-guidelines.sgml: removed duplicate entry

	* plugins/t/check_tcp.t: fixed check_tcp test

	A check with thresholds 9000,1 must exit with warning if the certificate expires in less
	than 9000 but more than one day.

	* test.pl.in: no need to set verbose mode, thats what "make test-debug"
	is for

	* plugins/t/check_snmp.t: check_snmp: added threshold tests

2013-08-21  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_snmp.c: check_snmp: Fix support for inverse thresholds

	Commit bd782990566eec91b8312cfc2765a7e2bd9e67da reintroduced support for
	inverse threshold ranges such as "2:1", but it broke standard thresholds
	such as "1:2" (by converting this range into "1") or "1:" (by converting
	this range into "@:2").  This commit fixes those two bugs, plus an
	off-by-one error while computing the number of bytes to allocate when
	handling inverse thresholds (two additional bytes were allocated where
	three were required to hold '@' and ':' and '\0').  While at it, we also
	check whether malloc(3) succeeded.

2013-08-21  Ton Voon  <ton.voon@opsera.com>

	* perlmods/Class-Accessor-0.31.tar.gz,
	perlmods/Class-Accessor-0.34.tar.gz, perlmods/Config-Tiny-2.10.tar.gz,
	perlmods/Config-Tiny-2.14.tar.gz, perlmods/Math-Calc-Units-1.06.tar.gz,
	perlmods/Math-Calc-Units-1.07.tar.gz,
	perlmods/Module-Build-0.4007.tar.gz,
	perlmods/Module-Implementation-0.07.tar.gz,
	perlmods/Module-Metadata-1.000014.tar.gz,
	perlmods/Module-Runtime-0.013.tar.gz, perlmods/Perl-OSType-1.003.tar.gz,
	perlmods/Test-Simple-0.70.tar.gz, perlmods/Test-Simple-0.98.tar.gz,
	perlmods/Try-Tiny-0.18.tar.gz, perlmods/install_order,
	perlmods/parent-0.226.tar.gz, perlmods/version-0.9903.tar.gz,
	tools/build_perl_modules: Updated perl modules

2013-08-19  Holger Weiss  <holger@zedat.fu-berlin.de>

	* perlmods/Params-Validate-0.88.tar.gz,
	perlmods/Params-Validate-1.08.tar.gz, tools/build_perl_modules: Update
	the bundled Params::Validate module

	Building the old version fails with recent Perl releases:

	| Validate.xs: In function `get_type':
	| Validate.xs:208:5: error: duplicate case value
	| Validate.xs:205:5: error: previously used here

2013-08-20  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/sslutils.c: Set SSL_MODE_AUTO_RETRY flag

	We use OpenSSL (or GnuTLS) with blocking semantics, and we don't want
	SSL_read(3) or SSL_write(3) calls to return SSL_ERROR_WANT_READ or
	SSL_ERROR_WANT_WRITE (see #3614716).

	* contrib/check_http-with-client-certificate.c: Ditch
	contrib/check_http-with-client-certificate.c

	The standard check_http plugin now supports client certificate
	authentication.

	* .gitignore: Add new Gnulib files to .gitignore

	* configure.in: Check for who(1) only if utmpx(5) isn't available

	The who(1) command is only called by check_users if the system doesn't
	provide an utmpx(5) interface.

	* configure.in, plugins/Makefile.am, plugins/check_users.c: check_users:
	Use utmpx(5) only if available

	For systems that don't provide an utmpx(5) interface, restore the code
	that was replaced in commit 3e622f3a47bc7d31f22513a79892c3c52febd2d3.

2013-08-20  Sven Nierlein  <Sven.Nierlein@consol.de>

	* lib/utils_base.c, plugins/common.h: added missing header to fix build
	on freebsd

	* po/Makefile.in.in: changed obsolete automake macro

2013-08-20  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_ide_smart.c: check_ide_smart: "__linux__" instead of
	"linux"

	C compilers in standards compliance mode will not define "linux", as it
	doesn't begin with an underscore.

	* NEWS, THANKS.in, configure.in, plugins/check_ide_smart.c:
	check_ide_smart: Add support for NetBSD

	Thanks to Emmanuel Dreyfus for providing the patch.

2013-08-19  Holger Weiss  <holger@zedat.fu-berlin.de>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: Replace
	Gnulib's "getopt" module with "getopt-gnu"

	The "getopt" module is marked as deprecated, these days we're supposed
	to choose either "getopt-posix" or "getopt-gnu".

	* build-aux/config.rpath, build-aux/snippet/_Noreturn.h,
	build-aux/snippet/arg-nonnull.h, build-aux/snippet/c++defs.h,
	build-aux/snippet/warn-on-use.h, gl/Makefile.am, gl/alignof.h,
	gl/alloca.in.h, gl/arpa_inet.in.h, gl/asnprintf.c, gl/asprintf.c,
	gl/base64.c, gl/base64.h, gl/basename-lgpl.c, gl/basename.c, gl/btowc.c,
	gl/c-strtod.c, gl/c-strtod.h, gl/cloexec.c, gl/cloexec.h,
	gl/close-hook.c, gl/close-hook.h, gl/config.charset, gl/dirname-lgpl.c,
	gl/dirname.c, gl/dirname.h, gl/dosname.h, gl/dup-safer.c, gl/dup2.c,
	gl/errno.in.h, gl/error.c, gl/error.h, gl/exitfail.c, gl/exitfail.h,
	gl/fcntl--.h, gl/fcntl-safer.h, gl/fcntl.c, gl/fcntl.in.h, gl/fd-hook.c,
	gl/fd-hook.h, gl/fd-safer.c, gl/float+.h, gl/float.c, gl/float.in.h,
	gl/floor.c, gl/floorf.c, gl/fsusage.c, gl/fsusage.h, gl/full-read.c,
	gl/full-read.h, gl/full-write.c, gl/full-write.h, gl/gai_strerror.c,
	gl/getaddrinfo.c, gl/getdtablesize.c, gl/gethostname.c, gl/getloadavg.c,
	gl/getopt.c, gl/getopt.in.h, gl/getopt1.c, gl/getopt_int.h,
	gl/gettext.h, gl/glthread/lock.c, gl/glthread/lock.h,
	gl/glthread/threadlib.c, gl/inet_ntop.c, gl/intprops.h, gl/itold.c,
	gl/langinfo.in.h, gl/localcharset.c, gl/localcharset.h, gl/locale.in.h,
	gl/localeconv.c, gl/m4/00gnulib.m4, gl/m4/alloca.m4,
	gl/m4/arpa_inet_h.m4, gl/m4/asm-underscore.m4, gl/m4/base64.m4,
	gl/m4/btowc.m4, gl/m4/c-strtod.m4, gl/m4/codeset.m4,
	gl/m4/configmake.m4, gl/m4/dirname.m4, gl/m4/dos.m4,
	gl/m4/double-slash-root.m4, gl/m4/dup2.m4, gl/m4/eealloc.m4,
	gl/m4/environ.m4, gl/m4/errno_h.m4, gl/m4/error.m4, gl/m4/exponentd.m4,
	gl/m4/extensions.m4, gl/m4/extern-inline.m4, gl/m4/fcntl-o.m4,
	gl/m4/fcntl-safer.m4, gl/m4/fcntl.m4, gl/m4/fcntl_h.m4,
	gl/m4/float_h.m4, gl/m4/floorf.m4, gl/m4/fstypename.m4,
	gl/m4/fsusage.m4, gl/m4/getaddrinfo.m4, gl/m4/getdtablesize.m4,
	gl/m4/gethostname.m4, gl/m4/getloadavg.m4, gl/m4/getopt.m4,
	gl/m4/gettext.m4, gl/m4/glibc2.m4, gl/m4/glibc21.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4,
	gl/m4/gnulib-tool.m4, gl/m4/hostent.m4, gl/m4/iconv.m4,
	gl/m4/include_next.m4, gl/m4/inet_ntop.m4, gl/m4/inline.m4,
	gl/m4/intdiv0.m4, gl/m4/intl.m4, gl/m4/intldir.m4, gl/m4/intlmacosx.m4,
	gl/m4/intmax.m4, gl/m4/intmax_t.m4, gl/m4/inttypes-pri.m4,
	gl/m4/inttypes_h.m4, gl/m4/langinfo_h.m4, gl/m4/largefile.m4,
	gl/m4/lcmessage.m4, gl/m4/lib-ld.m4, gl/m4/lib-link.m4,
	gl/m4/lib-prefix.m4, gl/m4/localcharset.m4, gl/m4/locale-fr.m4,
	gl/m4/locale-ja.m4, gl/m4/locale-zh.m4, gl/m4/locale_h.m4,
	gl/m4/localeconv.m4, gl/m4/lock.m4, gl/m4/longlong.m4,
	gl/m4/ls-mntd-fs.m4, gl/m4/malloc.m4, gl/m4/malloca.m4, gl/m4/math_h.m4,
	gl/m4/mbrtowc.m4, gl/m4/mbsinit.m4, gl/m4/mbstate_t.m4, gl/m4/mbtowc.m4,
	gl/m4/memchr.m4, gl/m4/mktime.m4, gl/m4/mmap-anon.m4, gl/m4/mode_t.m4,
	gl/m4/mountlist.m4, gl/m4/msvc-inval.m4, gl/m4/msvc-nothrow.m4,
	gl/m4/multiarch.m4, gl/m4/netdb_h.m4, gl/m4/netinet_in_h.m4,
	gl/m4/nl_langinfo.m4, gl/m4/nls.m4, gl/m4/nocrash.m4, gl/m4/off_t.m4,
	gl/m4/onceonly.m4, gl/m4/open.m4, gl/m4/po.m4, gl/m4/printf-posix.m4,
	gl/m4/printf.m4, gl/m4/progtest.m4, gl/m4/read.m4, gl/m4/regex.m4,
	gl/m4/safe-read.m4, gl/m4/safe-write.m4, gl/m4/servent.m4,
	gl/m4/setenv.m4, gl/m4/sha1.m4, gl/m4/size_max.m4, gl/m4/snprintf.m4,
	gl/m4/socketlib.m4, gl/m4/sockets.m4, gl/m4/socklen.m4,
	gl/m4/sockpfaf.m4, gl/m4/ssize_t.m4, gl/m4/stat.m4, gl/m4/stdalign.m4,
	gl/m4/stdbool.m4, gl/m4/stddef_h.m4, gl/m4/stdint.m4, gl/m4/stdint_h.m4,
	gl/m4/stdio_h.m4, gl/m4/stdlib_h.m4, gl/m4/strdup.m4, gl/m4/strerror.m4,
	gl/m4/string_h.m4, gl/m4/strndup.m4, gl/m4/strnlen.m4, gl/m4/strsep.m4,
	gl/m4/strstr.m4, gl/m4/sys_socket_h.m4, gl/m4/sys_stat_h.m4,
	gl/m4/sys_types_h.m4, gl/m4/sys_uio_h.m4, gl/m4/threadlib.m4,
	gl/m4/time_h.m4, gl/m4/time_r.m4, gl/m4/timegm.m4, gl/m4/uintmax_t.m4,
	gl/m4/unistd-safer.m4, gl/m4/unistd_h.m4, gl/m4/vasnprintf.m4,
	gl/m4/vasprintf.m4, gl/m4/visibility.m4, gl/m4/vsnprintf.m4,
	gl/m4/warn-on-use.m4, gl/m4/wchar_h.m4, gl/m4/wchar_t.m4,
	gl/m4/wcrtomb.m4, gl/m4/wctype_h.m4, gl/m4/wint_t.m4, gl/m4/write.m4,
	gl/m4/xalloc.m4, gl/m4/xsize.m4, gl/m4/xstrndup.m4, gl/malloc.c,
	gl/malloca.c, gl/malloca.h, gl/math.c, gl/math.in.h, gl/mbrtowc.c,
	gl/mbsinit.c, gl/mbtowc-impl.h, gl/mbtowc.c, gl/memchr.c, gl/mktime.c,
	gl/mountlist.c, gl/mountlist.h, gl/msvc-inval.c, gl/msvc-inval.h,
	gl/msvc-nothrow.c, gl/msvc-nothrow.h, gl/netdb.in.h, gl/netinet_in.in.h,
	gl/nl_langinfo.c, gl/open-safer.c, gl/open.c, gl/pipe-safer.c,
	gl/printf-args.c, gl/printf-args.h, gl/printf-parse.c,
	gl/printf-parse.h, gl/read.c, gl/ref-add.sin, gl/ref-del.sin,
	gl/regcomp.c, gl/regex.c, gl/regex.h, gl/regex_internal.c,
	gl/regex_internal.h, gl/regexec.c, gl/safe-read.c, gl/safe-read.h,
	gl/safe-write.c, gl/safe-write.h, gl/setenv.c, gl/sha1.c, gl/sha1.h,
	gl/size_max.h, gl/snprintf.c, gl/sockets.c, gl/sockets.h, gl/stat.c,
	gl/stdalign.in.h, gl/stdbool.in.h, gl/stddef.in.h, gl/stdint.in.h,
	gl/stdio-write.c, gl/stdio.in.h, gl/stdlib.in.h, gl/str-two-way.h,
	gl/strdup.c, gl/streq.h, gl/strerror-override.c, gl/strerror-override.h,
	gl/strerror.c, gl/string.in.h, gl/stripslash.c, gl/strndup.c,
	gl/strnlen.c, gl/strsep.c, gl/strstr.c, gl/sys_socket.c,
	gl/sys_socket.in.h, gl/sys_stat.in.h, gl/sys_types.in.h,
	gl/sys_uio.in.h, gl/time.in.h, gl/time_r.c, gl/timegm.c, gl/unistd--.h,
	gl/unistd-safer.h, gl/unistd.c, gl/unistd.in.h, gl/unsetenv.c,
	gl/vasnprintf.c, gl/vasnprintf.h, gl/vasprintf.c, gl/verify.h,
	gl/vsnprintf.c, gl/w32sock.h, gl/wchar.in.h, gl/wcrtomb.c,
	gl/wctype-h.c, gl/wctype.in.h, gl/write.c, gl/xalloc-die.c,
	gl/xalloc-oversized.h, gl/xalloc.h, gl/xmalloc.c, gl/xsize.c,
	gl/xsize.h, gl/xstrndup.c, gl/xstrndup.h: Sync with the latest Gnulib
	code (6f2d632)

	* configure.in, plugins/common.h: Clean up check for
	_SC_NPROCESSORS_ONLN

	Closes #62.

2013-08-19  Booker C. Bense  <bbense@gmail.com>

	* configure.in, plugins/common.h: Bug fix for ncpus if hyperthreading
	turned off in linux

2013-08-18  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_http.c: check_http: Document the new -E option

	Mention the -E/--extended-perfdata flag in the --help output.

	* plugins/check_http.c, plugins/netutils.h, plugins/sslutils.c:
	Abbreviate function name

	Make a very long function name at least a little bit shorter.

	* NEWS: Mention the new "check_http -J/-K" options

	Closes #48.

	* NEWS: Mention the new "check_mysql -f/-g" options

	Closes #32.

	* plugins/check_mysql.c: check_mysql: Don't accept new positional
	arguments

	Do not also accept the new -f/--file and -g/--group options as
	positional arguments (especially not prior to "db_pass" and "db", as
	that would break backward compatibility).

	* plugins/check_mysql.c: check_mysql: Use xasprintf instead of asprintf

	* plugins/check_mysql.c: check_mysql: Fix copy'n'pasted comments

2013-08-18  Steve Weinreich  <steve@weinreich.org>

	* plugins/check_fping.c: check_fping error handling enhanced, generates
	UNKNOWN on
	fping parameter error (i.e. wrong interface, missing perms ..)

2013-08-18  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS, plugins/check_snmp.c: NEWS: Mention the new "check_snmp
	--offset" option

	... and apply two small cosmetic changes to check_snmp.c.

	Closes #59.

2013-08-05  Simon Kainz  <simon@familiekainz.at>

	* plugins/check_snmp.c: added --offset option to allow adjustment of
	sensor data

2013-08-18  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_http.c: check_http: Use xasprintf instead of asprintf

	* plugins/check_http.c: check_http: s/--header_string/--header-string/

	The name of the new option is "--header-string".

	* plugins/check_snmp.c: check_snmp: Allocate space for the new -Le
	option

	Closes #41.

2013-03-14  Mark Keisler  <grimm26@gmail.com>

	* plugins/check_snmp.c: Add -Le option to snmpcmd to avoid error message
	of 'No Log Handling Enabled...'

2013-08-18  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS: Mention the check_mysql changes

	Closes #14.

2012-11-20  Tim Laszlo  <tim.laszlo@gmail.com>

	* plugins/check_mysql.c: check_mysql: Connections should have been
	defined as a counter

	* plugins/check_mysql.c: Counter increments were incorrect; remove the
	leading space from perfdata

2012-08-06  Tim Laszlo  <tim.laszlo@gmail.com>

	* plugins/check_mysql.c: check_mysql: add perfromance metrics for all
	checks

2012-08-03  Tim Laszlo  <tim.laszlo@gmail.com>

	* plugins/check_mysql.c: check_mysql: when checking slave thread add
	performance data for seconds behind master

2013-08-18  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS: Mention the new "check_http -d" option

	Closes #7.

	* plugins/tests/check_http.t: Fix the "check_http -d" tests

2012-06-06  linkslice  <sparctacus@gmail.com>

	* plugins/check_http.c, plugins/tests/check_http.t: added ability to
	check regex against http headers. booyah!

2013-08-18  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS: Mention the new check_procs behavior

	Closes #60.

2013-08-18  Sebastian Schmidt  <sschmidt@interhyp.de>

	* plugins/check_procs.c: check_procs: clarify debug message

	* plugins/check_procs.c: check_procs: Assume we have stat()

	stat() is in gnulib anyway, so we can safely depend on it.

	* configure.in, plugins/check_procs.c: check_procs: Get rid of
	HAVE_PROC_PID_EXE

	Don't check for /proc/pid/exe at compile time, it could be gone in a
	build chroot or the like. Checking at runtime (once) is sufficient.

2012-12-09  Sebastian Schmidt  <sschmidt@interhyp.de>

	* plugins/check_procs.c: check_procs: Ignore ENOENT when checking for
	myself

	Previously, when a process exited between the call to /bin/ps and
	stat("/proc/his/exe") was exiting it was not considered as possible
	instance of check_procs. This commit makes check_procs ignore all
	processes where /proc/pid/exe does not exist.

2012-11-07  Sebastian Schmidt  <sschmidt@interhyp.de>

	* plugins/check_procs.c: check_procs: fix typo

	Fix a typo in previous commit where st_ was missing in the mock
	struct_stat_t, causing check_procs.c to not compile without sys/stat.h.

	* configure.in, plugins/check_procs.c: check_procs: filter out self by
	/proc/pid/exe

	Make check_procs filter out itself in the process list by comparing the
	file pointed to by /proc/pid/exe. On platforms where this is not
	available or when check_procs is passed the -T flag, the old behaviour
	(check whether PID equals getpid()) is retained.

	This fixes some false alarms when e.g. Nagios has, for whatever reasons,
	some backlog of checks to run and check_procs with -a is called more
	than once in a short time, matching its sister process.

2013-08-18  Holger Weiss  <holger@zedat.fu-berlin.de>

	* gl/Makefile.am, gl/fsusage.c, gl/m4/fcntl-o.m4, gl/m4/fsusage.m4,
	gl/m4/gnulib-comp.m4, gl/m4/lib-link.m4, gl/m4/malloc.m4,
	gl/m4/stdlib_h.m4, gl/stdlib.in.h, gl/str-two-way.h, gl/string.in.h:
	Sync with the latest Gnulib code (6f2d632)

	* NEWS: Mention check_mysql's SSL support

	Closes #51.

	* plugins/check_mysql.c: check_mysql: Cosmetic changes to SSL support

	Use (slightly) more intuitive option names etc.

2013-05-22  Juan Carlos Fernandez  <jcfernandez@cediant.es>

	* plugins/check_mysql.c: Added ssl support to check_myslq

2013-08-18  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS: Mention the new check_procs -k option

	Closes #53.

2013-05-29  Richard Leitner  <me@g0hl1n.net>

	* plugins/check_procs.c: Fixed SF.net bug #3552839, check_procs: added
	-k option to ignore kernel threads

	This commit fixes sourceforge.net bug #3552839.
	It adds a -k|--no-kthreads option to ignore kernel thread processes.
	Please note: currently this feature only works for GNU/Linux systems (due to the fact I have no other systems to test/develop on)
	Sorry for that, but I'm sure this can be accomplished by somebody else ;-)

2013-08-18  Holger Weiss  <holger@zedat.fu-berlin.de>

	* contrib/check_linux_raid.pl: Fix whitespace errors

	Use tabs instead of spaces for indentation.

2013-06-11  Erwan Ben Souiden  <erwan@aleikoum.net>

	* contrib/check_linux_raid.pl: update check_linux_raid to take in
	consideration resync status and rise up a warning alert

2013-08-18  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS: Mention the new check_fping features

	* configure.in, plugins/check_fping.c: check_fping: Use fping6(8) only
	if available

	Let check_fping use IPv6 only if

	- the operating system supports IPv6,
	- the user didn't specify --without-ipv6, and
	- the "configure" script found the fping6(8) binary.

2013-08-17  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_fping.c: check_fping: Remove unused printf(3) arguments

2012-12-20  Steve Weinreich  <steve@weinreich.org>

	* plugins/check_fping.c: Added -S und -I parameter to match fping -S and
	-I parameters.

	-S allows to specify the source ip for ICMP pakets
	-I allows to specify a interface to bind to

2013-08-17  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_pgsql.c: check_pgsql: Add missing printf(3) argument

	* NEWS: Mention the new check_pgsql features

	Closes #16.

	* plugins/check_pgsql.c: check_pgsql: Remove -4/-6 flags from help
	output

	The -4/-6 options are currently not supported.

	* plugins/t/check_procs.t: Expect performance data

	The check_procs plugin now emits performance data, fix the test(s)
	accordingly.

	* plugins/t/check_apt.t: Expect performance data

	The check_apt plugin now emits performance data, fix the test(s)
	accordingly.

2013-01-26  Dominique Broeglin  <dominique.broeglin@gmail.com>

	* lib/tests/test_utils.c: Adding tests for range @1:1

2013-08-15  Sven Nierlein  <sven@nierlein.de>

	* NEWS, THANKS.in, plugins/check_http.c, plugins/t/check_http.t: cleanup
	after check_http patch (fixes #50)

	  - cleanup whitespace
	  - added test cases
	  - print time_ssl only if ssl is in use
	  - updated news and thanks file

2013-05-19  Sebastian Nohn  <sebastian@nohn.net>

	* plugins/check_http.c: log more perfdata in check_http

2013-08-15  Sven Nierlein  <sven@nierlein.de>

	* NEWS, THANKS.in: updated news and thanks file

	* plugins/t/check_http.t: corrected http test

	multiple headers have to be set by multiple -k switches. Seperating them
	by semicolons is not longer supported as semicolons are valid characters in
	http headers.

2013-08-12  Rafael  <rafa.driutti@gmail.com>

	* plugins-scripts/check_disk_smb.pl: Changed the smbclient command used
	to fetch the free space available on the samba shares. Using du instead
	of ls, since it's much faster, specially with shares that have a lot of
	files.

2013-07-11  Jan Wagner  <waja@cyconet.org>

	* THANKS.in, plugins/check_smtp.c: Fixed SF.net bug 2555775, threshold
	can be double for check_smtp

	Thanks to Roman Fiedler for reporting the issue and providing a fix

2013-07-08  Jan Wagner  <waja@cyconet.org>

	* THANKS.in, plugins/check_nt.c: check_nt: Fixes NULL pointer
	dereference

	Thanks to Vaclav Ovsik for reporting the issue and providing a fix

2013-06-30  Holger Weiss  <holger@zedat.fu-berlin.de>

	* .gitignore: Add libnpcommon.a file to .gitignore

	* plugins/check_ntp_peer.c: check_ntp_peer: Verify type of response
	packets

	The check_ntp_peer plugin now ignores response packets with an
	unexpected "Operation Code" and/or "Sequence" number (cf. RFC 1305,
	Appendix B).  This fixes an issue where the check_ntp_peer requests got
	duplicated on their way to the server (due to some network switch bug),
	and the server therefore sent multiple responses per request.

	Thanks to Marc Haber for reporting the issue.

2013-06-25  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS: Mention that check_apt spits out perfdata

2013-06-25  Jan Wagner  <waja@cyconet.org>

	* plugins/check_apt.c: Fixed SF.net bug 1614553, Debian bug #708343,
	Adding performace data

2013-05-30  Richard Leitner  <me@g0hl1n.net>

	* plugins/check_apt.c: check_apt now correctly exits when apt-get return
	!= 0

	This commit fixes an issue with check_apt where check_apt doesn't exit
	with the appropriate return code when apt-get returned a non-zero value.

2013-05-29  Richard Leitner  <me@g0hl1n.net>

	* plugins/check_http.c: Fixed SF.net bug #3571331, check_http converts
	semicolon to newline in -k

	This commit fixes sourceforge.net bug id 3571331.
	The semicolon was defined as input delimiter for multiple values in the -k arguments.
	Due to the fact the semicolon is a valid character for HTTP header fields this input delimiter function was removed.
	It is still possible to pass multiple header fields via multiple -k (like described in helptext).

2013-05-19  Gabriele Tozzi  <gabriele@tozzi.eu>

	* plugins-scripts/check_sensors.sh: Made verbose output of check_sensors
	compilant

2013-05-17  Lionel Cons  <lionel.cons@cern.ch>

	* plugins/check_http.c, plugins/netutils.h, plugins/sslutils.c: added
	support for client authentication via SSL

2013-05-12  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS, THANKS.in: NEWS, THANKS: Mention the latest changes

2012-08-17  Diego Elio Pettenò  <flameeyes@flameeyes.eu>

	* configure.in: configure: add --without-ldap, --without-radius and
	--without-dbi options.

	When building for distributions such as Gentoo Linux, or FreeBSD
	ports, it's convenient to be able to disable building certain
	functionalities even if the dependencies are present, to avoid what
	are called "automagic dependendencies".

	Adding these parameters solve the issue.

	* plugins/Makefile.am: build: fix building with parallel make.

	By using a more automake-style handling of dependencies and a single
	convenience library, it's tremendously easy to build in parallel.

	Note that since the linking happens with the static archives, the
	unused objects are discarded and provide no overhead whatsoever.

	* plugins/check_dig.c, plugins/check_dns.c, plugins/runcmd.c,
	plugins/runcmd.h: plugins: rename runcmd's signal handler.

	The previous name would collide with popen's. Even if the two are
	never used together, it's still a good idea not to have the same
	symbol in multiple object files.

2013-03-25  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS, THANKS.in: NEWS, THANKS: Mention Richard Leitner's changes

2013-03-22  Richard Leitner  <me@g0hl1n.net>

	* plugins/check_disk.c: Fixed SF.net bug 3560976, added
	--include-type/-N option

2013-03-17  Richard Leitner  <me@g0hl1n.net>

	* plugins/check_nagios.c: Fixed SF.net bug 3602586, added timeout option
	for check_nagios

	* plugins/check_apt.c: Fixed SF.net bug 3539317, typo in --help of
	check_apt

2013-03-25  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS, THANKS.in: NEWS, THANKS: Mention check_oracle --connect flag

2013-01-15  Brian De Wolf  <git@bldewolf.com>

	* plugins-scripts/check_oracle.sh: Add option to perform real login in
	check_oracle

	The Oracle plugin has no option for testing for a successful login.  The
	closest option to this is --login, which uses a fixed set of credentials and
	expects to receive the logon failure error code.

	This patch adds an option called --connect.  This option takes a full SID and
	returns success if it doesn't detect any error codes.  With this, we can check
	that a database is allowing logins from valid credentials (and avoid filling up
	DB logs with failed authentications).

2013-02-27  Joerg Linge  <joerg.linge@pnp4nagios.org>

	* plugins/check_procs.c: Update plugins/check_procs.c

	added missing longopt --user

2013-02-27  Fabio Rueda  <fabio@vizzuality.com>

	* contrib/check_nmap.py: working on ubuntu precise12.04

	* contrib/check_nmap.py: ported use whrandom to random

2013-02-10  Sven Nierlein  <sven@nierlein.de>

	* plugins/check_tcp.c, plugins/t/check_tcp.t: check_tcp: don't ignore
	trailing options

	"./check_tcp -6 -p 80 host" leads to an error:
	TCP CRITICAL - Invalid hostname, address or socket: 127.0.0.1
	because 127.0.0.1 is the fallback host, the tailing hostname
	was ignored.

2013-01-29  Robin Sonefors  <robin.sonefors@op5.com>

	* plugins/check_snmp.c, plugins/common.h: check_snmp: Close potential
	for using uninitialized memory

	This was reported by clang, and in order for it to understand attributes
	properly, I had to modify the macro that checks for non-gcc compilers.

	* plugins/check_snmp.c: check_snmp: Dynamically grow all data structures

	Before this patch, there was a constant, MAX_OIDS, that determined the
	amount of slots most (but not all - see labels) array data structures
	would have. It was set to 8.

	Some users would like to use more than that, but rather than bumping the
	constant, let's use the same type of logic we already use for labels -
	grow the space 8 slots at a time. This will allow us to potentially
	support an infinite amount of oids - or at least as many as the
	packetsize on the SNMP server allows, which is usually significantly
	smaller than infinity, yet often larger than 8.

2013-01-24  Daniël van Eeden  <git@myname.nl>

	* REQUIREMENTS, plugins/check_mysql.c: Apply my patch from:
	http://sourceforge.net/tracker/index.php?func=detail&aid=3269273&group_id=29880&atid=397597

2013-01-23  Sven Nierlein  <sven@nierlein.de>

	* NEWS, THANKS.in: added latest commits to NEWS file

	* plugins/t/check_dig.t: updated check dig tests

	nagios.com seems to have changed their ip address. Also added tests
	about -4/-6 option.

2012-12-28  Ville Mattila  <vmattila@csc.fi>

	* plugins/check_dig.c: check_dig: query transport selection support

	Add command line options -4 and -6 (--use-ipv4 and
	--use-ipv6) to check_dig.

	Effectively this adds no new functionality, just a
	shortcut for:
	  check_dig -A "-4"
	  check_dig -A "-6"

	Needed for using check_dig with the check_v46 wrapper
	(see e.g.
	https://gitorious.org/nagios-monitoring-tools/nagios-monitoring-tools/blobs/master/check_v46)
	which requires -4/-6 command line option support.

2013-01-23  Sven Nierlein  <sven@nierlein.de>

	* ChangeLog, THANKS.in: updated changelog and thanks file for previous
	patch

2013-01-23  Robin Sonefors  <robin.sonefors@op5.com>

	* plugins/check_snmp.c: check_snmp: Don't thrash memory when using
	multiple label/unit argument

	The memory allocation mixed up number of bytes with number of pointers,
	meaning as soon as we'd reach (on 64 bit systems) the second argument,
	we'd start writing it outside of our allocated memory.

	Normally, this isn't too visible, but as soon as you (again, on my 64
	bit system) reach argument number 8, you get a segfault. It is easily
	reproducible with:
	check_snmp -o '' -l '' -o '' -l '' -o '' -l '' -o '' -l '' \
	           -o '' -l '' -o '' -l '' -o '' -l '' -o '' -l ''

	This patch allocates the proper amount of memory, to fix the issue.

2012-12-28  Jonathan Milby  <jon@uky.edu>

	* plugins/check_mysql.c: Updated check_mysql.c to take client options
	file and group parameters

2012-12-28  Ville Mattila  <vmattila@csc.fi>

	* configure.in, plugins/check_fping.c: check_fping: IPv6 support

	Add command line options -4 and -6 (--use-ipv4 and
	--use-ipv6) to check_fping. IPv4 is used by default,
	maintaining backwards compatibility with older
	check_fping versions. IPv6 support requires the
	fping6 program.

	The implementation is really just an imitation of
	check_ping IPv6 support: Plugin command line option
	-4/-6 designates whether to run fping/fping6.

	Please note that especially the changes to
	configure.in might be all wrong - I don't know
	what's the proper autoconf way, patching
	configure.in just seemed to work for me.

2012-12-03  palli  <palli-github@minor.is>

	* doc/developer-guidelines.sgml: Table 4 example 5 updated

	Description did not specify that it condition is critical if "stuff"
	is less than zero.

	* doc/developer-guidelines.sgml: Description for table4 example7

	My original patch was based on the online version which was apparently out of date.

	In the meantime someone changed the description of example7 instead of the example. I think this is better because
	otherwise example 6 and 7 are basically the same.

2012-10-24  Pall Sigurdsson  <palli@opensource.is>

	* doc/developer-guidelines.sgml: Bugfix, fixed a broken command-line
	example

	The last example in the table contradicted the previous example. Surely
	it's purpose was to showcase the @ behaviour to invert threshold, but the
	@ sign was missing.

	I also clarified the description to the second last example so it is in same
	style as the others.

2012-11-28  Sven Nierlein  <sven@nierlein.de>

	* plugins/check_ntp.c, plugins/check_ntp_time.c: check_ntp(_time): don't
	die on connect errors

	connect errors may happen if clients check agains dual
	stacked ipv4/6 ntp servers.

	* plugins/check_ldap.c, plugins/check_ntp.c, plugins/check_ntp_peer.c,
	plugins/check_ntp_time.c, plugins/check_pgsql.c, plugins/check_ssh.c:
	unified ipv4/6 usage and help text

2012-11-14  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS: Mention the check_procs performance data

	* plugins/check_procs.c: check_procs: Remove superfluous newline
	character

2011-04-08  Sebastian Harl  <sh@teamix.net>

	* plugins/check_procs.c: check_procs: Added performance data to plugin
	output.

	* plugins/check_procs.c: check_procs: Use the range/threshold support
	functions from libnagiosplug.

	This adds support for @<range> and makes stuff a bit simpler by removing code
	duplications.

	Note: Previously, the compatibility code for 'check_procs <warn> <max>'
	accepted something like 'check_procs -w 10:-1 -c 10:-1 20 50' as well
	(treating it as if '-w 10:20 -c 10:50' was specified). This is no longer the
	case ... additional arguments are only used as warn/crit thresholds in case
	-w/-c is not specified at all.

2012-11-07  Thomas Guyot-Sionnest  <dermoth@aei.ca>

	* .gitignore, doc/makefile, tools/sfwebcron: Fix sfwebcron probe file

	The initial file was created in the user's home and later tested in the
	doc directory. Instead, just rsync if the file is missing.

	Also add some temporary files to gitignore/make clean

2012-11-04  dermoth  <dermoth@nagiosplugins.org>

	* NEWS: Update NEWS for bd78299 - check_snmp reverse ranges fix

2012-11-03  dermoth  <dermoth@nagiosplugins.org>

	* tools/sfwebcron, tools/snapshot: Update tools

	- fix sfwebcron (tool updating sf developer guidelines)
	- remove obsolete snapshot script

	* tools/np_build_from_sf, tools/update_man_pages: Add scripts that
	update man pages in drupal

2012-11-02  Andreas Ericsson  <ae@op5.se>

	* plugins/check_snmp.c: plugins/check_snmp: Show snmp error when we fail
	to parse its output

	Dying without a hint of what went wrong is just plain annoying. With
	this patch we at least get a hint.

	While at it, we fix the string offset so the output we're interested
	in doesn't keep the equal sign that snmpget prints.

	* lib/utils_base.c: Stop dumping core on bad args to check_snmp

	Since the state patch introduction, we've been freeing uninitialized
	memory in lib/utils_base.c::np_cleanup(), which caused coredumps
	with check_snmp when illegal threshold ranges (for example) were
	passed, or when we called 'die' without having read any state.

	This patch fixes it by replacing the malloc() calls in there (all of
	them, since using malloc() is almost always an error) with calloc().

	malloc() either doesn't initialize the memory at all, or taints it
	with a special marker so it can tell us when we're free()'ing memory
	that hasn't been initialized. calloc() explicitly initializes the
	allocated memory to nul bytes, which is a zero-cost operation when
	we get the memory from the kernel (which alread does that) and almost
	always desirable everywhere else.

	* plugins/check_snmp.c: Make check_snmp backwards compatible in how it
	parses thresholds

	Once upon a time, check_snmp used to accept inverse ranges in the
	format of '2:1' to mean "alert if value is inside this range".

	Since commit 7cb3ae09334796f3b54e4e6438e38c2cc679b360, ranges such
	as those have instead triggered the error "Range format incorrect"
	and resulted in an UNKNOWN warning state. This patch attempts to
	fix the situation so that the old-style ranges continues to mean
	exactly what the once did and people with lots of snmp checks can
	avoid a bazillion false positives from their environments.

2012-10-12  chl  <dev+github@bugness.org>

	* plugins/check_disk.c: check_disk: option to ignore reserved space

	This commit add a runtime option to ignore the root-reserved space
	when calculating perfdata.

	Before / after:
	./check_disk -w 2% -c 1% /home
	./check_disk -w 2% -c 1% -f /home
	DISK CRITICAL - free space: /home 272 MB (1% inode=83%);| /home=17551MB;18401;18589;0;18777
	DISK CRITICAL - free space: /home 272 MB (1% inode=83%);| /home=17551MB;17466;17644;0;17823

	Well, it doesn't really give me more space :) but the perfdata are a
	little bit more coherent.

	Note that there are still a rounding issue on the percent calculation
	(cf calculate_percent() comments, taken from coreutils 'df' command).
	272/17823 -> 1.526%

	Since the warning/critical/min/max data are usually not saved in RRD DB,
	you can activate the option without seeing landslides in the graphs.

2012-10-09  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS: Mention the OPENSSL_config(3) support

2012-10-05  Marc Huffnagle  <marc@huffnagle.net>

	* plugins-scripts/utils.sh.in: Added additional documentation to the
	check_range function

2012-10-09  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/common.h: Allow for configuring OpenSSL

	Let OpenSSL load its configuration file.  See the OPENSSL_config(3) man
	page for details.

	(Suggested by Max Kosmach in Debian bug report #689960, forwarded by Jan
	Wagner.)

2012-10-03  Alex Bradley  <a.bradley@alumni.cs.ubc.ca>

	* plugins/check_apt.c, plugins/t/check_apt.t,
	plugins/t/check_apt_input/debian1, plugins/t/check_apt_input/debian2,
	plugins/t/check_apt_input/debian3, plugins/t/check_apt_input/ubuntu1,
	plugins/t/check_apt_input/ubuntu2: Tests for check_apt

	Add a hidden "--input-file" option to check_apt (modelled on
	check_procs) so that it can take files with sample apt output as input.

	Add tests for my SECURITY_RE fix (debian3) and for the include, exclude
	and critical options.

	* plugins/check_apt.c: Fix SourceForge bug 1904965 - check_apt:
	SECURITY_RE is not correct

	For the default security upgrade detection regular expression, match
	"Debian-Security" in package description when it's anywhere after the
	first parenthesis (not just the second space-delimited word). For
	example:

	... (4.0.1-5.4 Debian:6.0.6/stable, Debian-Security:6.0/stable ...

2012-10-02  Alex Bradley  <a.bradley@alumni.cs.ubc.ca>

	* plugins/check_apt.c: Don't prepend "^Inst" or append a space to the
	"include", "exclude", or
	"critical" regular expressions. Instead, check for lines beginning
	with "Inst" using strncmp and apply the regular expressions only when
	such lines are found.

	Fixes Debian bug #522812, along the lines suggested by the bug
	submitter, Justin T Pryzby.

2012-09-25  Gianluca Varisco  <gianluca.varisco@gmail.com>

	* plugins/check_disk.c: Update plugins/check_disk.c

	CRITCAL -> CRITICAL typo

2012-09-21  Alex Bradley  <a.bradley@alumni.cs.ubc.ca>

	* contrib/check_linux_raid.pl: This patch fixes the regular expression
	for the array recovery
	completion percentage to detect the percentage when there is more than
	one space between between "recovery =" and the percentage. (When
	the percentage is less than 10%, /proc/mdstat shows it left-padded
	with an extra space: "recovery =  7.6%".)

2012-08-10  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_http.c: check_http: Update description of -C option

	Mention that the -C option now accepts two comma-separated values.

	* plugins/check_http.c: check_http: Add missing newline to --help output

2012-07-26  William Leibzon  <william@leibzon.org>

	* plugins/check_http.c, plugins/check_smtp.c, plugins/check_tcp.c:
	fixing bug in certificate experiation patch checking for bad warning
	threshold data

2012-08-10  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/tests/check_http.t: tests/check_http.t: Fix whitespace issues

	In tests/check_http.t, tabs are used for indentation.

	While at it, apply another few cosmetic changes.

	* plugins/tests/check_http.t: tests/check_http.t: Update the number of
	SSL tests

	* plugins/tests/check_http.t: tests/check_http.t: Fix test case

	Fix the test case which is meant to make sure that

		check_http -C <n>,<m> [...]

	returns a CRITICAL state if <m> is large enough.

2012-08-06  Holger Weiss  <holger@zedat.fu-berlin.de>

	* NEWS: Mention fixed compilation without SSL

	* plugins/check_ntp_peer.c: check_ntp_peer: Fix --help output for -m and
	-n

	Fix the threshold specifications in the example for checking the number
	of truechimers.

	Reported by Marc Haber on the "nagios-users" mailing list (Message-ID:
	<20120722142840.GA6931@torres.zugschlus.de>).

	* plugins/check_ntp_peer.c: check_ntp_peer: Fix --help output for -W and
	-C

	Mention that the check_ntp_peer plugin checks the stratum of the
	synchronization peer, not the stratum of the monitored server itself.

	Thanks to Marc Haber for bringing this up on the "nagios-users" mailing
	list (Message-ID: <20120722142840.GA6931@torres.zugschlus.de>).

2012-07-18  Holger Weiss  <holger@zedat.fu-berlin.de>

	* plugins/check_http.c: check_http: Fix whitespace issues

	In check_http.c, tabs aren't used for indentation.

	* plugins/check_http.c: check_http: Fix compilation without SSL support

	The "ssl_version" variable was undeclared when the plugins were compiled
	--without-openssl and --without-gnutls.

	Bug reported by Michael LaCorte on the "nagiosplug-help" mailing list
	(Message-ID: <CCD30C91-A2A8-463A-82A9-F99B54F741D3@gmail.com>).

2011-04-08  Sebastian Harl  <sh@teamix.net>

	* plugins/check_pgsql.c: check_pgsql: Determine connection time in
	µs-resolution.

